------------------------------------------------------------
revno: 2874
tags: clone-5.4.2-build
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Tue 2009-08-25 17:12:44 +0200
message:
  Applying fix from Oracle (Marko) for Bug #46657 "InnoDB plugin: invalid read in index_merge_innodb test (Valgrind)"
------------------------------------------------------------
revno: 2873
committer: Alexander Nozdrin <alik@sun.com>
branch nick: mysql-trunk
timestamp: Mon 2009-08-24 10:48:57 +0400
message:
  Backporting patch for Bug#46650 (Innodb assertion autoinc_lock == lock
  in lock_table_remove_low on INSERT SELECT) to mysql-trunk.
------------------------------------------------------------
revno: 2872
committer: Alexander Nozdrin <alik@sun.com>
branch nick: mysql-trunk
timestamp: Wed 2009-08-19 17:06:33 +0400
message:
  Fix default.conf
------------------------------------------------------------
revno: 2871
committer: Alexander Nozdrin <alik@sun.com>
branch nick: mysql-trunk
timestamp: Fri 2009-08-14 00:28:42 +0400
message:
  Update GPL-version of the README file.
------------------------------------------------------------
revno: 2870
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2-merge-from-5.1-main
timestamp: Wed 2009-08-12 17:58:58 +0200
message:
  merge of 5.1-build into trunk, to get one vardir per test run
    ------------------------------------------------------------
    revno: 2661.290.17
    committer: Daniel Fischer <df@sun.com>
    branch nick: mysql-5.1-build-45063b
    timestamp: Wed 2009-08-12 17:10:15 +0200
    message:
      Create separate vardirs during collections test runs.
------------------------------------------------------------
revno: 2869
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2-merge-from-5.1-main
timestamp: Wed 2009-08-12 16:39:50 +0200
message:
  8M was too small for the InnoDB data file, needs 10M.
  Updating test for smaller InnoDB buffer pool size used by the testsuite.
------------------------------------------------------------
revno: 2868
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2-merge-from-5.1-main
timestamp: Wed 2009-08-12 15:48:47 +0200
message:
  several tests fail with --mem --parallel because the InnoDB files fill /dev/shm;
  fix is to run the testsuite with the same InnoDB options (buffer pool size,
  log file size etc) as we always ran it for the InnoDB builtin in 5.1.
------------------------------------------------------------
revno: 2867
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2-merge-from-5.1-main
timestamp: Wed 2009-08-12 15:44:34 +0200
message:
  merge of 5.1-main into mysql-trunk.
  Changes to ha_innodb.cc are not propagated to plugin, they will come back
  via Oracle/Innobase if needed.
    ------------------------------------------------------------
    revno: 2661.290.16
    committer: Vladislav Vaintroub <vvaintroub@mysql.com>
    branch nick: 5.1
    timestamp: Tue 2009-08-11 17:47:33 +0200
    message:
      merge fix  to define  __NT__ on Windows
        ------------------------------------------------------------
        revno: 2661.229.58
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.1-innodb_plugin
        timestamp: Tue 2009-08-11 17:44:13 +0200
        message:
          Always compile with __NT__ on windows. in 5.1 itthis #define is
          widely used, in replication (delete_allow_opened) and for named
          pipe support. We do not support Win9x anymore.
    ------------------------------------------------------------
    revno: 2661.290.15
    committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
    branch nick: mysql-5.1
    timestamp: Tue 2009-08-11 11:29:07 -0300
    message:
      Merge from mysql-5.1-bugteam.
        ------------------------------------------------------------
        revno: 2661.323.42
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-08-11 11:25:40 -0300
        message:
          Update README.
        ------------------------------------------------------------
        revno: 2661.323.41
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 45010-5.1
        timestamp: Mon 2009-08-10 15:46:20 -0300
        message:
          Manual merge.
            ------------------------------------------------------------
            revno: 1810.3935.13
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: 45010-5.0
            timestamp: Fri 2009-08-07 23:32:01 -0300
            message:
              Bug#45010: invalid memory reads during parsing some strange statements
              
              The problem is that the lexer could inadvertently skip over the
              end of a query being parsed if it encountered a malformed multibyte
              character. A specially crated query string could cause the lexer
              to jump up to six bytes past the end of the query buffer. Another
              problem was that the laxer could use unfiltered user input as
              a signed array index for the parser maps (having upper and lower
              bounds 0 and 256 respectively).
              
              The solution is to ensure that the lexer only skips over well-formed
              multibyte characters and that the index value of the parser maps
              is always a unsigned value.
        ------------------------------------------------------------
        revno: 2661.323.40
        committer: Martin Hansson <martin.hansson@sun.com>
        branch nick: 5.1bt
        timestamp: Mon 2009-08-10 16:08:51 +0200
        message:
          Merge
            ------------------------------------------------------------
            revno: 2661.340.1
            committer: Martin Hansson <martin.hansson@sun.com>
            branch nick: 5.1bt-gca
            timestamp: Fri 2009-08-07 13:51:40 +0200
            message:
              Bug#46454: MySQL wrong index optimisation leads to incorrect result & crashes
              Problem 1:
              When the 'Using index' optimization is used, the optimizer may still - after
              cost-based optimization - decide to use another index in order to avoid using
              a temporary table. But when this happens, the flag to the storage engine to 
              read index only (not table) was still set. Fixed by resetting the flag in the 
              storage engine and TABLE structure in the above scenario, unless the new index
              allows for the same optimization.
              Problem 2:
              When a 'ref' access method was employed by cost-based optimizer, (when the column
              is non-NULLable), it was assumed that it needed no initialization if 'quick' access
              methods (since they are based on range scan). When ORDER BY optimization overrides 
              the decision, however, it expects to have this initialized and hence crashes. 
              Fixed in 5.1 (was fixed in 6.0 already) by initializing 'quick' even when there's 
              'ref' access. 
        ------------------------------------------------------------
        revno: 2661.323.39
        committer: Ignacio Galarza <iggy@mysql.com>
        branch nick: mysql-5.1-bugteam_27535
        timestamp: Thu 2009-08-06 10:54:53 -0400
        message:
          Auto-merge
            ------------------------------------------------------------
            revno: 1810.3935.12
            committer: Ignacio Galarza <iggy@mysql.com>
            branch nick: mysql-5.0-bugteam_27535
            timestamp: Thu 2009-08-06 10:24:28 -0400
            message:
              Bug #27535 Installing Windows service with --defaults-file option - quotation marks issues
              - Remove offensive quotes.
            ------------------------------------------------------------
            revno: 1810.3935.11
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.0-bugteam
            timestamp: Tue 2009-08-04 10:47:18 -0300
            message:
              Merge from mysql-5.0.
        ------------------------------------------------------------
        revno: 2661.323.38
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-45816
        timestamp: Thu 2009-08-06 17:01:26 +0530
        message:
          Fix for BUG#45816 - assertion failure with index containing double 
                              column on partitioned table
                
                
          An assertion 'ASSERT_COULUMN_MARKED_FOR_READ' is failed if the query 
          is executed with index containing double column on partitioned table.
          The problem is that assertion expects all the fields which are read,
          to be in the read_set.
                
          In this query only the field 'a' is in the readset as the tables in
          the query are joined by the field 'a' and so the assertion fails 
          expecting other field 'b'.
                
          Since the function cmp() is just comparison of two parameters passed, 
          the assertion is not required.
                
          Fixed by removing the assertion in the double fields comparision
          function and also fixed the index initialization to do ordered
          index scan with RW LOCK which ensures all the fields from a key are in
          the read_set.
           
          
          Note: this bug is not reproducible with other datatypes because the
                assertion doesn't exist in comparision function for other 
                datatypes.
        ------------------------------------------------------------
        revno: 2661.323.37
        committer: <Dao-Gang.Qu@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Thu 2009-08-06 11:07:09 +0800
        message:
          Bug #45630  	rpl_trigger.test causes valgrind failures within nptl_pthread_exit_hack_handler
          
          The server shutdown and start code triggered the valgrind failures 
          within nptl_pthread_exit_hack_handler on Ubuntu 9.04, x86 (but not amd64) 
          in rpl_trigger.test file.
          
          For fixing the bug, suppress valgrind failures within nptl_pthread_exit_hack_handler 
          on Ubuntu 9.04, x86 (but not amd64). Because the server shutdown and start
          code has been heavily used in mysql test set.
        ------------------------------------------------------------
        revno: 2661.323.36
        committer: Jim Winstead <jimw@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-08-05 13:30:14 -0700
        message:
          Merge approved bug fix
        ------------------------------------------------------------
        revno: 2661.338.2
        committer: Jim Winstead <jimw@mysql.com>
        branch nick: mysql-5.1-fixes
        timestamp: Fri 2009-07-31 17:46:04 -0700
        message:
          Not all of the necessary tests for multi-byte support in readline
          were included in the configure tests. (Bug #46310)
    ------------------------------------------------------------
    revno: 2661.290.14
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-merge
    timestamp: Tue 2009-08-11 18:05:25 +0500
    message:
      Merge mysql-5.1-innodb_plugin to mysql-5.1.
    ------------------------------------------------------------
    revno: 2661.290.13
    committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
    branch nick: mysql-5.1
    timestamp: Tue 2009-08-04 17:43:17 -0300
    message:
      Merge from mysql-5.1-bugteam.
        ------------------------------------------------------------
        revno: 2661.323.35
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-08-04 10:50:20 -0300
        message:
          Merge from mysql-5.1.
        ------------------------------------------------------------
        revno: 2661.323.34
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 45017-5.1
        timestamp: Thu 2009-07-30 21:28:43 -0300
        message:
          Bug#45017: Failure to connect if hostname maps to multiple addresses
          
          The problem is that the C API function mysql_real_connect
          only attempts to connect to the first IP address returned
          for a hostname. This can be a problem if a hostname maps
          to multiple IP address and the server is not bound to the
          first one that is returned.
          
          The solution is to augment mysql_real_connect so that it
          attempts to connect to all IPv4 addresses that a domain
          name maps to. The function goes over the list of address
          until a successful connection is established.
          
          No test case is provided as its not possible to test this
          automatically with the current testing infrastructure.
        ------------------------------------------------------------
        revno: 2661.323.33
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-innodb
        timestamp: Tue 2009-08-04 11:34:14 +0530
        message:
          merge from mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.339.2
            committer: Gleb Shchepa <gshchepa@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-08-04 00:22:28 +0500
            message:
              Additional post-commit fix (bug #30946): server version
              in a conditional commentary at the new SELECT ... INTO
              OUTFILE ... CHARACTER SET syntax has been updated to 5.1.38.
            ------------------------------------------------------------
            revno: 2661.339.1
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam-new-push
            timestamp: Mon 2009-08-03 16:24:38 +0100
            message:
              auto-merge mysq-5.1-bugteam (local) --> mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.335.17
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam-push
            timestamp: Mon 2009-08-03 16:01:06 +0100
            message:
              null-merge mysql-5.0-bugteam --> mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3935.10
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.0-bugteam-push
            timestamp: Mon 2009-08-03 14:37:50 +0100
            message:
              Post-fix for BUG#43264
              
              Install procedure does not copy *.inc files located under the mysql-test/t directory.
              Therefore, this patch moves the rpl_trigger.inc to the mysql-test/include directory.
        ------------------------------------------------------------
        revno: 2661.323.32
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-innodb
        timestamp: Mon 2009-08-03 18:36:50 +0530
        message:
          Remove the 'single' space character after include/lock0iter.h in file
          storage/innobase/Makefile.am
        ------------------------------------------------------------
        revno: 2661.323.31
        committer: Mikael Ronstrom <mikael@mysql.com>
        branch nick: mysql-5.1-bugteam-bug46354
        timestamp: Mon 2009-08-03 12:14:48 +0200
        message:
          Auto-merge
            ------------------------------------------------------------
            revno: 2661.335.16
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam-push
            timestamp: Mon 2009-08-03 10:47:45 +0100
            message:
              null-merge mysql-5.0-bugteam --> mysql-5.1-bugteam
                ------------------------------------------------------------
                revno: 1810.3935.9
                committer: Alfranio Correia <alfranio.correia@sun.com>
                branch nick: mysql-5.0-bugteam-push
                timestamp: Mon 2009-08-03 10:43:20 +0100
                message:
                  auto-merge mysql-5.0-bugteam (local) --> mysql-5.0-bugteam
                ------------------------------------------------------------
                revno: 1810.3942.1
                committer: Alfranio Correia <alfranio.correia@sun.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Sun 2009-08-02 23:58:43 +0100
                message:
                  BUG#43264 Test rpl_trigger is failing randomly w/ use of copy_file in 5.0
                  
                  The test case fails sporadically on Windows while trying to overwrite an unused
                  binary log. The problem stems from the fact that MySQL on Windows does not
                  immediately unlock/release a file while the process that opened and closed it is
                  still running. In BUG 38603, this issue was circumvented by stopping the MySQL
                  process, copying the file and then restarting the MySQL process. 
                  
                  Unfortunately, such facilities are not available in the 5.0.  Other approaches
                  such as stopping the slave and issuing change master do not work because the relay
                  log file and index are not closed when a slave is stopped. So to fix the problem,
                  we simply don't run on windows the part of the test that was failing.
            ------------------------------------------------------------
            revno: 2661.335.15
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Sat 2009-08-01 18:24:20 -0300
            message:
              Backport Tomas Ulin fix for a spurious failure on PushBuild:
              
              http://lists.mysql.com/commits/53569
            ------------------------------------------------------------
            revno: 2661.335.14
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-31 16:53:44 -0700
            message:
              Merge fix to test results
                ------------------------------------------------------------
                revno: 2661.338.1
                committer: Jim Winstead <jimw@mysql.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Fri 2009-07-31 16:43:46 -0700
                message:
                  Fix incorrectly-committed changes to mysql.result
            ------------------------------------------------------------
            revno: 2661.335.13
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-31 20:39:26 -0300
            message:
              Test case clean up: Move test cases that depend on the CSV storage
              engine to the partition_csv test. Also remove test case that was
              duplicated. Fix connection procedure with the embedded server.
            ------------------------------------------------------------
            revno: 2661.335.12
            committer: Ignacio Galarza <iggy@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-31 16:33:09 -0400
            message:
              Auto-merge
                ------------------------------------------------------------
                revno: 2661.337.2
                committer: Tatiana A. Nurnberg <azundris@mysql.com>
                branch nick: 51-40281f
                timestamp: Fri 2009-07-31 21:58:40 +0200
                message:
                  auto-merge
                ------------------------------------------------------------
                revno: 2661.337.1
                committer: Tatiana A. Nurnberg <azundris@mysql.com>
                branch nick: 51-40281f
                timestamp: Fri 2009-07-31 14:38:18 +0200
                message:
                  Bug#40281, partitioning the general log table crashes the server
                  
                  We disallow the partitioning of a log table. You could however
                  partition a table first, and then point logging to it. This is
                  not only against the docs, it also crashes the server.
                  
                  We catch this case now.
            ------------------------------------------------------------
            revno: 2661.335.11
            committer: Ignacio Galarza <iggy@mysql.com>
            branch nick: mysql-5.1-bugteam_17270
            timestamp: Fri 2009-07-31 15:28:15 -0400
            message:
              Auto-merge
                ------------------------------------------------------------
                revno: 1810.3935.8
                committer: Ignacio Galarza <iggy@mysql.com>
                branch nick: mysql-5.0-bugteam_17270
                timestamp: Fri 2009-07-31 15:22:02 -0400
                message:
                  Bug#17270 - mysql client tool could not find ../share/charsets folder and fails.
                  - Define and pass compile time path variables as pre-processor definitions to 
                    mimic the makefile build.
                  - Set new CMake version and policy requirements explicitly.
                  - Changed DATADIR to MYSQL_DATADIR to avoid conflicting definition in 
                    Platform SDK header ObjIdl.h which also defines DATADIR.
            ------------------------------------------------------------
            revno: 2661.335.10
            committer: Gleb Shchepa <gshchepa@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-31 22:14:52 +0500
            message:
              Bug# 30946: mysqldump silently ignores --default-character-set
                          when used with --tab
              
              1) New syntax: added CHARACTER SET clause to the
                SELECT ... INTO OUTFILE (to complement the same clause in
                LOAD DATA INFILE).
                mysqldump is updated to use this in --tab mode.
              
              2) ESCAPED BY/ENCLOSED BY field parameters are documented as
                 accepting CHAR argument, however SELECT .. INTO OUTFILE
                 silently ignored rests of multisymbol arguments.
                 For the symmetrical behavior with LOAD DATA INFILE the
                 server has been modified to fail with the same error:
              
                   ERROR 42000: Field separator argument is not what is
                                expected; check the manual
              
              3) Current LOAD DATA INFILE recognizes field/line separators
                 "as is" without converting from client charset to data
                 file charset. So, it is supposed, that input file of
                 LOAD DATA INFILE consists of data in one charset and
                 separators in other charset. For the compatibility with
                 that [buggy] behaviour SELECT INTO OUTFILE implementation
                 has been saved "as is" too, but the new warning message
                 has been added:
              
                   Non-ASCII separator arguments are not fully supported
              
                 This message warns on field/line separators that contain
                 non-ASCII symbols.
            ------------------------------------------------------------
            revno: 2661.335.9
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: 46265-5.1
            timestamp: Fri 2009-07-31 10:00:35 -0300
            message:
              Bug#46265: Can not disable warning about unsafe statements for binary logging
              
              If using statement based replication (SBR), repeatedly calling
              statements which are unsafe for SBR will cause a warning message
              to be written to the error for each statement. This might lead
              to filling up the error log and there is no way to disable this
              behavior.
              
              The solution is to only log these message (about statements unsafe
              for statement based replication) if the log_warnings option is set.
              
              For example:
              
              SET GLOBAL LOG_WARNINGS = 0;
              INSERT INTO t1 VALUES(UUID());
              SET GLOBAL LOG_WARNINGS = 1;
              INSERT INTO t1 VALUES(UUID());
              
              In this case the message will be printed only once:
              
              [Warning] Statement may not be safe to log in statement format.
                        Statement: INSERT INTO t1 VALUES(UUID())
            ------------------------------------------------------------
            revno: 2661.335.8
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: 43435-5.1
            timestamp: Thu 2009-07-30 17:52:42 -0300
            message:
              Bug#43435: LOCK_open does not use MY_MUTEX_INIT_FAST
              
              Initialize LOCK_open as a adapative mutex on platforms where the
              PTHREAD_ADAPTIVE_MUTEX_INITIALIZER_NP macro is available. The flag
              indicates that a thread should spin (busy wait) for some time on a
              locked adaptive mutex before blocking (sleeping). It's intended to
              to alleviate performance problems due to LOCK_open being a highly
              contended mutex.
            ------------------------------------------------------------
            revno: 2661.335.7
            committer: V Narayanan<v.narayanan@sun.com>
            branch nick: mysql-5.1-bugteam-45800-2
            timestamp: Fri 2009-07-31 09:24:43 +0530
            message:
              merging with mysql-5.1-bugteam
                ------------------------------------------------------------
                revno: 2661.336.4
                committer: V Narayanan<v.narayanan@sun.com>
                branch nick: mysql-5.1-bugteam-45800-1
                timestamp: Thu 2009-07-30 16:04:41 +0530
                message:
                  Bug#45800 crash when replacing into a merge table and there is a duplicate
                        
                  A REPLACE in the MERGE engine is actually a REPLACE
                  into one (FIRST or LAST) of the underlying MyISAM
                  tables. So in effect the server works on the meta
                  data of the MERGE table, while the real insert happens
                  in the MyISAM table.
                  
                  The MERGE table has no index, while MyISAM has a
                  unique index. When a REPLACE into a MERGE table (
                  and the REPLACE conflicts with a duplicate in a
                  child table) is done, we try to access the duplicate
                  key information for the MERGE table. This information
                  actually does not exist, hence this results in a crash.
                  
                  The problem can be resolved by modifying the MERGE
                  engine to provide us the duplicate key information
                  directly, instead of just returning the MyISAM index
                  number as the error key. Then the SQL layer (or "the
                  server") does not try to access the key_info of the
                  MERGE table, which does not exist.
                  
                  The current patch modifies the MERGE engine to provide
                  the position for a record where a unique key violation
                  occurs.
            ------------------------------------------------------------
            revno: 2661.335.6
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-07-30 17:51:25 -0700
            message:
              Merge bug fix.
                ------------------------------------------------------------
                revno: 2661.236.23
                committer: Jim Winstead <jimw@mysql.com>
                branch nick: mysql-5.1
                timestamp: Tue 2009-07-14 17:03:51 -0700
                message:
                  The handling of NUL bytes in column data in the various output formats
                  supported by the mysql client was inconsistent. (Bug #28203)
            ------------------------------------------------------------
            revno: 2661.335.5
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.1-bugteam-44493x
            timestamp: Thu 2009-07-30 21:47:38 +0200
            message:
              Merge 5.0 -> 5.1, no conflicts, no modification of files
                ------------------------------------------------------------
                revno: 1810.3935.7
                committer: Matthias Leich <Matthias.Leich@sun.com>
                branch nick: mysql-5.0-bugteam-44493x
                timestamp: Thu 2009-07-30 21:38:17 +0200
                message:
                  Merge latest changes into local tree, no conflicts
            ------------------------------------------------------------
            revno: 2661.335.4
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-07-30 16:11:39 -0300
            message:
              Manual merge.
                ------------------------------------------------------------
                revno: 1810.3941.1
                committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
                branch nick: 46385-5.0
                timestamp: Mon 2009-07-27 20:31:48 -0300
                message:
                  Bug#46385: [Warning] option 'max_join_size': unsigned value 18446744073709551615 adjusted t
                  
                  The maximum value of the max_join_size variable is set by converting
                  a signed type (long int) with negative value (-1) to a wider unsigned
                  type (unsigned long long), which yields the largest possible value of
                  the wider unsigned type -- as per the language conversion rules. But,
                  depending on build options, the type of the max_join_size might be a
                  shorter type (ha_rows - unsigned long) which causes the warning to be
                  thrown once the large value is truncated to fit.
                  
                  The solution is to ensure that the maximum value of the variable is
                  always set to the maximum value of integer type of max_join_size.
                  
                  Furthermore, it would be interesting to always have a fixed type for
                  this variable, but this would incur in a change of behavior which is
                  not acceptable for a GA version. See Bug#35346.
            ------------------------------------------------------------
            revno: 2661.335.3
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.1-bugteam-44493x
            timestamp: Thu 2009-07-30 17:01:08 +0200
            message:
              Merge latest changes into GCA tree, no conflicts
                ------------------------------------------------------------
                revno: 2661.336.3
                committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Thu 2009-07-30 00:44:04 +0200
                message:
                  Bug#44521 Prepared Statement: CALL p() - crashes: `! thd->main_da.is_sent' failed et.al.
                  
                  Fixed wrong prototype declaration which cased build failure on solaris.
                ------------------------------------------------------------
                revno: 2661.336.2
                committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Wed 2009-07-29 22:27:43 +0200
                message:
                  auto-merge
                ------------------------------------------------------------
                revno: 2661.336.1
                committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Wed 2009-07-29 22:07:08 +0200
                message:
                  Bug#44521 Executing a stored procedure as a prepared statement can sometimes cause
                            an assertion in a debug build.
                  
                  The reason is that the C API doesn't support multiple result sets for prepared
                  statements and attempting to execute a stored routine which returns multiple result
                  sets sometimes lead to a network error. The network error sets the diagnostic area
                  prematurely which later leads to the assert when an attempt is made to set a second
                  server state.
                  
                  This patch fixes the issue by changing the scope of the error code returned by
                  sp_instr_stmt::execute() to include any error which happened during the execution.
                  To assure that Diagnostic_area::is_sent really mean that the message was sent all
                  network related functions are checked for return status.
            ------------------------------------------------------------
            revno: 2661.335.2
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.1-bugteam-44493x
            timestamp: Thu 2009-07-30 16:31:45 +0200
            message:
              Merge 5.0 -> 5.1 of fix for bug 44493
            ------------------------------------------------------------
            revno: 1810.3935.6
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.0-bugteam-44493x
            timestamp: Thu 2009-07-30 16:24:01 +0200
            message:
              Merge of fix for bug 44493 into GCA tree
            ------------------------------------------------------------
            revno: 1810.3940.1
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.0-bugteam-44493
            timestamp: Wed 2009-05-06 17:11:08 +0200
            message:
              Fix for Bug#44493 Fix InnoDB owned 5.0 tests with imperfect cleanup
                Details:
                innodb-autoinc-optimize
                   Add DROP TABLE which is missing (Backport of fix from 5.1)
                innodb_notembedded
                   Take care that the disconnects of additional sessions
                   are completed.
              
                Note:
                   The merge 5.0 -> 5.1 for innodb-autoinc-optimize
                   should be a "null" merge = no changes in 5.1.
        ------------------------------------------------------------
        revno: 2661.323.30
        committer: Mikael Ronstrom <mikael@mysql.com>
        branch nick: mysql-5.1-bugteam-bug46354
        timestamp: Mon 2009-08-03 12:12:36 +0200
        message:
          Fixed two test cases for extended partitioning tests
        ------------------------------------------------------------
        revno: 2661.323.29
        committer: Mikael Ronstrom <mikael@mysql.com>
        branch nick: mysql-5.1-bugteam-bug46354
        timestamp: Wed 2009-07-29 17:58:27 +0200
        message:
          Auto-merge latest changes from mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.335.1
            committer: Guilhem Bichot <guilhem@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Wed 2009-07-29 16:58:31 +0200
            message:
              removing unused array (compiler warning)
        ------------------------------------------------------------
        revno: 2661.323.28
        committer: Mikael Ronstrom <mikael@mysql.com>
        branch nick: mysql-5.1-bugteam-bug46354
        timestamp: Wed 2009-07-29 17:56:32 +0200
        message:
          Bug#46354, when defining partitions without subpartition definition after defining it with the first partition and using list partition caused crash, fixed by more error checks in parser
        ------------------------------------------------------------
        revno: 2661.323.27
        committer: Guilhem Bichot <guilhem@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-07-29 10:54:20 +0200
        message:
          Bug#45829 "CREATE TABLE TRANSACTIONAL PAGE_CHECKSUM ROW_FORMAT=PAGE accepted, does nothing":
          those keywords do nothing in 5.1 (they are meant for future versions, for example featuring the Maria engine)
          so they are here removed from the syntax. Adding those keywords to future versions when needed is:
          - WL#5034 "Add TRANSACTIONA=0|1 and PAGE_CHECKSUM=0|1 clauses to CREATE TABLE"
          - WL#5037 "New ROW_FORMAT value for CREATE TABLE: PAGE"
        ------------------------------------------------------------
        revno: 2661.323.26
        committer: Alfranio Correia <alfranio.correia@sun.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Tue 2009-07-28 23:39:58 +0100
        message:
          auto-merge mysql-5.1-bugteam (local) --> mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.334.1
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-07-28 18:44:38 +0100
            message:
              BUG#41166 stored function requires "deterministic" if binlog_format is "statement"
              
              If the log_bin_trust_function_creators option is not defined, creating a stored
              function requires either one of the modifiers DETERMINISTIC, NO SQL, or READS
              SQL DATA. Executing a stored function should also follows the same rules if in
              STATEMENT mode. However, this was not happening and a wrong error was being
              printed out: ER_BINLOG_ROW_RBR_TO_SBR.
              
              The patch makes the creation and execution compatible and prints out the correct
              error ER_BINLOG_UNSAFE_ROUTINE when a stored function without one of the modifiers
              above is executed in STATEMENT mode.
        ------------------------------------------------------------
        revno: 2661.323.25
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-07-28 16:59:38 -0300
        message:
          If running the mysql_upgrade test case with Valgrind, the resource
          consumption (CPU) for upgrading a large log table can be intense.
          Therefore, truncate the general_log table beforehand if running
          mysql_upgrade test with Valgrind.
        ------------------------------------------------------------
        revno: 2661.323.24
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-07-28 23:15:52 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 1810.3935.5
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Tue 2009-07-28 23:14:04 +0400
            message:
              Automerge.
        ------------------------------------------------------------
        revno: 2661.323.23
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-07-28 23:14:24 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 2661.333.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my51-bug45031
            timestamp: Tue 2009-07-28 22:44:28 +0400
            message:
              Manual merge.
            ------------------------------------------------------------
            revno: 1810.3939.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my50-bug45031
            timestamp: Tue 2009-07-28 22:35:55 +0400
            message:
              Bug #45031: invalid memory reads in my_real_read using protocol 
                          compression 
               
              Since uint3korr() may read 4 bytes depending on build flags and 
              platform, allocate 1 extra "safety" byte in the network buffer 
              for cases when uint3korr() in my_real_read() is called to read
              last 3 bytes in the buffer. 
               
              It is practically hard to construct a reliable and reasonably 
              small test case for this bug as that would require constructing 
              input stream such that a certain sequence of bytes in a 
              compressed packet happens to be the last 3 bytes of the network 
              buffer. 
        ------------------------------------------------------------
        revno: 2661.323.22
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-07-27 16:03:48 -0300
        message:
          Post-merge fix for Bug#43587: Handle failures to execute a statement
          during bootstrap on a embedded server.
        ------------------------------------------------------------
        revno: 2661.323.21
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-07-27 15:24:43 -0300
        message:
          Merge from mysql-5.0-bugteam.
            ------------------------------------------------------------
            revno: 1810.3935.4
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2009-07-27 12:31:28 -0300
            message:
              Bug#20023: mysql_change_user() resets the value of SQL_BIG_SELECTS
              
              Post-merge fix: test case could fail due to a conversion of the
              max_join_size value to a integer. Fixed by preserving the value
              as a string for comparison purposes.
        ------------------------------------------------------------
        revno: 2661.323.20
        committer: Anurag Shekhar <anurag.shekhar@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-07-27 16:50:43 +0530
        message:
          Bug #30102 rename table does corrupt tables with partition files on failure.
          
          One of the tests introduced for this bug was failing 
          because of path size restriction in windows.
          Moved the test case to a new test which is disabled under windows.
        ------------------------------------------------------------
        revno: 2661.323.19
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-18828
        timestamp: Mon 2009-07-27 11:54:29 +0530
        message:
          merge mysql-5.0-bugteam to mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3935.3
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.0-bugteam-18828
            timestamp: Mon 2009-07-27 11:49:28 +0530
            message:
              merging with mysql-5.0-bugteam
        ------------------------------------------------------------
        revno: 2661.323.18
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-18828
        timestamp: Mon 2009-07-27 11:50:13 +0530
        message:
          merging with mysql-5.1-bugteam branch
            ------------------------------------------------------------
            revno: 2661.328.8
            committer: Luis Soares <luis.soares@sun.com>
            branch nick: mysql-5.1-bugteam-to-push
            timestamp: Sun 2009-07-26 22:48:24 +0100
            message:
              BUG#43046: mixed mode switch to row format with temp table lead
                         to wrong result
                    
              When using MIXED mode and issuing 'CREATE TEMPORARY TABLE t_tmp',
              the statement is logged if the current binlogging mode is
              STATEMENT. This causes the slave to replay the instruction and
              create the temporary table as well. If there is no switch to ROW
              mode, and later on a 'DROP TEMPORARY TABLE t_tmp' is issued, then
              this statement will also be logged and the slave will
              remove/close the temporary table.
                    
              However, if there is a switch to ROW mode between the CREATE and
              DROP TEMPORARY table, the DROP statement will not be logged,
              leaving the slave with a dangling temporary table.
                    
              This patch addresses this, by always logging a DROP TEMPORARY
              TABLE IF EXISTS when in mixed mode and a drop statement is issued
              for temporary table(s).
            ------------------------------------------------------------
            revno: 2661.328.7
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: 43587-5.1
            timestamp: Fri 2009-07-24 15:45:42 -0300
            message:
              Bug#43587: Putting event_scheduler=1 in init SQL file crashes
              mysqld
              
              The problem was that enabling the event scheduler inside a init
              file caused the server to crash upon start-up. The crash occurred
              because the event scheduler wasn't being initialized before the
              commands in the init-file are processed.
              
              The solution is to initialize the event scheduler before the init
              file is read. The patch also disables the event scheduler during
              bootstrap and makes the bootstrap operation robust in the
              presence of background threads.
                ------------------------------------------------------------
                revno: 2661.332.1
                committer: Konstantin Osipov <kostja@sun.com>
                branch nick: 5.1-bugteam
                timestamp: Fri 2009-07-24 20:20:46 +0400
                message:
                  Code review for Bug#43587 Putting event_scheduler=1 in init SQL file crashes 
                  mysqld
            ------------------------------------------------------------
            revno: 2661.328.6
            committer: Gleb Shchepa <gshchepa@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-24 21:04:55 +0500
            message:
              Merge from 5.0
              ******
              manual merge 5.0-bugteam --> 5.1-bugteam (bug 38816)
                ------------------------------------------------------------
                revno: 1810.3933.12
                committer: Gleb Shchepa <gshchepa@mysql.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Fri 2009-07-24 20:58:58 +0500
                message:
                  Bug #38816: kill + flush tables with read lock + stored
                              procedures causes crashes!
                  
                  The problem of that bugreport was mostly fixed by the
                  patch for bug 38691.
                  However, attached test case focused on another crash or
                  valgrind warning problem: SHOW PROCESSLIST query accesses
                  freed memory of SP instruction that run in a parallel
                  connection.
                  
                  Changes of thd->query/thd->query_length in dangerous
                  places have been guarded with the per-thread
                  LOCK_thd_data mutex (the THD::LOCK_delete mutex has been
                  renamed to THD::LOCK_thd_data).
            ------------------------------------------------------------
            revno: 2661.328.5
            committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-24 16:15:56 +0400
            message:
              Automerge.
                ------------------------------------------------------------
                revno: 1810.3933.11
                committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Fri 2009-07-24 16:13:31 +0400
                message:
                  Automerge.
                ------------------------------------------------------------
                revno: 1810.3933.10
                committer: V Narayanan<v.narayanan@sun.com>
                branch nick: mysql-5.0-bugteam-43572-4
                timestamp: Fri 2009-07-24 12:28:17 +0530
                message:
                  merging with mysql-5.0-bugteam
            ------------------------------------------------------------
            revno: 2661.328.4
            committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-24 16:14:14 +0400
            message:
              Automerge.
                ------------------------------------------------------------
                revno: 2661.331.1
                committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
                branch nick: my51-bug46075
                timestamp: Fri 2009-07-24 16:09:35 +0400
                message:
                  Manual merge.
                ------------------------------------------------------------
                revno: 1810.3938.1
                committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
                branch nick: my50-bug46075
                timestamp: Fri 2009-07-24 15:50:45 +0400
                message:
                  Bug #46075: Assertion failed: 0, file .\protocol.cc, line 416 
                  
                  In create_myisam_from_heap() mark all errors as fatal except 
                  HA_ERR_RECORD_FILE_FULL for a HEAP table.
                  
                  Not doing so could lead to problems, e.g. in a case when a
                  temporary MyISAM table gets overrun due to its MAX_ROWS limit
                  while executing INSERT/REPLACE IGNORE ... SELECT. 
                  The SELECT execution was aborted, but the error was 
                  converted to a warning due to IGNORE clause, so neither 'ok' 
                  nor 'error' packet could be sent back to the client. This 
                  condition led to hanging client when using 5.0 server, or 
                  assertion failure in 5.1.
            ------------------------------------------------------------
            revno: 2661.328.3
            committer: Anurag Shekhar <anurag.shekhar@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-24 16:02:17 +0530
            message:
              merging with local branch.
                ------------------------------------------------------------
                revno: 2661.330.1
                committer: Anurag Shekhar <anurag.shekhar@sun.com>
                branch nick: mysql-5.1-bugteam-30102
                timestamp: Fri 2009-07-24 15:41:23 +0530
                message:
                  Bug#30102: Rename table does corrupt tables with partition files on failure
                  
                  Problem was that a failing rename just left the partitions at the state
                  it was at the failure.
                  
                  Solution was to try to revert the started rename if a failure occured.
            ------------------------------------------------------------
            revno: 2661.328.2
            committer: V Narayanan<v.narayanan@sun.com>
            branch nick: mysql-5.1-bugteam-43572-6
            timestamp: Fri 2009-07-24 12:56:27 +0530
            message:
              merging with mysql-5.1-bugteam
                ------------------------------------------------------------
                revno: 2661.329.1
                committer: V Narayanan<v.narayanan@sun.com>
                branch nick: mysql-5.1-bugteam-43572-5
                timestamp: Fri 2009-07-17 14:25:09 +0530
                message:
                  merging with mysql-5.0-bugteam
                ------------------------------------------------------------
                revno: 1810.3937.1
                committer: V Narayanan<v.narayanan@sun.com>
                branch nick: mysql-5.0-bugteam-43572-3
                timestamp: Fri 2009-07-17 13:10:22 +0530
                message:
                  merging with mysql-5.0-bugteam
                ------------------------------------------------------------
                revno: 1810.3936.1
                committer: V Narayanan<v.narayanan@sun.com>
                branch nick: mysql-5.0-bugteam-43572-2
                timestamp: Sun 2009-07-12 11:18:53 +0530
                message:
                  Bug#43572 Handle failures from hash_init
                  
                  This patch is a follow up to http://lists.mysql.com/commits/76678.
                  When an allocation failure occurs for the buffer in the dynamic
                  array, an error condition was being set. The dynamic array is
                  usable even if the memory allocation fails. Since in most cases
                  the thread can continue to work without any problems the error
                  condition should not be set here.
                  
                  This patch adds logic to remove the error condition from being set
                  when the memory allocation for the buffer in dynamic array fails.
            ------------------------------------------------------------
            revno: 2661.328.1
            committer: Alexander Barkov <bar@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-24 11:27:23 +0500
            message:
              Backporting "WL#3332 Korean Enhancements" and
              "WL#4584 New euckr characters" from 5.4.
              (as agreed on ServerPT meeting on July 8).
        ------------------------------------------------------------
        revno: 2661.323.17
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-18828
        timestamp: Fri 2009-07-24 12:15:06 +0530
        message:
          merge 5.0-bugteam to 5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3935.2
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.0-bugteam-18828
            timestamp: Fri 2009-07-24 11:15:31 +0530
            message:
              merge to mysql-5.0-bugteam
            ------------------------------------------------------------
            revno: 1810.3935.1
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.0-bugteam-18828
            timestamp: Fri 2009-07-17 14:13:53 +0530
            message:
              Fix for BUG#18828 - If InnoDB runs out of undo slots, 
                                  it returns misleading 'table is full'
              
              Innodb returns a misleading error message "table is full" 
              when the number of active concurrent transactions is greater
              than 1024.
              
              Fixed by adding errorcode "ER_TOO_MANY_CONCURRENT_TRXS" to the
              error codes. Innodb should return HA_TOO_MANY_CONCURRENT_TRXS
              to mysql which is then mapped to ER_TOO_MANY_CONCURRENT_TRXS
              
              
              Note: testcase is not written as this was reproducible only by
                    changing innodb code.
        ------------------------------------------------------------
        revno: 2661.323.16
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 45770-51
        timestamp: Thu 2009-07-23 13:53:28 +0200
        message:
          Merge from 5.0
            ------------------------------------------------------------
            revno: 1810.3933.9
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 45770-50
            timestamp: Thu 2009-07-23 13:38:11 +0200
            message:
              Bug #45770 errors reading server SSL files are printed, but
              not logged
                      
              Errors encountered during initialization of the SSL subsystem
              are printed to stderr, rather than to the error log.
                      
              This patch adds a parameter to several SSL init functions to
              report the error (if any) out to the caller. The function
              init_ssl() in mysqld.cc is moved after the initialization of
              the log subsystem, so that any error messages can be logged to
              the error log. Printing of messages to stderr has been 
              retained to get diagnostic output in a client context.
        ------------------------------------------------------------
        revno: 2661.323.15
        committer: Konstantin Osipov <kostja@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Wed 2009-07-22 13:44:19 +0400
        message:
          Add a comment for thd->proc_info.
        ------------------------------------------------------------
        revno: 2661.323.14
        committer: Evgeny Potemkin <epotemkin@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Sun 2009-07-19 16:58:02 +0400
        message:
          auto-merge mysql-5.1-bugteam (local) -> mysql-5.1-bugteam.
            ------------------------------------------------------------
            revno: 2661.327.1
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam-push
            timestamp: Sun 2009-07-19 09:19:15 +0100
            message:
              auto-merge mysql-5.1-bugteam (local) --> mysql-5.1-bugteam 
            ------------------------------------------------------------
            revno: 2661.325.5
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Sat 2009-07-18 21:07:56 +0100
            message:
              BUG#46129 Failing mixed stm (with trans and non-trans tables) causes wrong seq in
              binlog
                    
              The fix for BUG 43929 introduced a regression issue. In a nutshell, when a
              statement that changes a non-transactional table fails, it is written to the
              binary log with the error code appended. Unfortunately, after BUG 43929, this
              failure was flushing the transactional chace causing mismatch between execution
              and logging histories. To fix this issue, we avoid flushing the transactional
              cache when a commit or rollback is not issued.
        ------------------------------------------------------------
        revno: 2661.323.13
        committer: Evgeny Potemkin <epotemkin@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Sun 2009-07-19 16:49:40 +0400
        message:
          Merged fix for the bug#46051.
            ------------------------------------------------------------
            revno: 1810.3933.8
            committer: Evgeny Potemkin <epotemkin@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Sat 2009-07-18 18:11:33 +0400
            message:
              Merged corrected fix for the bug#46051.
                ------------------------------------------------------------
                revno: 1810.3934.2
                committer: Evgeny Potemkin <epotemkin@mysql.com>
                branch nick: 45061-bug-5.0-bugteam
                timestamp: Sat 2009-07-18 18:09:56 +0400
                message:
                  Bug#46051: Incorrectly market field caused wrong result.
                  When during the optimization an item is moved to the upper select
                  the item's context left unchanged. This caused wrong result in the 
                  PS/SP mode.
                  The Item_ident::remove_dependence_processor now sets the context
                  of the select to which the item is moved to.
            ------------------------------------------------------------
            revno: 1810.3933.7
            committer: Evgeny Potemkin <epotemkin@mysql.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Fri 2009-07-17 18:45:32 +0400
            message:
              Merged fix for the bug#46051.
            ------------------------------------------------------------
            revno: 1810.3934.1
            committer: Evgeny Potemkin <epotemkin@mysql.com>
            branch nick: 45061-bug-5.0-bugteam
            timestamp: Thu 2009-07-16 19:43:46 +0400
            message:
              Bug#46051: Incorrectly market field caused wrong result.
              
              In a subselect all fields from outer selects are marked as dependent on
              selects they are belong to. In some cases optimizer substitutes it for an
              equivalent expression. For example "a_field IN (SELECT outer_field)" is
              substituted with "a_field = outer_field". As we moved the outer_field to the
              upper select it's not really outer anymore. But it was left marked as outer.
              If exists an index over a_field optimizer choose wrong execution plan and thus
              return wrong result.
              
              Now the Item_in_subselect::single_value_transformer function removes dependent
              marking from fields when a subselect is optimized away.
        ------------------------------------------------------------
        revno: 2661.323.12
        committer: <Dao-Gang.Qu@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Fri 2009-07-17 13:07:43 +0800
        message:
          Bug #45214  get_master_version_and_clock does not report error when queries fail
          
          Append the patch for resolving the problems, which have been brought by commiting bug#45214.
        ------------------------------------------------------------
        revno: 2661.323.11
        committer: <Dao-Gang.Qu@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Fri 2009-07-17 10:59:17 +0800
        message:
          Auto merge
            ------------------------------------------------------------
            revno: 2661.325.4
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: fixvg-5.1-bugteam
            timestamp: Thu 2009-07-16 16:17:47 +0300
            message:
              automerge
                ------------------------------------------------------------
                revno: 1810.3933.6
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: fixvg-5.0-bugteam
                timestamp: Thu 2009-07-16 16:13:26 +0300
                message:
                  Bug #46042: backported the fix for the valgrind warning from 5.1
                ------------------------------------------------------------
                revno: 1810.3933.5
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: fixvg-5.0-bugteam
                timestamp: Thu 2009-07-16 15:19:22 +0300
                message:
                  Bug #46003 and bug #46034: backported the fixes from azalea.
                ------------------------------------------------------------
                revno: 1810.3933.4
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: fixvg-5.0-bugteam
                timestamp: Wed 2009-07-08 16:50:17 +0300
                message:
                  fixed check-cpu to correctly recognize mac CPUs
            ------------------------------------------------------------
            revno: 2661.325.3
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-07-16 15:43:17 +0300
            message:
              null merge the second round of fixes of bug #45287 to 5.1-bugteam.
                ------------------------------------------------------------
                revno: 1810.3933.3
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45287-5.0-bugteam
                timestamp: Thu 2009-07-16 15:37:38 +0300
                message:
                  Bug #45287: phase 2 : 5.0 64 bit compilation warnings
                         
                  Fixed various compilation warnings when compiling on a 
                   64 bit windows.
            ------------------------------------------------------------
            revno: 2661.325.2
            committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-07-16 10:03:51 +0200
            message:
              Automerge
                ------------------------------------------------------------
                revno: 2661.326.2
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45287-5.1-bugteam
                timestamp: Thu 2009-07-16 10:33:13 +0300
                message:
                  automerge
                ------------------------------------------------------------
                revno: 2661.326.1
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45287-5.1-bugteam
                timestamp: Thu 2009-07-16 10:31:00 +0300
                message:
                  automerge
                ------------------------------------------------------------
                revno: 1810.3933.2
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45287-5.0-bugteam
                timestamp: Wed 2009-07-15 17:00:26 +0300
                message:
                  automerge
                ------------------------------------------------------------
                revno: 1810.3933.1
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45287-5.0-bugteam
                timestamp: Wed 2009-07-15 16:46:25 +0300
                message:
                  Bug #45287: phase 1 : 32 bit compilation warnings
                  
                  Fixed the following problems:
                  1. cmake 2.6 warning because of a changed default on
                  how the dependencies to libraries with a specified 
                  path are resolved.
                  Fixed by requiring cmake 2.6.
                  2. Removed an obsolete pre-NT4 hack including defining
                  Windows system defines to alter the behavior of windows.h.
                  3. Disabled warning C4065 on compiling sql_yacc.cc because
                  of a know incompatibility in some of the newer bison binaries.
            ------------------------------------------------------------
            revno: 2661.325.1
            committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
            branch nick: 51-bug45781-2
            timestamp: Thu 2009-07-16 01:23:57 +0200
            message:
              Bug#45781 infinite hang/crash in "opening tables" after handler tries to open merge
                        table
              
              The MERGE table storage engine does not support the HA_CAN_SQL_HANDLE feature
              and any attempt to open the merge table will fail with ER_ILLEGAL_HA.
              
              After an error occurred the tables that was opened must be closed again
              or they will be left in an inconsistent state. However, the assumption
              made in the code for closing and register handler tables was that only
              one table will be opened, and this is not true for MERGE tables which
              will cause multiple tables to open.
              
              The next time a SELECT operation was issued on the merge table it
              caused the system to freeze.
              
              This patch fixes this issue by making sure that all tables which
              are opened also are closed in the event of an error.
        ------------------------------------------------------------
        revno: 2661.323.10
        committer: <Dao-Gang.Qu@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Thu 2009-07-16 14:56:43 +0800
        message:
          Bug #45214  get_master_version_and_clock does not report error when queries fail
                  
          The "get_master_version_and_clock(...)" function in sql/slave.cc ignores 
          error and passes directly when queries fail, or queries succeed 
          but the result retrieved is empty.
            
          The "get_master_version_and_clock(...)" function should try to reconnect master
          if queries fail because of transient network problems, and fail otherwise.
          The I/O thread should print a warning if the some system variables do not 
          exist on master (very old master)
        ------------------------------------------------------------
        revno: 2661.323.9
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 44495-5.1
        timestamp: Wed 2009-07-15 15:22:50 -0300
        message:
          Bug#44495: Prepared Statement: CALL p(<x>) - `thd->protocol == &thd->protocol_text' failed
          
          Merge Konstantin's patch and add a test case.
            ------------------------------------------------------------
            revno: 2661.324.1
            committer: Konstantin Osipov <kostja@sun.com>
            branch nick: 5.1-bugteam
            timestamp: Wed 2009-07-15 21:00:34 +0400
            message:
              A fix for Bug#44495 "Prepared Statement: CALL p(<x>) - `thd->protocol == &thd->protocol_text' 
              failed"
              
              Do not assume that SQL prepared statements always run in text protocol.
              When invoked from a stored procedure, which is itself invoked
              by means of prepared CALL statement, the protocol may be binary.
              Juggle with the protocol only when we want to change it
              to binary in COM_STMT_EXECUTE, COM_STMT_PREPARE.
              
              This is a backport from 5.4/6.0, where the bug was fixed
              as part of WL#4264 "Backup: Stabilize Service Interface" 
        ------------------------------------------------------------
        revno: 2661.323.8
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-07-15 15:25:44 +0500
        message:
          Addition to #45998 fix, result adjusted.
        ------------------------------------------------------------
        revno: 2661.323.7
        committer: Anurag Shekhar <anurag.shekhar@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-07-15 15:43:45 +0530
        message:
          merging with 5.0 bugteam tree
            ------------------------------------------------------------
            revno: 1810.3932.3
            committer: Anurag Shekhar <anurag.shekhar@sun.com>
            branch nick: mysql-5.0-bugteam-37740
            timestamp: Wed 2009-07-15 15:00:58 +0530
            message:
              Bug#37740 Server crashes on execute statement with full text search and 
                        match against.
              
              
              Server crashes when executing prepared statement with duplicating
              MATCH() function calls in SELECT and ORDER BY expressions, e.g.:
              SELECT MATCH(a) AGAINST('test') FROM t1 ORDER BY MATCH(a) AGAINST('test')
              
              This query gets optimized by the server, so the value returned
              by MATCH() from the SELECT list is reused for ORDER BY purposes.
              To make this optimization server is comparing items from
              SELECT and ORDER BY lists. We were getting server crash because
              comparision function for MATCH() item is not intended to be called
              at this point of execution.
              
              In 5.0 and 5.1 this problem is workarounded by resetting MATCH()
              item to the state as it was during PREPARE.
              
              In 6.0 correct comparision function will be implemented and
              duplicating MATCH() items from the ORDER BY list will be
              optimized.
        ------------------------------------------------------------
        revno: 2661.323.6
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-07-15 08:49:58 +0500
        message:
          Auto-merge
            ------------------------------------------------------------
            revno: 2661.259.111
            committer: Ramil Kalimullin <ramil@mysql.com>
            branch nick: b45998-5.1-bugteam
            timestamp: Tue 2009-07-14 20:07:29 +0500
            message:
              Fix for bug#45998: database crashes when running
              "create as select" (innodb table)
              
              Problem: code constructing "CREATE TABLE..." statement
              doesn't take into account that current database is not set
              in some cases. That may lead to a server crash.
              
              Fix: check if current database is set.
        ------------------------------------------------------------
        revno: 2661.323.5
        committer: Jim Winstead <jimw@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-07-14 10:08:38 -0700
        message:
          Merge in bug fixes for client tools
            ------------------------------------------------------------
            revno: 2661.236.22
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Wed 2009-05-20 18:31:10 -0700
            message:
              mysqlcheck failed to fix table names when using the --fix-table-names
              and --all-in-1 options together. (Bug #31821)
            ------------------------------------------------------------
            revno: 2661.236.21
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Wed 2009-05-20 17:25:10 -0700
            message:
              mysqladmin --count=X --sleep=Y would always delay Y seconds after the last
              iteration before exiting. (Bug #42639)
            ------------------------------------------------------------
            revno: 2661.236.20
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Wed 2009-05-20 17:04:44 -0700
            message:
              The mysql command-line client would include superfluous spaces at the end of
              some result set lines. (Bug #29622)
            ------------------------------------------------------------
            revno: 2661.236.19
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Wed 2009-05-20 12:58:01 -0700
            message:
              Fix warning in use of strlen().
            ------------------------------------------------------------
            revno: 2661.236.18
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Tue 2009-05-19 15:26:57 -0700
            message:
              Table identifiers and file names were not quoted and escaped correctly by
              mysqlimport. (Bug #28071)
            ------------------------------------------------------------
            revno: 2661.236.17
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Tue 2009-05-19 10:39:03 -0700
            message:
              mysql_upgrade ignored the --basedir and --datadir arguments as it has no use
              for them, but it did so silently. (Bug #36558)
            ------------------------------------------------------------
            revno: 2661.236.16
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Tue 2009-05-19 10:17:05 -0700
            message:
              The mysql command-line client didn't implement the readline magic-space
              command, which bash does, which could result in a user accidentally disabling
              the use of the space key in the mysql command-line client. (Bug #27439)
            ------------------------------------------------------------
            revno: 2661.236.15
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Mon 2009-05-18 18:23:43 -0700
            message:
              mysqlslap didn't correctly handle --csv with no argument. (Bug #44412)
            ------------------------------------------------------------
            revno: 2661.236.14
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Mon 2009-05-18 14:19:18 -0700
            message:
              mysqladmin did not have enough space allocated for tracking all variables
              when using --vertical or --relative with extended-status. (Bug #40395)
              
                This patch simply increases the buffer size and adds an assert to
                check that it is big enough -- a more comprehensive fix would dynamically
                allocate the appropriate buffers.
            ------------------------------------------------------------
            revno: 2661.236.13
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Mon 2009-05-18 12:52:51 -0700
            message:
              The output of mysqldump --tab for views included a DROP TABLE statement
              without the IF EXISTS qualifier even though no temporary table is created
              as for all-in-one dumps including views. (Bug #37377)
        ------------------------------------------------------------
        revno: 2661.323.4
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B40113-5.1-bugteam
        timestamp: Tue 2009-07-14 12:02:37 +0300
        message:
          merge 5.1-main -> 5.1-bugteam
        ------------------------------------------------------------
        revno: 2661.323.3
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B40113-5.1-bugteam
        timestamp: Tue 2009-07-14 12:00:35 +0300
        message:
          merge 5.0-bugteam -> 5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3932.2
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B40113-5.0-bugteam
            timestamp: Tue 2009-07-14 11:47:22 +0300
            message:
              automerge
        ------------------------------------------------------------
        revno: 2661.323.2
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B40113-5.1-bugteam
        timestamp: Tue 2009-07-14 11:59:17 +0300
        message:
          automerge
        ------------------------------------------------------------
        revno: 2661.323.1
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B40113-5.1-bugteam
        timestamp: Mon 2009-07-13 20:36:54 +0300
        message:
          Merge of the fix for bug #40113 to 5.1.
        ------------------------------------------------------------
        revno: 1810.3932.1
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B40113-5.0-bugteam
        timestamp: Mon 2009-07-13 18:11:16 +0300
        message:
          Bug #40113: Embedded SELECT inside UPDATE or DELETE can timeout 
          without error
          
          When using quick access methods for searching rows in UPDATE or 
          DELETE there was no check if a fatal error was not already sent 
          to the client while evaluating the quick condition.
          As a result a false OK (following the error) was sent to the 
          client and the error was thus transformed into a warning.
          
          Fixed by checking for errors sent to the client during 
          SQL_SELECT::check_quick() and treating them as real errors.
          
          Fixed a wrong test case in group_min_max.test
          Fixed a wrong return code in mysql_update() and mysql_delete()
    ------------------------------------------------------------
    revno: 2661.290.12
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: push-5.1
    timestamp: Thu 2009-07-30 17:24:09 +0200
    message:
      Merge the fix for bug#42213 up into 5.1-build:
         Check for "stack overrun" doesn't work, server crashes
        ------------------------------------------------------------
        revno: 1810.3925.6
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.0
        timestamp: Thu 2009-07-30 17:03:54 +0200
        message:
          Merge the fix for bug#42213 into 5.0-build.
        ------------------------------------------------------------
        revno: 1810.3931.1
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: bug42213-5.0
        timestamp: Thu 2009-07-30 16:12:26 +0200
        message:
          Our autoconf function "MYSQL_STACK_DIRECTION" will not work
          correctly if the compiler optimizes too clever.
          
          This has happaned on HP-UX 11.23 (IA64) at optimization
          level "+O2", causing bug#42213:
             Check for "stack overrun" doesn't work, server crashes
          
          Fix it by adding a pragma that prevents this optimization.
          As a result, it should be safe to use "+O2" on this platform
          (unless there is some other, optimizer-related, bug which
          is just currently masked because we use resudec optimization).
    ------------------------------------------------------------
    revno: 2661.290.11
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: push-5.1
    timestamp: Tue 2009-07-28 21:39:07 +0200
    message:
      Upmerge of a merge changeset from 5.0-build to 5.1-build,
      no code change.
        ------------------------------------------------------------
        revno: 1810.3925.5
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.0
        timestamp: Tue 2009-07-21 19:37:28 +0200
        message:
          Merge the bug fix for 37808 ("make_binary_distribution.sh")
          into 5.0-build.
    ------------------------------------------------------------
    revno: 2661.290.10
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: push-5.1
    timestamp: Tue 2009-07-21 18:49:42 +0200
    message:
      Merge the fix for bug#37808 into 5.1-build.
        ------------------------------------------------------------
        revno: 2661.322.1
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: bug37808-5.1
        timestamp: Tue 2009-07-21 09:36:43 +0200
        message:
          Upmerge a bug fix from 5.0 to 5.1:
          
          bug#37808
          "make_binary_distribution" does not always generate correct names
          
          Successfully tested on 5.1 sources.
        ------------------------------------------------------------
        revno: 1810.3930.1
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: bug37808-5.0
        timestamp: Fri 2009-06-26 11:58:19 +0200
        message:
          This is a fix for bug#37808
             "make_binary_distribution" does not always generate correct names
          
          Originally, we solved deficiencies of the predefined "autoconf" macros
          (at least on OS X 10.5, they do not correctly differ between "x86" and
          "x86_64") by providing explicit "--platform" arguments.
          
          With this patch, "make_binary_distribution" evaluates CFLAGS, so it
          "just works" because CFLAGS contains information about the target CPU.
          
          This patch is accompanied by a change in our build tools that drops the
          setting of "--platform" arguments.
    ------------------------------------------------------------
    revno: 2661.290.9
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: push-5.1
    timestamp: Tue 2009-07-21 18:25:38 +0200
    message:
      Merge 5.0-build up into 5.1-build.
      This is just about a merge changeset, no code changes.
        ------------------------------------------------------------
        revno: 1810.3925.4
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.0
        timestamp: Thu 2009-07-16 13:00:31 +0200
        message:
          Merge main 5.0 into 5.0-build
    ------------------------------------------------------------
    revno: 2661.290.8
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: push-5.1
    timestamp: Thu 2009-07-16 09:13:19 +0200
    message:
      Merge main 5.1 into 5.1-build.
        ------------------------------------------------------------
        revno: 2661.321.2
        author: timothy.smith@sun.com
        committer: MySQL Build Team <build@mysql.com>
        branch nick: mysql-5.1
        timestamp: Mon 2009-07-13 22:43:31 +0200
        message:
          Raise version number after cloning 5.1.37
        ------------------------------------------------------------
        revno: 2661.321.1
        tags: clone-5.1.37-build
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-13 20:45:43 +0300
        message:
          merge tree name change
        ------------------------------------------------------------
        revno: 1810.3927.16
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.0-bugteam
        timestamp: Mon 2009-07-13 20:39:58 +0300
        message:
          tree name changed
    ------------------------------------------------------------
    revno: 2661.290.7
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: push-5.1
    timestamp: Mon 2009-07-13 12:03:45 +0200
    message:
      Merge some merge changesets from main 5.1 into 5.1-build.
      
      The base changes were backports from later 5.1 into 5.1.34sp1,
      so there are no code changes associated with this merge.
    ------------------------------------------------------------
    revno: 2661.290.6
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: push-5.1
    timestamp: Mon 2009-07-13 11:38:33 +0200
    message:
      Merge a merge changeset from 5.0-build into 5.1-build,
      all code changes are already present.
        ------------------------------------------------------------
        revno: 1810.3925.3
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.0
        timestamp: Thu 2009-07-09 23:10:50 +0200
        message:
          Merge main 5.0 into 5.0-build.
    ------------------------------------------------------------
    revno: 2661.290.5
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: push-5.1
    timestamp: Mon 2009-07-13 10:25:12 +0200
    message:
      Merge main 5.1 into 5.1-build.
    ------------------------------------------------------------
    revno: 2661.290.4
    committer: Daniel Fischer <df@sun.com>
    branch nick: mysql-5.1-build
    timestamp: Fri 2009-07-03 14:12:35 +0200
    message:
      merge fix
        ------------------------------------------------------------
        revno: 1810.3925.2
        committer: Daniel Fischer <df@sun.com>
        branch nick: mysql-5.0-build
        timestamp: Fri 2009-07-03 13:48:08 +0200
        message:
          Bug#44647 - fix file permissions.
    ------------------------------------------------------------
    revno: 2661.290.3
    committer: Daniel Fischer <df@sun.com>
    branch nick: mysql-5.1-build
    timestamp: Thu 2009-07-02 15:18:12 +0200
    message:
      merge patch for bug#31785
------------------------------------------------------------
revno: 2866
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Tue 2009-08-11 18:47:26 +0200
message:
  a fix for Bug #46652: ndb_restore_compat gives Valgrind error in open_binary_frm(),
  until it's fixed in a parent tree
------------------------------------------------------------
revno: 2865
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Tue 2009-08-11 18:35:22 +0200
message:
  importing Vlad's fix which should eliminate many Windows test failures.
  Putting back Summit defaults (removing them didn't seem to have a good effect on pushbuild2).
------------------------------------------------------------
revno: 2864
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Tue 2009-08-11 12:38:23 +0200
message:
  temporarily remove Summit defaults of InnoDB options, to see if it influences pushbuild2
------------------------------------------------------------
revno: 2863
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Mon 2009-08-10 12:49:12 +0200
message:
  working around BUG 46043 "mysqld --skip-innodb does not skip InnoDB",
  to fix test failures on OS X PPC and Sparc64
------------------------------------------------------------
revno: 2862
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Fri 2009-08-07 22:52:10 +0200
message:
  small cmake fix for Windows build
------------------------------------------------------------
revno: 2861
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Fri 2009-08-07 22:06:34 +0200
message:
  Using same defaults for InnoDB options as the Summit release does.
------------------------------------------------------------
revno: 2860
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Fri 2009-08-07 22:04:53 +0200
message:
  Fixes to tests and their results, to account for differences between InnoDB 1.0.4 and the old builtin.
  All committed result differences have either been verified by me or copied from Oracle's provided
  results (storage/innodb_plugin/mysql-test/*.result, storage/innodb_plugin/mysql-test/patches).
------------------------------------------------------------
revno: 2859
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2-innobase
timestamp: Fri 2009-08-07 12:16:00 +0200
message:
  Renamed storage/innodb_plugin to storage/innobase, so that 1) it's the same
  layout as we always had in trees containing only the builtin
  2) win\configure.js WITH_INNOBASE_STORAGE_ENGINE still works.
------------------------------------------------------------
revno: 2858
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Wed 2009-08-05 12:07:41 +0200
message:
  InnoDB plugin is built-in: remove test code which depended on the plugin property
------------------------------------------------------------
revno: 2857
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Tue 2009-08-04 13:37:32 +0200
message:
  Undoing mikael@mysql.com-20081015100345-8tu2vmh7mzs60c23
  "Patch to fix bug 38551": it was a manual backport (2008-10-15) of
  http://lists.mysql.com/commits/56418.
  But that was an early, non-final patch from the fixer of this bug (TheK):
  after that backport was made by Mikael, TheK decided to do a different fix,
  which was finally pushed into 6.0.
  Then 5.1's code was changed for some other reasons, so now we have a
  conflict between the old never-approved TheK patch backported to Summit and
  the latest 5.1. The backport cannot stay, it has to be removed due to
  the conflict, and then rewritten if desired.
------------------------------------------------------------
revno: 2856
committer: Guilhem Bichot <guilhem@mysql.com>
branch nick: mysql-trunk2
timestamp: Tue 2009-08-04 13:25:19 +0200
message:
  Creation of mysql-trunk = {summit + "Innodb plugin replacing the builtin"}:
  bzr branch mysql-5.1-performance-version mysql-trunk # Summit
  cd mysql-trunk
  bzr merge mysql-5.1-innodb_plugin # which is 5.1 + Innodb plugin 
  bzr rm innobase # remove the builtin
  Next step: build, test fixes.
    ------------------------------------------------------------
    revno: 2661.229.57
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-merge
    timestamp: Tue 2009-08-04 13:02:48 +0500
    message:
      Fixed build failure on Win.
      
      Reverted lost in the merge line.
    ------------------------------------------------------------
    revno: 2661.229.56
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-merge
    timestamp: Fri 2009-07-31 14:54:25 +0500
    message:
      Added fsp0types.h to source distribution.
    ------------------------------------------------------------
    revno: 2661.229.55
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-merge
    timestamp: Thu 2009-07-30 17:42:56 +0500
    message:
      Update to innoplug-1.0.4.
    ------------------------------------------------------------
    revno: 2661.229.54
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-merge
    timestamp: Tue 2009-07-14 15:06:04 +0500
    message:
      Merge 5.1-bugteam -> 5.1-innodb_plugin.
        ------------------------------------------------------------
        revno: 2661.259.110
        committer: Jim Winstead <jimw@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-07-13 12:11:16 -0700
        message:
          Merge bug fixes
            ------------------------------------------------------------
            revno: 2661.236.12
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Fri 2009-05-15 13:25:22 -0700
            message:
              Add usage for --base64-output=DECODE-ROWS and note that UNSPEC is
              intentionally unmentioned (it is just a placeholder). (Bug #41403)
            ------------------------------------------------------------
            revno: 2661.236.11
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Fri 2009-05-15 13:12:20 -0700
            message:
              Remove out-of-date and unnecessary comment in source code about what versions
              are supported. (Bug #42021)
            ------------------------------------------------------------
            revno: 2661.236.10
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Fri 2009-05-15 12:24:45 -0700
            message:
              Fix test case, table name needs to be upper-case.
            ------------------------------------------------------------
            revno: 2661.236.9
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Tue 2009-05-12 10:45:40 -0700
            message:
              mysqlimport was not always compiled correctly to allow thread support,
              required for the --use-threads option. (Bug #32991)
            ------------------------------------------------------------
            revno: 2661.236.8
            committer: Jim Winstead <jimw@mysql.com>
            branch nick: mysql-5.1
            timestamp: Tue 2009-05-12 10:38:14 -0700
            message:
              mysqldump would not dump the INFORMATION_SCHEMA even when it was explicitly
              requested. (Bug #33762)
        ------------------------------------------------------------
        revno: 2661.259.109
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-13 20:41:43 +0300
        message:
          merge 5.1-main -> 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.318.2
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1
            timestamp: Sat 2009-07-11 01:12:13 +0200
            message:
              NULL MERGE of mysql-5.1.34sp1-release branch
            ------------------------------------------------------------
            revno: 2661.320.11
            tags: mysql-5.1.34sp1
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Thu 2009-06-25 00:15:51 +0200
            message:
              bump version to 5.1.34sp1
            ------------------------------------------------------------
            revno: 2661.320.10
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:34:19 +0200
            message:
              Backport into build-200906240007-5.1.34sp1
              
              > ------------------------------------------------------------
              > revno: 2871.4.1
              > revision-id: vvaintroub@mysql.com-20090429115110-1ye4700m8it5tyc5
              > parent: staale.smedseng@sun.com-20090428161955-3vnku1igwt0knpfu
              > committer: Vladislav Vaintroub <vvaintroub@mysql.com>
              > branch nick: mysql-5.1-bugteam
              > timestamp: Wed 2009-04-29 13:51:10 +0200
              > message:
              >   Bug#43932 myisam index corruption with large index and large 
              >   key_buffer_size.
              >   
              >   The cause of corruption was number overflow when multiplying 
              >   two ulong values, number of used keycache blocks with size
              >   of a single block. The result of multiplication exceeded ulong 
              >   range (4G) and this lead to incorrectly calculated  buffer offset
              >   in the key cache.
              >   
              >   The fix is to use size_t for multiplication result.
              >   
              >   This patch also fixes pointless cast in safemalloc 
              >   (size of allocated block to uint), that creates lot of false
              >   alarm warnings when using big keycache (> 4GB) in debug mode.
            ------------------------------------------------------------
            revno: 2661.320.9
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:24:13 +0200
            message:
              Backport into build-200906240007-5.1.34sp1
              
              > ------------------------------------------------------------
              > revno: 2857.1.8
              > revision-id: sergey.glukhov@sun.com-20090417084627-yvt63k51vvvjbx9j
              > parent: anurag.shekhar@sun.com-20090417055354-7vw80v1rwn0z1tt4
              > parent: sergey.glukhov@sun.com-20090417074115-dv9h5ijalj2hgq3r
              > committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
              > branch nick: mysql-5.1-bugteam
              > timestamp: Fri 2009-04-17 13:46:27 +0500
              > message:
              >   5.0-bugteam->5.1-bugteam merge
              >     ------------------------------------------------------------
              >     revno: 1810.3882.12
              >     revision-id: sergey.glukhov@sun.com-20090417074115-dv9h5ijalj2hgq3r
              >     parent: patrick.crews@sun.com-20090416174744-u9fxu6ophud91a1h
              >     committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
              >     branch nick: mysql-5.0-bugteam
              >     timestamp: Fri 2009-04-17 12:41:15 +0500
              >     message:
              >       Bug#44151 using handler commands on information_schema tables crashes server
              >       information schema tables are based on internal tmp tables which are removed
              >       after each statement execution. So HANDLER comands can not be used with
              >       information schema.
            ------------------------------------------------------------
            revno: 2661.320.8
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:19:45 +0200
            message:
              Backport into build-200906240007-5.1.34sp1
              
              > ------------------------------------------------------------
              > revno: 2857.1.1
              > revision-id: satya.bn@sun.com-20090415114608-26b21dtx3doeidcc
              > parent: davi.arnaut@sun.com-20090414120532-9a34lwlk105z8log
              > committer: Satya B <satya.bn@sun.com>
              > branch nick: mysql-5.1-bugteam-innodb
              > timestamp: Wed 2009-04-15 17:16:08 +0530
              > message:
              >   Applying InnoDB snashot 5.1-ss4699, part 1. Fixes BUG#39320 and other
              >   problems
              >   
              >   1) BUG#39320 - innodb crash in file btr/btr0pcur.c line 217 with 
              >                  innodb_locks_unsafe_for_binlog
              >   
              >   2) Fixes bug in multi-table semi consistent reads.
              >   
              >   3) Fixes email address from dev@innodb.com to innodb_dev_ww@oracle.com
              >   
              >   4) Fixes warning message generated by main.innodb test
              >   
              >   
              >   Detailed revision comments:
              >   
              >   r4399 | marko | 2009-03-12 09:38:05 +0200 (Thu, 12 Mar 2009) | 5 lines
              >   branches/5.1: row_sel_get_clust_rec_for_mysql(): Store the cursor position
              >   also for unlock_row().  (Bug #39320)
              >   
              >   rb://96 approved by Heikki Tuuri.
              >   
              >   r4400 | marko | 2009-03-12 10:06:44 +0200 (Thu, 12 Mar 2009) | 8 lines
              >   branches/5.1: Fix a bug in multi-table semi-consistent reads.
              >   Remember the acquired record locks per table handle (row_prebuilt_t)
              >   rather than per transaction (trx_t), so that unlock_row should successfully
              >   unlock all non-matching rows in multi-table operations.
              >   This deficiency was found while investigating Bug #39320.
              >   
              >   rb://94 approved by Heikki Tuuri.
              >   
              >   r4481 | marko | 2009-03-19 15:01:48 +0200 (Thu, 19 Mar 2009) | 6 lines
              >   branches/5.1: row_unlock_for_mysql(): Do not unlock records that were
              >   modified by the current transaction.  This bug was introduced or unmasked
              >   in r4400.
              >   
              >   rb://97 approved by Heikki Tuuri
              >   
              >   r4573 | vasil | 2009-03-30 14:17:13 +0300 (Mon, 30 Mar 2009) | 4 lines
              >   branches/5.1:
              >   
              >   Fix email address from dev@innodb.com to innodb_dev_ww@oracle.com
              >   
              >   r4574 | vasil | 2009-03-30 14:27:08 +0300 (Mon, 30 Mar 2009) | 38 lines
              >   branches/5.1:
              >   
              >   Restore the state of INNODB_THREAD_CONCURRENCY to silence this warning:
              >   
              >     TEST                                      RESULT   TIME (ms)
              >     ------------------------------------------------------------
              >     
              >     worker[1] Using MTR_BUILD_THREAD 250, with reserved ports 12500..12509
              >     main.innodb                              [ pass ]   8803
              >     
              >     MTR's internal check of the test case 'main.innodb' failed.
              >     This means that the test case does not preserve the state that existed
              >     before the test case was executed.  Most likely the test case did not
              >     do a proper clean-up.
              >     This is the diff of the states of the servers before and after the
              >     test case was executed:
              >     mysqltest: Logging to '/tmp/autotest.sh-20090330_033000-5.1.5Hg8CY/mysql-5.1/mysql-test/var/tmp/check-mysqld_1.log'.
              >     mysqltest: Results saved in '/tmp/autotest.sh-20090330_033000-5.1.5Hg8CY/mysql-5.1/mysql-test/var/tmp/check-mysqld_1.result'.
              >     mysqltest: Connecting to server localhost:12500 (socket /tmp/autotest.sh-20090330_033000-5.1.5Hg8CY/mysql-5.1/mysql-test/var/tmp/mysqld.1.sock) as 'root', connection 'default', attempt 0 ...
              >     mysqltest: ... Connected.
              >     mysqltest: Start processing test commands from './include/check-testcase.test' ...
              >     mysqltest: ... Done processing test commands.
              >     --- /tmp/autotest.sh-20090330_033000-5.1.5Hg8CY/mysql-5.1/mysql-test/var/tmp/check-mysqld_1.result	2009-03-30 14:12:31.000000000 +0300
              >     +++ /tmp/autotest.sh-20090330_033000-5.1.5Hg8CY/mysql-5.1/mysql-test/var/tmp/check-mysqld_1.reject	2009-03-30 14:12:41.000000000 +0300
              >     @@ -99,7 +99,7 @@
              >      INNODB_SUPPORT_XA	ON
              >      INNODB_SYNC_SPIN_LOOPS	20
              >      INNODB_TABLE_LOCKS	ON
              >     -INNODB_THREAD_CONCURRENCY	8
              >     +INNODB_THREAD_CONCURRENCY	16
              >      INNODB_THREAD_SLEEP_DELAY	10000
              >      INSERT_ID	0
              >      INTERACTIVE_TIMEOUT	28800
              >     
              >     mysqltest: Result content mismatch
              >     
              >     not ok
              >   
              >   r4576 | vasil | 2009-03-30 16:25:10 +0300 (Mon, 30 Mar 2009) | 4 lines
              >   branches/5.1:
              >   
              >   Revert a change to Makefile.am that I committed accidentally in c4574.
            ------------------------------------------------------------
            revno: 2661.320.7
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:17:12 +0200
            message:
              Backport into build-200906240007-5.1.34sp1
              
              > ------------------------------------------------------------
              > revno: 2852.2.3
              > revision-id: davi.arnaut@sun.com-20090403194600-60ufn0tz1gx1kl0l
              > parent: gni@mysql.com-20090403184200-vnjtpsv4an79w8bu
              > parent: davi.arnaut@sun.com-20090403191154-0ho2nai3chjsmpof
              > committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
              > branch nick: 43230-5.1
              > timestamp: Fri 2009-04-03 16:46:00 -0300
              > message:
              >   Merge Bug#43230 into mysql-5.1-bugteam
              >     ------------------------------------------------------------
              >     revno: 1810.3855.16
              >     revision-id: davi.arnaut@sun.com-20090403191154-0ho2nai3chjsmpof
              >     parent: chad@mysql.com-20090402152928-3ld60a56h86njcpg
              >     committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
              >     branch nick: 43230-5.0
              >     timestamp: Fri 2009-04-03 16:11:54 -0300
              >     message:
              >       Bug#43230: SELECT ... FOR UPDATE can hang with FLUSH TABLES WITH READ LOCK indefinitely
              >       
              >       The problem is that a SELECT .. FOR UPDATE statement might open
              >       a table and later wait for a impeding global read lock without
              >       noticing whether it is holding a table that is being waited upon
              >       the the flush phase of the process that took the global read
              >       lock.
              >       
              >       The same problem also affected the following statements:
              >       
              >       LOCK TABLES .. WRITE
              >       UPDATE .. SET (update and multi-table update)
              >       TRUNCATE TABLE ..
              >       LOAD DATA ..
              >       
              >       The solution is to make the above statements wait for a impending
              >       global read lock before opening the tables. If there is no
              >       impending global read lock, the statement raises a temporary
              >       protection against global read locks and progresses smoothly
              >       towards completion.
              >       
              >       Important notice: the patch does not try to address all possible
              >       cases, only those which are common and can be fixed unintrusively
              >       enough for 5.0.
            ------------------------------------------------------------
            revno: 2661.320.6
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:16:32 +0200
            message:
              Backport into build-200906240007-5.1.34sp1
              
              > ------------------------------------------------------------
              > revno: 2852.2.1
              > revision-id: gni@mysql.com-20090403182157-de6ecrtzlgvpl5mk
              > parent: timothy.smith@sun.com-20090402083720-b7i3jr4dmvwjakcj
              > committer: Guangbao Ni <gni@mysql.com>
              > branch nick: bugteam-5.1-bug42640
              > timestamp: Fri 2009-04-03 18:21:57 +0000
              > message:
              >   BUG#42640 mysqld crashes when unsafe statements are executed (STRICT_TRANS_TABLESmode)
              >   
              >   Mysql server crashes because unsafe statements warning is wrongly elevated to error,
              >   which is set the error status of Diagnostics_area of the thread in THD::binlog_query().
              >   Yet the caller believes that binary logging shouldn't touch the status, so it will
              >   set the status also later by my_ok(), my_error() or my_message() seperately
              >   according to the execution result of the statement or transaction.
              >   But the status of Diagnostics_area of the thread is allowed to set only once.
              >   
              >   Fixed to clear the error wrongly set by binary logging, but keep the warning message.
            ------------------------------------------------------------
            revno: 2661.320.5
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:15:43 +0200
            message:
              Backport into build-200906240007-5.1.34sp1
              
              > ------------------------------------------------------------
              > revno: 2852.12.6
              > tags: clone-5.1.35-build, mysql-5.1.35
              > revision-id: gshchepa@mysql.com-20090513075139-g50shsfjaf1dstdn
              > parent: joerg@mysql.com-20090508190407-ymqxmp6daeta6fdj
              > committer: Gleb Shchepa <gshchepa@mysql.com>
              > branch nick: mysql-5.1
              > timestamp: Wed 2009-05-13 12:51:39 +0500
              > message:
              >   Bug #44290: explain crashes for subquery with distinct in
              >               SQL_SELECT::test_quick_select
              >   
              >   The crash was caused by an incomplete cleanup of JOIN_TAB::select
              >   during the filesort of rows for GROUP BY clause inside a subquery.
              >   Queries where a quick index access is replaced with filesort was
              >   was affected. For example:
              >   
              >     SELECT 1 FROM
              >       (SELECT COUNT(DISTINCT c1) FROM t1
              >          WHERE c2 IN (1, 1) AND c3 = 2 GROUP BY c2) x
              >   
              >   Quick index access related data in the SQL_SELECT::test_quick_select
              >   function was inconsistent after an incomplete cleanup.
              >   This function has been completed to prevent crashes in the
              >   SQL_SELECT::test_quick_select function.
            ------------------------------------------------------------
            revno: 2661.320.4
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:14:47 +0200
            message:
              Backport into build-200906240007-5.1.34sp1
              
              > ------------------------------------------------------------
              > revno: 2852.1.15
              > revision-id: davi.arnaut@sun.com-20090409152525-b4vnj9atidmjh0mf
              > parent: luis.soares@sun.com-20090409113044-2072kufy5efeohpp
              > committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
              > branch nick: 43706-5.1
              > timestamp: Thu 2009-04-09 12:25:25 -0300
              > message:
              >   Bug#43706: libmysqld segfaults when re-intialised
              >   Bug#44091: libmysqld gets stuck waiting on mutex on initialization
              >   
              >   The problem was that libmysqld wasn't enforcing a certain
              >   initialization and deinitialization order for the mysys
              >   library. Another problem was that the global object used
              >   for management of log event handlers (aka LOGGER) wasn't
              >   being prepared for a possible reutilization.
              >   
              >   What leads to the hang/crash reported is that a failure
              >   to load the language file triggers a double call of the
              >   cleanup functions, causing an already destroyed mutex to
              >   be used.
              >   
              >   The solution is enforce a order on the initialization and
              >   deinitialization of the mysys library within the libmysqld
              >   library and to ensure that the global LOGGER object reset
              >   it's internal state during cleanup.
            ------------------------------------------------------------
            revno: 2661.320.3
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:13:50 +0200
            message:
              Backport into build-200906240007-5.1.34sp1
              
              > ------------------------------------------------------------
              > revno: 2852.1.10
              > revision-id: sergey.glukhov@sun.com-20090409093850-z3vgmz8fqogv8o1o
              > parent: v.narayanan@sun.com-20090409081823-zsw611isjcorl63b
              > parent: sergey.glukhov@sun.com-20090409091931-2zhtgonllfmsxjex
              > committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
              > branch nick: mysql-5.1-bugteam
              > timestamp: Thu 2009-04-09 14:38:50 +0500
              > message:
              >   5.0-bugteam->5.1-bugteam merge
              >     ------------------------------------------------------------
              >     revno: 1810.3882.6
              >     revision-id: sergey.glukhov@sun.com-20090409091931-2zhtgonllfmsxjex
              >     parent: anurag.shekhar@sun.com-20090409080004-xvxy663jan45tb3c
              >     committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
              >     branch nick: mysql-5.0-bugteam
              >     timestamp: Thu 2009-04-09 14:19:31 +0500
              >     message:
              >       Bug#43833 Simple INSERT crashes the server
              >       The crash happens due to wrong 'digits' variable value(0),
              >       'digits' can not be 0, so the fix is use 1 as min allowed value.
            ------------------------------------------------------------
            revno: 2661.320.2
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:11:06 +0200
            message:
              Backport into mysql-5.1.34sp1-release
              
              > ------------------------------------------------------------
              > revno: 2841.1.1
              > revision-id: sergey.glukhov@sun.com-20090401084033-161k4f8qucafy6mj
              > parent: ramil@mysql.com-20090401053459-07x8z2pw2ev94xck
              > committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
              > branch nick: mysql-5.1-bugteam
              > timestamp: Wed 2009-04-01 13:40:33 +0500
              > message:
              >   Bug#43183 ExctractValue() brings result list in missorder
              >   The problem is that XML functions(items) do not reset null_value
              >   before their execution and further item excution may use
              >   null_value value of the previous result.
              >   The fix is to reset null_value.
            ------------------------------------------------------------
            revno: 2661.320.1
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.34sp1-release
            timestamp: Wed 2009-06-24 19:00:58 +0200
            message:
              Backport into mysql-5.1.34sp1-release
              
              > ------------------------------------------------------------
              > revno: 1810.3885.1
              > revision-id: holyfoot@mysql.com-20090428094726-i4j7z985mxr43jym
              > parent: gshchepa@mysql.com-20090428001913-plzojd1pwplior44
              > committer: Alexey Botchkov <holyfoot@mysql.com>
              > branch nick: 50mrg
              > timestamp: Tue 2009-04-28 14:47:26 +0500
              > message:
              >   Bug#38990 Arbitrary data input plus GIS functions causes mysql server crash 
              >      the Point() and Linestring() functions create WKB representation of an
              >      object instead of an real geometry object.
              >      That produced bugs when these were inserted into tables.
              >   
              >      GIS tests fixed accordingly.
              >               
              >   per-file messages:
              >     mysql-test/r/gis-rtree.result
              >   Bug#38990 Arbitrary data input plus GIS functions causes mysql server crash 
              >       test result
              >     mysql-test/r/gis.result
              >   Bug#38990 Arbitrary data input plus GIS functions causes mysql server crash 
              >       test result
              >     mysql-test/t/gis-rtree.test
              >   Bug#38990 Arbitrary data input plus GIS functions causes mysql server crash 
              >       test fixed - GeomFromWKB invocations removed
              >     mysql-test/t/gis.test
              >   Bug#38990 Arbitrary data input plus GIS functions causes mysql server crash 
              >       test fixed - AsWKB invocations added
              >     sql/item_geofunc.cc
              >   Bug#38990 Arbitrary data input plus GIS functions causes mysql server crash 
              >        Point() and similar functions to create a proper object
        ------------------------------------------------------------
        revno: 2661.259.108
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: fix-5.1-bugteam
        timestamp: Mon 2009-07-13 14:34:23 +0300
        message:
          merge 5.0-bugteam -> 5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3927.15
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: fix-5.0-bugteam
            timestamp: Mon 2009-07-13 14:17:14 +0300
            message:
              Addendum to the fix for bug #46080: fixed the error handling
        ------------------------------------------------------------
        revno: 2661.259.107
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Sun 2009-07-12 20:56:43 +0600
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 2661.319.1
            committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
            branch nick: my51-bug45796
            timestamp: Fri 2009-07-10 17:34:03 +0600
            message:
              Bug #45796: invalid memory reads and writes when altering merge 
                          and base tables 
              
              myrg_attach_children() could reuse a buffer that was allocated 
              previously based on a definition of a child table. The problem 
              was that the child's definition might have been changed, so 
              reusing the buffer could lead to crashes or valgrind errors 
              under some circumstances. 
               
              Fixed by changing myrg_attach_children() so that the 
              rec_per_key_part buffer is reused only when the child table
              have not changed, and reallocated otherwise (the old buffer is 
              deallocated if necessary).
        ------------------------------------------------------------
        revno: 2661.259.106
        committer: Gleb Shchepa <gshchepa@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Sat 2009-07-11 23:44:29 +0500
        message:
          Bug #41156: List of derived tables acts like a chain of
                      mutually-nested subqueries
          
          Queries of the form
          
            SELECT * FROM (SELECT 1) AS t1,
                          (SELECT 2) AS t2,...
                          (SELECT 32) AS t32
          
          caused the "Too high level of nesting for select" error
          as if the query has a form
          
            SELECT * FROM (SELECT 1 FROM (SELECT 2 FROM (SELECT 3 FROM...
          
          
          The table_factor parser rule has been modified to adjust
          the LEX::nest_level variable value after every derived table.
        ------------------------------------------------------------
        revno: 2661.259.105
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 43397-51
        timestamp: Fri 2009-07-10 17:19:30 +0200
        message:
          Merge from 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.314.14
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.1-bugteam
            timestamp: Fri 2009-07-10 17:07:36 +0300
            message:
              automerge
                ------------------------------------------------------------
                revno: 1810.3927.14
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B46080-5.0-bugteam
                timestamp: Fri 2009-07-10 17:03:09 +0300
                message:
                  Addendum to the fix for bug #46080: fixed the test case
            ------------------------------------------------------------
            revno: 2661.314.13
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.1-bugteam
            timestamp: Fri 2009-07-10 17:04:58 +0300
            message:
              automerge
                ------------------------------------------------------------
                revno: 1810.3927.13
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B46080-5.0-bugteam
                timestamp: Fri 2009-07-10 15:00:34 +0300
                message:
                  Bug #46080: group_concat(... order by) crashes server when
                    sort_buffer_size cannot allocate
                  
                  The NULL return from tree_insert() (on low memory) was not
                  checked for in Item_func_group_concat::add(). As a result
                  on low memory conditions a crash happens.
                  
                  Fixed by properly checking the return code.
            ------------------------------------------------------------
            revno: 2661.314.12
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.1-bugteam
            timestamp: Fri 2009-07-10 16:07:38 +0300
            message:
              merge 5.1-main -> 5.1
                ------------------------------------------------------------
                revno: 2661.318.1
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: merge-5.1-bugteam
                timestamp: Wed 2009-07-08 16:11:16 +0300
                message:
                  automerge
            ------------------------------------------------------------
            revno: 2661.314.11
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.1-bugteam
            timestamp: Fri 2009-07-10 16:04:40 +0300
            message:
              merged 5.0-bugteam->5.1-bugteam
                ------------------------------------------------------------
                revno: 1810.3927.12
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: merge-5.0-bugteam
                timestamp: Fri 2009-07-10 16:00:17 +0300
                message:
                  fixed the CPU checking code.
                ------------------------------------------------------------
                revno: 1810.3927.11
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: merge-5.0-bugteam
                timestamp: Fri 2009-07-10 15:58:38 +0300
                message:
                  merge 5.0-main -> 5.0-bugteam
                ------------------------------------------------------------
                revno: 1810.3929.2
                author: sunanda.menon@sun.com
                committer: MySQL Build Team <build@mysql.com>
                branch nick: mysql-5.0
                timestamp: Tue 2009-07-07 11:47:23 +0200
                message:
                  Raise version number after cloning 5.0.84
                ------------------------------------------------------------
                revno: 1810.3929.1
                tags: clone-5.0.84-build, mysql-5.0.84
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: merge-5.0-bugteam
                timestamp: Tue 2009-07-07 10:49:38 +0300
                message:
                  tree name change
            ------------------------------------------------------------
            revno: 2661.314.10
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-10 09:19:19 -0300
            message:
              Bug#21704: Renaming column does not update FK definition
              
              Remove commented-out test case. It has been moved to innodb_bug21704.test
            ------------------------------------------------------------
            revno: 2661.314.9
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-10 17:05:53 +0530
            message:
              Applying InnoDB snapshot 5.1-ss5488,part 4. Fixes BUG#21704
              
              1. BUG#21704 - Renaming column does not update FK definition
              
              2. Changes in mysql-test/include/mtr_warnings.sql so that the testcase
                 for BUG#21704 doesn't fail because of the warnings generated.
              
              Detailed revision comments:
              
              r5488 | vasil | 2009-07-09 19:16:44 +0300 (Thu, 09 Jul 2009) | 13 lines
              branches/5.1:
              
              Fix Bug#21704 Renaming column does not update FK definition
              
              by checking whether a column that participates in a FK definition is being
              renamed and denying the ALTER in this case.
              
              The patch was originally developed by Davi Arnaut <Davi.Arnaut@Sun.COM>:
              http://lists.mysql.com/commits/77714
              and was later adjusted to conform to InnoDB coding style by me (Vasil),
              I also added some more comments and moved the bug specific mysql-test to
              a separate file to make it more manageable and flexible.
            ------------------------------------------------------------
            revno: 2661.314.8
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-10 16:10:31 +0530
            message:
              Applying InnoDB snapshot 5.1-ss5488 part3,Fixes BUG#45814
              
              Detailed revision comments:
              
              r5440 | vasil | 2009-06-30 13:04:29 +0300 (Tue, 30 Jun 2009) | 8 lines
              branches/5.1:
              
              Fix Bug#45814 URL reference in InnoDB server errors needs adjusting to match documentation
              
              by changing the URL from
              http://dev.mysql.com/doc/refman/5.1/en/innodb-troubleshooting.html to
              http://dev.mysql.com/doc/refman/5.1/en/innodb-troubleshooting-datadict.html
            ------------------------------------------------------------
            revno: 2661.314.7
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-10 16:06:07 +0530
            message:
              Applying InnoDB snapshot 5.1-ss5488,part 2. Fixes BUG#45749
              
              BUG#45749 - Race condition in SET GLOBAL innodb_commit_concurrency=DEFAULT
              
              Detailed revision comments:
              
              r5419 | marko | 2009-06-25 16:11:57 +0300 (Thu, 25 Jun 2009) | 18 lines
              branches/5.1: Merge r5418 from branches/zip:
              
                ------------------------------------------------------------------------
                r5418 | marko | 2009-06-25 15:55:52 +0300 (Thu, 25 Jun 2009) | 5 lines
                Changed paths:
                   M /branches/zip/ChangeLog
                   M /branches/zip/handler/ha_innodb.cc
                   M /branches/zip/mysql-test/innodb_bug42101-nonzero.result
                   M /branches/zip/mysql-test/innodb_bug42101-nonzero.test
                   M /branches/zip/mysql-test/innodb_bug42101.result
                   M /branches/zip/mysql-test/innodb_bug42101.test
                
                branches/zip: Fix a race condition caused by
                SET GLOBAL innodb_commit_concurrency=DEFAULT. (Bug #45749)
                When innodb_commit_concurrency is initially set nonzero,
                DEFAULT would change it back to 0, triggering Bug #42101.
                rb://139 approved by Heikki Tuuri.
                ------------------------------------------------------------------------
            ------------------------------------------------------------
            revno: 2661.314.6
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-07-10 15:55:08 +0530
            message:
              Applying InnoDB snashot 5.1-ss5488, part 1
              
              1. Fixes build warnings caused by applying snapshot 5.1-ss5282
              
              2. Fix the Makefile.am in storage/innobase to remove the header file
                 'fsp0types.h' which was added twice to fix build warning generated 
                 after applying the 5.1-ss5282 snapshot
              
              Detailed revision comments:
              
              r5410 | marko | 2009-06-24 22:26:34 +0300 (Wed, 24 Jun 2009) | 2 lines
              branches/5.1: Add missing #include "mtr0log.h" to avoid warnings
              when compiling with -DUNIV_MUST_NOT_INLINE.
            ------------------------------------------------------------
            revno: 2661.314.5
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B45828-5.1-bugteam
            timestamp: Tue 2009-07-07 15:52:34 +0300
            message:
              Bug #36259 (Optimizing with ORDER BY) and bug#45828 (Optimizer won't 
              use partial primary key if another index can prevent filesort
              
              The fix for bug #28404 causes the covering ordering indexes to be 
              preferred unconditionally over non-covering and ref indexes.
              
              Fixed by comparing the cost of using a covering index to the cost of
              using a ref index even for covering ordering indexes.
              Added an assertion to clarify the condition the local variables should
              be in.
            ------------------------------------------------------------
            revno: 2661.314.4
            committer: V Narayanan<v.narayanan@sun.com>
            branch nick: mysql-5.1-bugteam-45983-4
            timestamp: Thu 2009-07-09 16:04:06 +0530
            message:
              merging with mysql-5.1-bugteam
                ------------------------------------------------------------
                revno: 2661.317.1
                committer: V Narayanan<v.narayanan@sun.com>
                branch nick: mysql-5.1-bugteam-45983-2
                timestamp: Thu 2009-07-09 12:22:56 +0530
                message:
                  merging with mysql-5.1-bugteam
                ------------------------------------------------------------
                revno: 2661.316.1
                committer: V Narayanan<v.narayanan@sun.com>
                branch nick: mysql-5.1-bugteam-45983
                timestamp: Wed 2009-07-08 14:40:01 +0530
                message:
                  Bug#45983 ibmdb2i_create_index_option=1 not working for primary key
                  
                  With ibmdb2i_create_index_option set to 1, creating an IBMDB2I table
                  with a primary key should produce an additional index that uses EBCDIC
                  hexadecimal sorting. However, this does not work. Adding indexes that
                  are not primary keys does work. The ibmdb2i_create_index_option should
                  be honoured when creating a table with a primary key.
                  
                  This patch adds code to the create() function to check for the value
                  of the ibmdb2i_create_index_option variable and, when appropriate, to 
                  generate a *HEX-based shadow index in DB2 for the primary key. Previously 
                  this behavior was limited to secondary indexes.
                  
                  Additionally, this patch restricts the creation of shadow indexes to
                  cases in which a non-*HEX sort sequence is used, as the documentation
                  for ibmdb2i_create_index_option describes. Previously, the shadow index
                  would in some cases be created even when the MySQL-specific index used
                  *HEX sorting, leading to redundant indexes.
                  
                  Finally, the code used to generate the list of fields for indexes 
                  and the code used to generate the SQL statement for the shadow
                  indexes has been refactored into individual functions.
            ------------------------------------------------------------
            revno: 2661.314.3
            committer: Andrei Elkin <aelkin@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-07-09 10:28:38 +0300
            message:
              Bug #44115 purge_relay_logs doesn't return an error when count_relay_log_space fails
              
              purge_relay_logs() did not propagate an error happend in count_relay_log_space().
              
              Fixed with the suggestesd setting the error= true.
              Note, propagation generally out of purge_relay_logs() was fixed for Bug #44179,
              and the issue does not exist in 6.0 thanks to a patch for WL#2775.
            ------------------------------------------------------------
            revno: 2661.314.2
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam-35111
            timestamp: Thu 2009-07-09 12:14:47 +0530
            message:
              merge to mysql-5.1-bugteam branch
                ------------------------------------------------------------
                revno: 2661.315.1
                committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
                branch nick: mysql-5.1-bugteam
                timestamp: Wed 2009-07-08 09:31:22 -0300
                message:
                  Fix warnings generated by SunStudio and GCC.
                  
                  Based upon patch contributed by Stewart Smith
            ------------------------------------------------------------
            revno: 2661.314.1
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam-35111
            timestamp: Wed 2009-07-08 17:41:34 +0530
            message:
              Bug#35111 - Truncate a MyISAM partitioned table does not reset
              the auto_increment value
                    
              This is an alternative patch that instead of allowing RECREATE TABLE
              on TRUNCATE TABLE it implements reset_auto_increment that is called
              after delete_all_rows.
              
              Note: this bug was fixed by Mattias Jonsson:
              Pusing this patch: http://lists.mysql.com/commits/70370
        ------------------------------------------------------------
        revno: 2661.259.104
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 43397-51
        timestamp: Wed 2009-07-08 16:49:45 +0200
        message:
          Bug #43397 mysql headers redefine pthread_mutex_init
          unnecessarily
                
          The problem is that libmysqlclient.so is built with THREAD
          undefined, while a client compiling against the same header
          files will see THREAD as defined and definitions in
          my_pthread.h will be included, possibly resulting in undefined
          symbols that cannot be resolved with libmysqlclient.so.
                
          The suggested solution is to require that clients wanting to
          link with libmysqlclient.so should be built with
          MYSQL_CLIENT_NO_THREADS defined. This requires a documentation
          change, and more details for this will be supplied if this
          patch is approved.
                
          The MYSQL_CLIENT_NO_THREADS define was renamed from
          UNDEF_THREADS_HACK, to get a more suitable (less suspicious)
          name for the define. (The UNDEF_THREADS_HACK is retained for
          backwards compatibility, though.)
                
          This patch is also in anticipation of WL#4958, which will
          remove this problem altogether by dropping the building of
          libmysqlclient.
        ------------------------------------------------------------
        revno: 2661.259.103
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Wed 2009-07-08 13:12:27 +0300
        message:
          Addendum to the fix for bug 45807 : initialize a member needed in
          Item_field::fix_fields()
        ------------------------------------------------------------
        revno: 2661.259.102
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Wed 2009-07-08 10:31:49 +0300
        message:
          Bug#38998, Bug#46029, Bug#45243, Bug#46030 making tests experimental
        ------------------------------------------------------------
        revno: 2661.259.101
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Tue 2009-07-07 17:44:19 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 2661.313.3
            committer: Patrick Crews <patrick.crews@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-07-07 10:27:42 -0400
            message:
              merge
            ------------------------------------------------------------
            revno: 2661.313.2
            committer: Patrick Crews <patrick.crews@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-07-07 10:19:38 -0400
            message:
              Bug#37746: Arithmetic range ("int") is smaller than expected
              
              Added code to the .test file to skip this test on Win64 for PB2 stability.
              Please remove this code when the bug is fixed.
            ------------------------------------------------------------
            revno: 2661.313.1
            committer: Patrick Crews <patrick.crews@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-07-06 18:20:17 -0400
            message:
              Bug#44920: MTR2 is not processing master.opt input properly on Windows.
              
              Had attempted to disable this test on Windows only, but the nature of this bug
              does not allow for this.  The master.opt file is processed before anything in 
              in the actual test.  As a result, we must use disabled.def files to ensure
              these tests are skipped on the problematic platforms.
              
              Removed Windows-only code and updated the proper disabled.def files accordingly.
        ------------------------------------------------------------
        revno: 2661.259.100
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Tue 2009-07-07 17:41:34 +0300
        message:
          Bug #40796 : adding the tests to the experimental pb2 set.
        ------------------------------------------------------------
        revno: 2661.259.99
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Tue 2009-07-07 17:18:44 +0300
        message:
          revert of hiding of the error exposed by this suite.
        ------------------------------------------------------------
        revno: 2661.259.98
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Tue 2009-07-07 17:15:53 +0300
        message:
          merge of making bug 45578, 46010 and 45576 experimental in pb2.
        ------------------------------------------------------------
        revno: 2661.259.97
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Tue 2009-07-07 17:14:21 +0300
        message:
          atuomerge
            ------------------------------------------------------------
            revno: 2661.312.1
            committer: V Narayanan<v.narayanan@sun.com>
            branch nick: mysql-5.1-bugteam-45803-2
            timestamp: Tue 2009-07-07 12:06:35 +0530
            message:
              merging with mysql-5.1-bugteam.
            ------------------------------------------------------------
            revno: 2661.311.2
            committer: V Narayanan<v.narayanan@sun.com>
            branch nick: mysql-5.1-bugteam-45803-1
            timestamp: Mon 2009-07-06 14:19:32 +0530
            message:
              Bug#45803 Inaccurate estimates for partial key values with IBMDB2I
              
              Some collations were causing IBMDB2I to report
              inaccurate key range estimations to the optimizer
              for LIKE clauses that select substrings. This can
              be seen by running EXPLAIN. This problem primarily
              affects multi-byte and unicode character sets.
              
              This patch involves substantial changes to several
              modules. There are a number of problems with the
              character set and collation handling. These problems
              have been or are being fixed,  and a comprehensive
              test has been included which should provide much
              better coverage than there was before. This test
              is enabled only for IBM i 6.1, because that version
              has support for the greatest number of collations.
        ------------------------------------------------------------
        revno: 2661.259.96
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Tue 2009-07-07 16:11:46 +0300
        message:
          fixed compilation warnings on macosx
        ------------------------------------------------------------
        revno: 2661.259.95
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Tue 2009-07-07 16:09:06 +0300
        message:
          fixed a failing test ctype_gbk_binlog : Table 't2' already exists
        ------------------------------------------------------------
        revno: 2661.259.94
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-06 20:02:56 +0300
        message:
          null merged the disablement : problem is not present in 5.1
            ------------------------------------------------------------
            revno: 1810.3927.10
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Mon 2009-07-06 20:00:43 +0300
            message:
              disable ndb_autodiscover2 : dependent on the disabled ndb_autodiscover
        ------------------------------------------------------------
        revno: 2661.259.93
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-06 18:17:39 +0300
        message:
          Bug #45974: disable test case in 5.1-bugteam
        ------------------------------------------------------------
        revno: 2661.259.92
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-06 17:47:51 +0300
        message:
          null-merged the test case disablement in bug 45972  to 5.1
            ------------------------------------------------------------
            revno: 1810.3927.9
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Mon 2009-07-06 17:44:25 +0300
            message:
              Bug#45972: disable the test case in 5.0
        ------------------------------------------------------------
        revno: 2661.259.91
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-06 13:36:09 +0300
        message:
          null-merged the disabled test cases.
            ------------------------------------------------------------
            revno: 1810.3927.8
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Mon 2009-07-06 13:27:19 +0300
            message:
              Bug #35148: ndb_autodiscover3 disabled
            ------------------------------------------------------------
            revno: 1810.3927.7
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Mon 2009-07-06 13:23:35 +0300
            message:
              Bug #35148: disabled testcase loaddata_autocom_ndb
            ------------------------------------------------------------
            revno: 1810.3927.6
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Mon 2009-07-06 13:20:41 +0300
            message:
              Bug #45521: disabled the test case
        ------------------------------------------------------------
        revno: 2661.259.90
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-06 13:30:25 +0300
        message:
          null-merge the mark of bug #38499 to big_test : it's running faster on 5.1
            ------------------------------------------------------------
            revno: 1810.3927.5
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Mon 2009-07-06 13:15:40 +0300
            message:
              Bug #38499 : test marked as a big test : takes approx 275 secs on a P4 2.4
              GHz.
        ------------------------------------------------------------
        revno: 2661.259.89
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-06 13:07:38 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 2661.311.1
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam-merge-push
            timestamp: Mon 2009-07-06 09:19:36 +0100
            message:
              auto-merge mysql-5.1-bugteam (local) --> mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.310.1
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam-push
            timestamp: Mon 2009-07-06 09:02:14 +0100
            message:
              BUG#44581 Slave stops when transaction with non-transactional table gets lock wait
              timeout
                          
              In STMT and MIXED modes, a statement that changes both non-transactional and
              transactional tables must be written to the binary log whenever there are
              changes to non-transactional tables. This means that the statement gets into the
              binary log even when the changes to the transactional tables fail. In particular
              , in the presence of a failure such statement is annotated with the error number
              and wrapped in a begin/rollback. On the slave, while applying the statement, it
              is expected the same failure and the rollback prevents the transactional changes
              to be persisted.
                          
              Unfortunately, statements that fail due to concurrency issues (e.g. deadlocks,
              timeouts) are logged in the same way causing the slave to stop as the statements
              are applied sequentially by the SQL Thread. To fix this bug, we automatically
              ignore concurrency failures on the slave. Specifically, the following failures
              are ignored: ER_LOCK_WAIT_TIMEOUT, ER_LOCK_DEADLOCK and ER_XA_RBDEADLOCK.
        ------------------------------------------------------------
        revno: 2661.259.88
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-07-06 12:07:29 +0300
        message:
          null-merged test cases disablement
            ------------------------------------------------------------
            revno: 1810.3927.4
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Mon 2009-07-06 12:01:56 +0300
            message:
              Bug#38315 and Bug#35148: disabled sporadically failing NDB tests 
        ------------------------------------------------------------
        revno: 2661.259.87
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-07-06 11:55:53 +0500
        message:
          Fix for bug#42364 reverted.
        ------------------------------------------------------------
        revno: 2661.259.86
        committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-07-03 20:49:30 +0200
        message:
          5.0-bugteam -> 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.308.3
            committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Fri 2009-07-03 13:55:45 +0200
            message:
              Bug#37274 client 'status' command doesn't print all info after losing connection to
                        server
              
              If the server connection was lost during repeated status commands,
              the client would fail to detect this and the client output would be inconsistent.
              
              This patch fixes this issue by making sure that the server is online
              before the client attempts to execute the status command.
        ------------------------------------------------------------
        revno: 2661.259.85
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-07-03 14:43:54 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 2661.309.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my51-bug45262
            timestamp: Fri 2009-07-03 14:36:04 +0400
            message:
              Manual merge.
            ------------------------------------------------------------
            revno: 1810.3928.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my50-bug45262
            timestamp: Fri 2009-07-03 11:41:19 +0400
            message:
              Bug #45262: Bad effects with CREATE TABLE and DECIMAL 
               
              Using DECIMAL constants with more than 65 digits in CREATE 
              TABLE ... SELECT led to bogus errors in release builds or 
              assertion failures in debug builds. 
               
              The problem was in inconsistency in how DECIMAL constants and 
              fields are handled internally. We allow arbitrarily long 
              DECIMAL constants, whereas DECIMAL(M,D) columns are limited to 
              M<=65 and D<=30. my_decimal_precision_to_length() was used in 
              both Item and Field code and truncated precision to 
              DECIMAL_MAX_PRECISION when calculating value length without 
              adjusting precision and decimals. As a result, a DECIMAL 
              constant with more than 65 digits ended up having length less 
              than precision or decimals which led to assertion failures. 
               
              Fixed by modifying my_decimal_precision_to_length() so that 
              precision is truncated to DECIMAL_MAX_PRECISION only for Field 
              object which is indicated by the new 'truncate' parameter. 
               
              Another inconsistency fixed by this patch is how DECIMAL 
              constants and expressions are handled for CREATE ... SELECT. 
              create_tmp_field_from_item() (which is used for constants) was 
              changed as a part of the bugfix for bug #24907 to handle long 
              DECIMAL constants gracefully. Item_func::tmp_table_field() 
              (which is used for expressions) on the other hand was still 
              using a simplistic approach when creating a Field_new_decimal 
              from a DECIMAL expression. 
        ------------------------------------------------------------
        revno: 2661.259.84
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-07-03 13:39:22 +0500
        message:
          5.0-bugteam->5.1-bugteam merge
            ------------------------------------------------------------
            revno: 1810.3927.3
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Fri 2009-07-03 13:35:00 +0500
            message:
              Bug#45806 crash when replacing into a view with a join!
              The crash happend because for views which are joins
              we have table_list->table == 0 and 
              table_list->table->'any method' call leads to crash.
              The fix is to perform table_list->table->file->extra()
              method for all tables belonging to view.
            ------------------------------------------------------------
            revno: 1810.3927.2
            committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
            branch nick: 5.0-bugteam
            timestamp: Fri 2009-07-03 10:36:10 +0200
            message:
              Prepare for push
        ------------------------------------------------------------
        revno: 2661.259.83
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-07-03 13:22:06 +0500
        message:
          Bug#42364 SHOW ERRORS returns empty resultset after dropping non existent table
          enabled message storing into error message list
          for 'drop table' command
        ------------------------------------------------------------
        revno: 2661.259.82
        committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Fri 2009-07-03 10:33:34 +0200
        message:
          automerge
            ------------------------------------------------------------
            revno: 2661.308.2
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B45807-5.1-bugteam
            timestamp: Thu 2009-07-02 17:42:00 +0300
            message:
              Bug #45807: crash accessing partitioned table and sql_mode
              contains ONLY_FULL_GROUP_BY
              
              The partitioning code needs to issue a Item::fix_fields()
              on the partitioning expression in order to prepare 
              it for being evaluated.
              It does this by creating a special table and a table list 
              for the scope of the partitioning expression.
              But when checking ONLY_FULL_GROUP_BY the 
              Item_field::fix_fields() was relying that there always be
              cached_table set and was trying to use it to get the 
              select_lex of the SELECT the field's table is in.
              But the cached_table was not set by the partitioning code
              that creates the artificial TABLE_LIST used to resolve the
              partitioning expression and this resulted in a crash.
               
              Fixed by rectifying the following errors :
              1. Item_field::fix_fields() : the code that check for 
              ONLY_FULL_GROUP_BY relies on having tables with 
              cacheable_table set. This is mostly true, the only 
              two exceptions being the partitioning context table
              and the trigger context table.
              Fixed by taking the current parsing context if no pointer
              to the TABLE_LIST instance is present in the cached_table.
              
              2. fix_fields_part_func() : 
              
              2a. The code that adds the table being created to the 
              scope for the partitioning expression is mostly a copy 
              of the add_table_to_list and friends with one exception :
              it was not marking the table as cacheable (something that
              normal add_table_to_list is doing). This caused the 
              problem in the check for ONLY_FULL_GROUP_BY in 
              Item_field::fix_fields() to appear.
              Fixed by setting the correct members to make the table
              cacheable.
              The ideal structural fix for this is to use a unified 
              interface for adding a table to a table list 
              (add_table_to_list?) : noted in a TODO comment
              
              2b. The Item::fix_fields() was called with a NULL destination
              pointer. This causes uninitalized memory reads in the 
              overloaded ::fix_fields() function (namely 
              Item_field::fix_fields()) as it expects a non-zero pointer 
              there. Fixed by passing the source pointer similarly to how 
              it's done in JOIN::prepare().
            ------------------------------------------------------------
            revno: 2661.308.1
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.1-bugteam-45902
            timestamp: Thu 2009-07-02 15:40:27 +0200
            message:
              Merge 5.0 -> 5.1 of fix for bug 45902
            ------------------------------------------------------------
            revno: 1810.3927.1
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.0-bugteam-work
            timestamp: Thu 2009-07-02 13:22:12 +0200
            message:
              Fix for Bug#45902 rpl_sp fails sporadically in check testcases
              Details:
              - Add "sync_slave_with_master" at test end
              - Restore the initial value of log_bin_trust_function_creators
        ------------------------------------------------------------
        revno: 2661.259.81
        committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Fri 2009-07-03 10:32:17 +0200
        message:
          Prepare for push
            ------------------------------------------------------------
            revno: 2661.307.1
            committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
            branch nick: 5.1-gca
            timestamp: Fri 2009-07-03 10:23:16 +0200
            message:
              Bug#15866 Prepared for push on 5.1
            ------------------------------------------------------------
            revno: 1810.3918.18
            committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
            branch nick: 5.0-gca
            timestamp: Fri 2009-07-03 10:19:32 +0200
            message:
              Bug#15866 Prepared for push on 5.0
        ------------------------------------------------------------
        revno: 2661.259.80
        committer: V Narayanan<v.narayanan@sun.com>
        branch nick: mysql-5.1-bugteam-45793-1
        timestamp: Thu 2009-07-02 13:34:23 +0530
        message:
          Bug#45793 macce charset causes error with IBMDB2I
          
          Creating an IBMDB2I table with the macce character set
          is successful, but any attempt to insert data into the
          table was failing.
          
          This was happening because the character set name "macce"
          is not a valid iconv descriptor for IBM i PASE. This patch
          adds an override to convertTextDesc to use the equivalent
          valid iconv descriptor "IBM-1282" instead.
        ------------------------------------------------------------
        revno: 2661.259.79
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 45790-51
        timestamp: Wed 2009-07-01 14:32:04 +0200
        message:
          Merge from 5.0
            ------------------------------------------------------------
            revno: 1810.3918.17
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 45790-50
            timestamp: Wed 2009-07-01 14:09:44 +0200
            message:
              Bug #45790 Potential DoS vector: Writing of user input to log
              without proper formatting
                    
              The problem is that a suitably crafted database identifier
              supplied to COM_CREATE_DB or COM_DROP_DB can cause a SIGSEGV,
              and thereby a denial of service. The database name is printed
              to the log without using a format string, so potential
              attackers can control the behavior of my_b_vprintf() by
              supplying their own format string. A CREATE or DROP privilege
              would be required.
                    
              This patch supplies a format string to the printing of the
              database name. A test case is added to mysql_client_test.
        ------------------------------------------------------------
        revno: 2661.259.78
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-07-01 11:07:02 +0530
        message:
          merge to 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.305.2
            committer: Luis Soares <luis.soares@sun.com>
            branch nick: 5.1-bt-to-push
            timestamp: Tue 2009-06-30 19:40:38 +0100
            message:
              merge: 5.1-bt bug branch --> 5.1-bt latest
                ------------------------------------------------------------
                revno: 2661.306.1
                committer: Luis Soares <luis.soares@sun.com>
                branch nick: 5.1-bt
                timestamp: Sun 2009-06-07 23:28:08 +0100
                message:
                  BUG#42941: --database paramater to mysqlbinlog fails with RBR
                              
                  mysqlbinlog --database parameter was being ignored when processing
                  row events. As such no event filtering would take place.
                              
                  This patch addresses this by deploying a call to shall_skip_database
                  when table_map_events are handled (as these contain also the name of
                  the database). All other rows events referencing the table id for the
                  filtered map event, will also be skipped.
            ------------------------------------------------------------
            revno: 2661.305.1
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-06-30 15:29:10 -0300
            message:
              Post-merge fix for Innodb snapshot.
              Add new header to Makefile.am so it gets bundled.
        ------------------------------------------------------------
        revno: 2661.259.77
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-07-01 11:06:05 +0530
        message:
          Fix build failure after applying Innodb snapshot 5.1-ss5282
          
          After applying Innodb snapshot 5.1-ss5282, build was broken
          because of missing header file. 
          
          Adding the header file to Makefile.am after informing the 
          innodb developers.
        ------------------------------------------------------------
        revno: 2661.259.76
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 43414-51
        timestamp: Mon 2009-06-29 16:00:47 +0200
        message:
          Merge from 5.0
            ------------------------------------------------------------
            revno: 1810.3918.16
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 43414-50
            timestamp: Mon 2009-06-29 15:17:01 +0200
            message:
              Merge from 5.0-bt
        ------------------------------------------------------------
        revno: 2661.259.75
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-06-29 18:38:19 +0530
        message:
          merge to mysql-5.1-bugteam branch
            ------------------------------------------------------------
            revno: 2661.304.3
            committer: Christoffer Hall <hall@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-29 14:56:41 +0200
            message:
              Merge from team tree
            ------------------------------------------------------------
            revno: 2661.304.2
            committer: Christoffer Hall <hall@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-29 14:55:22 +0200
            message:
              Merge from main branch
            ------------------------------------------------------------
            revno: 2661.304.1
            committer: Christoffer Hall <hall@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-22 14:43:19 +0200
            message:
              BUG#42721 configure.in invokes 'nm' directly
              
              A hardcoded use of nm and libc was put into configure.in. This broke
              cross-compiling and is bad practice. Fitting variables now used. 
        ------------------------------------------------------------
        revno: 2661.259.74
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-06-29 18:33:11 +0530
        message:
          merge to mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.303.3
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam-innodb
            timestamp: Thu 2009-06-11 18:42:25 +0530
            message:
              Applying InnoDB snashot 5.1-ss5282, Add TestCase for BUG#40565
              
              Merge the test case from 5.0 to 5.1 for BUG#40565
              
              Detailed revision comments:
              
              r5233 | marko | 2009-06-03 15:12:44 +0300 (Wed, 03 Jun 2009) | 11 lines
              branches/5.1: Merge the test case from r5232 from branches/5.0:
                ------------------------------------------------------------------------
                r5232 | marko | 2009-06-03 14:31:04 +0300 (Wed, 03 Jun 2009) | 21 lines
              
                branches/5.0: Merge r3590 from branches/5.1 in order to fix Bug #40565
                (Update Query Results in "1 Row Affected" But Should Be "Zero Rows").
              
                Also, add a test case for Bug #40565.
              
                rb://128 approved by Heikki Tuuri
                ------------------------------------------------------------------------
            ------------------------------------------------------------
            revno: 2661.303.2
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam-innodb
            timestamp: Thu 2009-06-11 18:35:12 +0530
            message:
              Applying InnoDB snashot 5.1-ss5282, Fix for BUG#45097
              
              BUG#45097 - Hang during recovery, redo logs for doublewrite buffer pages 
              
              Detailed revision comments:
              
              r5128 | vasil | 2009-05-26 17:26:37 +0300 (Tue, 26 May 2009) | 7 lines
              branches/5.1:
              
              Fix Bug#45097 Hang during recovery, redo logs for doublewrite buffer pages
              
              Do not write redo log for the pages in the doublewrite buffer. Also, do not
              make a dummy change to the page because this is not needed.
              
              r5150 | vasil | 2009-05-27 18:56:03 +0300 (Wed, 27 May 2009) | 4 lines
              branches/5.1:
              
              Whitespace fixup.
            ------------------------------------------------------------
            revno: 2661.303.1
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam-innodb
            timestamp: Thu 2009-06-11 18:21:54 +0530
            message:
              Applying InnoDB snashot 5.1-ss5282, PRE-Fix for BUG#45097
              
              BUG#45097 - Hang during recovery, redo logs for doublewrite buffer pages 
              
              Detailed revision comments:
              
              r5126 | vasil | 2009-05-26 16:57:12 +0300 (Tue, 26 May 2009) | 9 lines
              branches/5.1:
              
              Preparation for the fix of
              Bug#45097 Hang during recovery, redo logs for doublewrite buffer pages 
              
              Non-functional change: move FSP_* macros from fsp0fsp.h to a new file
              fsp0types.h. This is needed in order to be able to use FSP_EXTENT_SIZE 
              in mtr0log.ic.
              
              r5127 | vasil | 2009-05-26 17:05:43 +0300 (Tue, 26 May 2009) | 9 lines
              branches/5.1:
              
              Preparation for the fix of
              Bug#45097 Hang during recovery, redo logs for doublewrite buffer pages
              
              Do not include unnecessary headers mtr0log.h and fut0lst.h in trx0sys.h
              and include fsp0fsp.h just before it is needed. This is needed in order
              to be able to use TRX_SYS_SPACE in mtr0log.ic.
        ------------------------------------------------------------
        revno: 2661.259.73
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-06-29 17:59:44 +0530
        message:
          Null merge mysql-5.0-bugteam to mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3918.15
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2009-06-29 17:57:22 +0530
            message:
              Additional Fix for BUG#40565 - Update Query Results in "1 Row Affected" 
                                             But Should Be "Zero Rows"
              
              
              After applying the innodb snapshot 5.0-ss5406 for bug#40565, the windows push build
              tests failed because of the missing cast of void * pointer in row0sel.c file
              
              Informed the innodb developers and received patch by email.
        ------------------------------------------------------------
        revno: 2661.259.72
        committer: Luis Soares <luis.soares@sun.com>
        branch nick: 5.1-bt-to-push
        timestamp: Mon 2009-06-29 12:00:58 +0100
        message:
          merge: 5.1-bt bug branch --> 5.1-bt latest
            ------------------------------------------------------------
            revno: 2661.302.1
            committer: Luis Soares <luis.soares@sun.com>
            branch nick: 5.1-bt-push
            timestamp: Sat 2009-06-27 14:18:47 +0100
            message:
              BUG#42851: Spurious "Statement is not safe to log in statement
                         format." warnings
                    
              Despite the fact that a statement would be filtered out from binlog, a
              warning would still be thrown if it was issued with the LIMIT.
                    
              This patch addresses this issue by checking the filtering rules before
              printing out the warning.
        ------------------------------------------------------------
        revno: 2661.259.71
        committer: V Narayanan<v.narayanan@sun.com>
        branch nick: mysql-5.1-bugteam-45196-1
        timestamp: Mon 2009-06-29 07:32:17 +0530
        message:
          Bug#45196  Some collations do not sort correctly with IBMDB2I
          
          Some collations--including cp1250_czech_cs,latin2_czech_cs,
          ucs2/utf8_czech_ci, ucs2/utf8_danish_ci--are not being
          sorted correctly by the IBMDB2I storage engine. This
          was being caused because the sort order used by DB2 is
          incompatible with the order expected by MySQL.
          
          This patch removes support for the cp1250_czech_cs and
          latin2_czech_cs collations because it has been determined
          that the sort order used by DB2 is incompatible with the
          order expected by MySQL. Users needing a czech collation
          with IBMDB2I are encouraged to use a Unicode-based collation 
          instead of these single-byte collations. This patch also
          modifies the DB2 sort sequence used for ucs2/utf8_czech_ci
          and ucs2/utf8_danish_ci collations to better match the
          sorting expected by MySQL. This will only affect indexes
          or tables that are newly created through the IBMDB2I storage
          engine. Existing IBMDB2I tables will retain the old sort
          sequence until recreated.
        ------------------------------------------------------------
        revno: 2661.259.70
        committer: Evgeny Potemkin <epotemkin@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-06-26 19:59:41 +0000
        message:
          Merged bug#45266.
            ------------------------------------------------------------
            revno: 2661.301.1
            committer: Evgeny Potemkin <epotemkin@mysql.com>
            branch nick: 45782-bug-5.1-bugteam
            timestamp: Fri 2009-06-26 19:57:42 +0000
            message:
              Bug#45266: Uninitialized variable lead to an empty result.
              
              The TABLE::reginfo.impossible_range is used by the optimizer to indicate
              that the condition applied to the table is impossible. It wasn't initialized
              at table opening and this might lead to an empty result on complex queries:
              a query might set the impossible_range flag on a table and when the query finishes,
              all tables are returned back to the table cache. The next query that uses the table
              with the impossible_range flag set and an index over the table will see the flag
              and thus return an empty result.
              
              The open_table function now initializes the TABLE::reginfo.impossible_range
              variable.
        ------------------------------------------------------------
        revno: 2661.259.69
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 45548-5.1
        timestamp: Thu 2009-06-25 12:25:23 -0300
        message:
          Bug#45548: XA transaction without access to InnoDB tables crashes the server
          
          The problem is that the one phase commit function failed to
          properly end a empty transaction. The solution is to ensure
          that the transaction cleanup procedure is invoked even for
          empty transactions.
        ------------------------------------------------------------
        revno: 2661.259.68
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-06-26 18:00:40 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 1810.3918.14
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Fri 2009-06-26 17:59:43 +0400
            message:
              Automerge.
        ------------------------------------------------------------
        revno: 2661.259.67
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-06-26 17:59:52 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 2661.300.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my51-bug41710
            timestamp: Fri 2009-06-26 17:52:44 +0400
            message:
              Automerge.
            ------------------------------------------------------------
            revno: 1810.3926.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my50-bug41710
            timestamp: Thu 2009-06-18 17:11:47 +0400
            message:
              Bug #41710: MySQL 5.1.30 crashes on the latest OpenSolaris 10 
               
              Change the default optimization level for Sun Studio to "-O1". 
              This is a workaround for a Sun Studio bug (see bug #41710 
              comments for details): 
               
              1. Use $GCC instead of $ac_cv_prog_gcc to check for gcc, since 
              the first one is the only documented way to do it. 
               
              2. Use $GXX instead of $ac_cv_prog_cxx_g to check for g++, 
              since the latter is set to "yes" when the C++ compiler accepts 
              "-g" which is the case for both g++ and CC. 
               
              3. When building with Sun Studio, set the default values for 
              CFLAGS/CXXFLAGS to "-O1", since unlike GCC, Sun Studio 
              interprets "-O" as "-xO3" (see the manual pages for cc and CC). 
        ------------------------------------------------------------
        revno: 2661.259.66
        committer: Luis Soares <luis.soares@sun.com>
        branch nick: 5.1-bt-post-push-fix
        timestamp: Fri 2009-06-26 12:18:50 +0100
        message:
          local merge: 5.1-bt bug branch --> 5.1-bt latest
            ------------------------------------------------------------
            revno: 2661.295.8
            committer: Luis Soares <luis.soares@sun.com>
            branch nick: 5.1-bt-push
            timestamp: Fri 2009-06-26 12:05:56 +0100
            message:
              BUG#44270: Post-push fix
              
              The test case added failed sporadically on PB. This is due to the
              fact that the user thread in some cases is waiting for slave IO
              to stop and then check the error number. Thence, sometimes the
              user thread would race for the error number with IO thread.
              
              This post push fix addresses this by replacing the wait for slave
              io to stop with a wait for slave io error (as it seems it was
              added in 6.0 also after patch on which this is based was
              pushed). This implied backporting wait_for_slave_io_error.inc
              from 6.0 also.
        ------------------------------------------------------------
        revno: 2661.259.65
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-06-26 13:32:56 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 2661.299.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my51-bug45309
            timestamp: Tue 2009-06-23 10:15:27 +0400
            message:
              Bug #45309: InnoDB does not rollback for delete and update 
                          queries if query was killed 
               
              Since we rely on thd->is_error() to decide whether we should 
              COMMIT or ROLLBACK after a query execution, check the query 
              'killed' state and throw an error before calling 
              ha_autocommit_or_rollback(), not after. 
               
              The patch was tested manually. For reliable results, the test 
              case would have to KILL QUERY while a DELETE/UPDATE query in 
              another thread is still running. I don't see a way to achieve 
              this kind of synchronization in our test suite (no debug_sync 
              in 5.1).
        ------------------------------------------------------------
        revno: 2661.259.64
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 34002-51
        timestamp: Fri 2009-06-26 10:46:21 +0200
        message:
          Merge from 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.295.7
            committer: Luis Soares <luis.soares@sun.com>
            branch nick: 5.1-bt-push
            timestamp: Fri 2009-06-26 00:20:14 +0100
            message:
              local merge: 5.1-bt bug branch --> 5.1-bt latest
                ------------------------------------------------------------
                revno: 2661.298.1
                committer: Luis Soares <luis.soares@sun.com>
                branch nick: 5.1-bt
                timestamp: Wed 2009-06-03 15:14:18 +0100
                message:
                  BUG#44270: RESET SLAVE does not reset Last_IO_Error or Last_IO_Errno
                  
                  The server was not cleaning the last IO error and error number when
                  resetting slave.
                  
                  This patch addresses this issue by backporting into 5.1 part of the
                  patch in BUG 34654. A fix for this issue had already been pushed into
                  6.0 as part of the aforementioned bug, however the patch also included
                  some refactoring. The fix for 5.1 does not take into account the
                  refactoring part.
            ------------------------------------------------------------
            revno: 2661.295.6
            committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-06-25 15:58:59 +0200
            message:
              Automerge
                ------------------------------------------------------------
                revno: 2661.297.1
                committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
                branch nick: 51-bug45336
                timestamp: Thu 2009-06-25 15:55:26 +0200
                message:
                  Bug#45336 --enable-foobar doesn't work for any plugin foobar.
                  
                  Because of a regression introduced by bug#19027 the option --enable-foobar
                  doesn't work anymore for any plugin 'foobar'. The reason is that plugin
                  names are tristate options variables with optional parameters and integer
                  values are not accepted. Since the 'enable' prefix attempts to assign '1'
                  to the option the operation fails.
                  
                  This patch translates any number n assigned to a plugin variable of type ENUM
                  to be the corresponding enumerated item. As a side effect --enable-foobar and
                  --disable-foobar will also start working again.
            ------------------------------------------------------------
            revno: 2661.295.5
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-06-25 15:52:50 +0500
            message:
              Bug#45412 SHOW CREATE TRIGGER does not require privileges to disclose trigger data
              Added privilege checking to SHOW CREATE TRIGGER code.
            ------------------------------------------------------------
            revno: 2661.295.4
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-06-25 14:23:21 +0500
            message:
              automerge
                ------------------------------------------------------------
                revno: 2661.296.1
                committer: Satya B <satya.bn@sun.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Thu 2009-06-25 15:22:46 +0530
                message:
                  NULL MERGE of innodb snapshot 5.0-ss5406 into 5.1 branch
                ------------------------------------------------------------
                revno: 1810.3918.13
                committer: Satya B <satya.bn@sun.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Thu 2009-06-25 15:20:26 +0530
                message:
                  Applying InnoDB snashot 5.0-ss5406, part 2. Fixes BUG#40565
                  
                  BUG#40565 - Update Query Results in "1 Row Affected" But Should Be "Zero Rows"
                  
                  Detailed revision comments:
                  
                  r5232 | marko | 2009-06-03 14:31:04 +0300 (Wed, 03 Jun 2009) | 21 lines
                  branches/5.0: Merge r3590 from branches/5.1 in order to fix Bug #40565
                  (Update Query Results in "1 Row Affected" But Should Be "Zero Rows").
                  
                  Also, add a test case for Bug #40565.
                  
                  rb://128 approved by Heikki Tuuri
                    ------------------------------------------------------------------------
                    r3590 | marko | 2008-12-18 15:33:36 +0200 (Thu, 18 Dec 2008) | 11 lines
                  
                    branches/5.1: When converting a record to MySQL format, copy the default
                    column values for columns that are SQL NULL.  This addresses failures in
                    row-based replication (Bug #39648).
                  
                    row_prebuilt_t: Add default_rec, for the default values of the columns in
                    MySQL format.
                  
                    row_sel_store_mysql_rec(): Use prebuilt->default_rec instead of
                    padding columns.
                  
                    rb://64 approved by Heikki Tuuri
                    ------------------------------------------------------------------------
                ------------------------------------------------------------
                revno: 1810.3918.12
                committer: Satya B <satya.bn@sun.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Thu 2009-06-25 15:06:12 +0530
                message:
                  Applying InnoDB snashot 5.0-ss5406, part 1. Fixes BUG#38479
                  
                  BUG#38479 - valgrind warnings in show table status for innodb tables
                  
                  Detailed revision comments:
                  
                  r5080 | vasil | 2009-05-22 14:45:34 +0300 (Fri, 22 May 2009) | 6 lines
                  branches/5.0:
                  
                  Fix Bug#38479 valgrind warnings in show table status for innodb tables
                  
                  by initializing prebuilt->hint_need_to_fetch_extra_cols.
            ------------------------------------------------------------
            revno: 2661.295.3
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-06-25 13:44:50 +0500
            message:
              test case fix
            ------------------------------------------------------------
            revno: 2661.295.2
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-06-25 11:22:39 +0500
            message:
              Bug#45485 replication different between master/slaver using procedure with gbk
              In Item_param::set_from_user_var
              value.cs_info.character_set_client is set
              to 'fromcs' value. It's wrong, it should be set to
              thd->variables.character_set_client.
            ------------------------------------------------------------
            revno: 2661.295.1
            committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
            branch nick: 5.1-bugteam
            timestamp: Wed 2009-06-24 13:16:36 +0200
            message:
              Merged from gca branch
        ------------------------------------------------------------
        revno: 2661.259.63
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 34002-51
        timestamp: Thu 2009-06-25 17:41:05 +0200
        message:
          Bug #34002 uninitialized Rows_examined for some admin queries
          such as quit and shutdown
          
          Logging to slow log can produce an undetermined value for
          Rows_examined in special cases. In debug mode this manifests
          itself as any of the various marker values used to mark
          uninitialized memory on various platforms.
          
          If logging happens on a THD object that hasn't performed any
          row reads (on this or any previous connections), the
          THD::examined_row_count may be uninitialized. This patch adds
          initialization for this attribute.
          
          No automated test cases are added, as for this to be
          meaningful, we need to ensure that we're using a THD
          fulfilling the above conditions. This is hard to do in the
          mysql-test-run framework. The patch has been verified
          manually, however, by restarting mysqld and running the test
          included with the bug report.
        ------------------------------------------------------------
        revno: 2661.259.62
        committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
        branch nick: 5.1-gca
        timestamp: Wed 2009-06-24 12:55:53 +0200
        message:
          Bug#45293 Prepared on 5.1 gca branch
            ------------------------------------------------------------
            revno: 2661.294.1
            committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
            branch nick: 5.1-bugteam
            timestamp: Tue 2009-06-23 14:32:14 +0200
            message:
              Bug#45293 Supressed some warnings
        ------------------------------------------------------------
        revno: 2661.259.61
        committer: Andrei Elkin <aelkin@mysql.com>
        branch nick: 5.1-bt-bug38240-mi_is_zero
        timestamp: Tue 2009-06-23 12:10:04 +0300
        message:
          Bug #38240 Crash in safe_mutex_lock () thr_mutex.c line 97 on rotate_relay_log 
                      
          The reason for the crash was rotate_relay_log (mi=0x0) did not verify
          the passed value of active_mi.  There are more cases where active_mi
          is supposed to be non-zero e.g change_master(), stop_slave(), and it's
          reasonable to protect from a similar crash all of them with common
          fixes.
                      
          Fixed with spliting end_slave() in slave threads release and slave
          data clean-up parts (a new close_active_mi()). The new function is
          invoked at the very end of close_connections() so that all users of
          active_mi are proven to have left.
        ------------------------------------------------------------
        revno: 2661.259.60
        committer: Martin Hansson <martin.hansson@sun.com>
        branch nick: 5.1bt
        timestamp: Mon 2009-06-22 16:01:42 +0200
        message:
          Merge
            ------------------------------------------------------------
            revno: 2661.293.1
            committer: Martin Hansson <martin.hansson@sun.com>
            branch nick: 5.1bt-gca-commit
            timestamp: Mon 2009-06-22 14:51:33 +0200
            message:
              
              Bug#44653: Server crash noticed when executing random queries with partitions.
              
              When opening a table, it is imperative that the flag
              TABLE::auto_increment_field_not_null be false. But if an error occured during
              the creation of a table (e.g. the table exists already) with an auto_increment
              column and a BEFORE trigger that used the INSERT ... SELECT construct, the
              flag was not reset until after error checking. Thus if an error occured,
              select_insert::send_data() returned immediately and it was not reset (see * in
              pseudocode below).  Crash happened if the table was opened again. Fixed by
              resetting the flag after error checking.
              
              nested-loops_join():
                for each row in SELECT table {
                  select_insert::send_data():
                    if a values is supplied for AUTO_INCREMENT column
                       table->auto_increment_field_not_null= TRUE
                     else
                       table->auto_increment_field_not_null= FALSE
                     if (error)
                       return 1; *
                     if (table->auto_increment_field_not_null == FALSE)
                       ...
                     table->auto_increment_field_not_null == FALSE 
                }
              <-- table returned to table cache and later retrieved by open_table: 
              open_table():
                assert(table->auto_increment_field_not_null)
        ------------------------------------------------------------
        revno: 2661.259.59
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-06-22 15:01:16 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 1810.3918.11
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2009-06-22 14:50:46 +0300
            message:
              automerge
        ------------------------------------------------------------
        revno: 2661.259.58
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-06-22 14:57:51 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 2661.291.2
            committer: V Narayanan<v.narayanan@sun.com>
            branch nick: mysql-5.1-bugteam-43572-3
            timestamp: Mon 2009-06-22 17:23:02 +0530
            message:
              merging with mysql-5.1-bugteam
                ------------------------------------------------------------
                revno: 2661.292.1
                committer: V Narayanan<v.narayanan@sun.com>
                branch nick: mysql-5.1-bugteam-43572-2
                timestamp: Mon 2009-06-22 16:40:34 +0530
                message:
                  Bug#43572  Handle failures from hash_init
                  
                  The merge from http://lists.mysql.com/commits/76678 caused the 
                  growth_size parameter to the my_init_dynamic_array function to
                  be ignored. This patch corrects the problem.
            ------------------------------------------------------------
            revno: 2661.291.1
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-22 16:58:00 +0530
            message:
              Applying InnoDB snashot 5.1-ss5343, Fixes BUG#45357
              
              1. BUG#45357 - 5.1.35 crashes with Failing assertion: index->type & DICT_CLUSTERED
              
              2. Also fixes the compilation problem when the flag -DUNIV_MUST_NOT_INLINE
              
              Detailed revision comments:
              
              r5340 | marko | 2009-06-17 12:11:49 +0300 (Wed, 17 Jun 2009) | 4 lines
              branches/5.1: row_unlock_for_mysql(): When the clustered index is unknown,
              refuse to unlock the record.
              (Bug #45357, caused by the fix of Bug #39320).
              rb://132 approved by Sunny Bains.
              r5339 | marko | 2009-06-17 11:01:37 +0300 (Wed, 17 Jun 2009) | 2 lines
              branches/5.1: Add missing #include "mtr0log.h" so that the code compiles
              with -DUNIV_MUST_NOT_INLINE.
        ------------------------------------------------------------
        revno: 2661.259.57
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Mon 2009-06-22 14:53:22 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 2661.290.2
            committer: Jonathan Perkin <jperkin@sun.com>
            branch nick: mysql-5.1
            timestamp: Tue 2009-06-16 14:00:04 +0200
            message:
              Raise version number after cloning 5.1.36
            ------------------------------------------------------------
            revno: 2661.290.1
            tags: mysql-5.1.36, clone-5.1.36-build
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: fix-5.1-bugteam
            timestamp: Tue 2009-06-16 13:21:55 +0300
            message:
              version change
            ------------------------------------------------------------
            revno: 1810.3925.1
            committer: Georgi Kodinov <gkodinov@mysql.com>
            branch nick: merge-5.0-bugteam
            timestamp: Tue 2009-06-16 10:27:53 +0200
            message:
              fixed version
        ------------------------------------------------------------
        revno: 2661.259.56
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.1-bugteam-cs_coll
        timestamp: Fri 2009-06-19 18:57:42 +0200
        message:
          Merge 5.0 -> 5.1, no conflicts, no changes
            ------------------------------------------------------------
            revno: 1810.3918.10
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.0-bugteam-cs_coll
            timestamp: Fri 2009-06-19 18:53:10 +0200
            message:
              Merge of latest changes into local tree, no conflicts
        ------------------------------------------------------------
        revno: 2661.259.55
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.1-bugteam-cs_coll
        timestamp: Fri 2009-06-19 18:34:49 +0200
        message:
          Merge of latest changes into local tree
            ------------------------------------------------------------
            revno: 2661.289.1
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B36654-5.1-bugteam
            timestamp: Fri 2009-06-19 18:32:10 +0300
            message:
              automerge
            ------------------------------------------------------------
            revno: 1810.3924.1
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B36654-5.0-bugteam
            timestamp: Fri 2009-06-19 15:52:20 +0300
            message:
              Bug #36654: mysqld_multi cannot start instances with different versions 
              occasionally.
              
              mysql_multi can call mysqld_safe. In doing this it's not changing the 
              current working directory. This may cause confusion in the case where 
              mysqld_multi is handling instances of servers of different versions 
              and the current working directory is the installation directory of one 
              of these servers.
              
              Fixed by enhancing the meaning of basedir in [mysqldN] sections of 
              mysqld_multi. If specified, mysqld_multi will change the current 
              working directory to the basedir directory before starting the server 
              in mysqld_multi ... start ... and then change it back to what it was.
        ------------------------------------------------------------
        revno: 2661.259.54
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.1-bugteam-cs_coll
        timestamp: Fri 2009-06-19 17:44:29 +0200
        message:
          Merge 5.0 -> 5.1 of fixes for various funcs_1 related bugs
            ------------------------------------------------------------
            revno: 1810.3918.9
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.0-bugteam-cs_coll
            timestamp: Fri 2009-06-19 17:21:20 +0200
            message:
              Merge of fix for bug 40545, 40209, 40618, 38346 into tree
            ------------------------------------------------------------
            revno: 1810.3923.1
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.0-bugteam-ccs
            timestamp: Fri 2009-06-19 17:04:25 +0200
            message:
              Fix for Bug#40545, Bug#40209, Bug#40618, Bug#38346
              
                Details:
                - Limit the queries to character sets and collations
                  which are most probably available in all build types.
                  But try to preserve the intention of the tests.
                - Remove the variants adjusted to some build types.
              
                Note:
                1. The results of the review by Bar are included.
                2. I am not able to check the correctness of this patch
                   on any existing build type and any MySQL version.
                   So it could happen that the new test fails somewhere.
        ------------------------------------------------------------
        revno: 2661.259.53
        committer: V Narayanan<v.narayanan@sun.com>
        branch nick: mysql-5.1-bugteam-43572-1
        timestamp: Fri 2009-06-19 17:58:46 +0530
        message:
          merging with mysql-5.0-bugteam
            ------------------------------------------------------------
            revno: 1810.3918.8
            committer: V Narayanan<v.narayanan@sun.com>
            branch nick: mysql-5.0-bugteam-43572-1
            timestamp: Fri 2009-06-19 17:29:21 +0530
            message:
              Bug#43572 Handle failures from hash_init
                    
              Failure to allocate memory for the hash->array element,
              caused hash_init to return without initializing the other
              members of the hash. Thus although the dynamic array
              buffer may be allocated at a later point in the code, the
              incompletely initialized hash caused fatal failures.
              
              This patch moves the initialization of the other members
              of the hash above the array allocation, so that the usage
              of this hash will not result in fatal failures.
        ------------------------------------------------------------
        revno: 2661.259.52
        committer: Alfranio Correia <alfranio.correia@sun.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Fri 2009-06-19 12:27:24 +0100
        message:
          Post-fix for BUG#43929.
        ------------------------------------------------------------
        revno: 2661.259.51
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-06-19 14:31:09 +0500
        message:
          null merge
            ------------------------------------------------------------
            revno: 2661.288.1
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 32223n-51
            timestamp: Fri 2009-06-19 11:29:21 +0200
            message:
              Null-merge from 5.0-bugteam
            ------------------------------------------------------------
            revno: 1810.3918.7
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 32223n-50
            timestamp: Fri 2009-06-19 11:27:19 +0200
            message:
              Bug #32223 SETting max_allowed_packet variable
                    
              Inconsistent behavior of session variable max_allowed_packet 
              (and net_buffer_length); only assignment to the global variable 
              has any effect, without this being obvious to the user.
                    
              The patch for Bug#22891 is backported to 5.0, making the two
              session variables read-only. As this is a backport to GA 
              software, the error used when trying to assign to the read-
              only variable is ER_UNKNOWN_ERROR. The error message is the 
              same as in 5.1+.
        ------------------------------------------------------------
        revno: 2661.259.50
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2009-06-19 13:24:43 +0500
        message:
          Bug#44834 strxnmov is expected to behave as you'd expect
          The problem: described in the bug report.
          The fix:
          --increase buffers where it's necessary
            (buffers which are used in stxnmov)
          --decrease buffer lengths which are used
        ------------------------------------------------------------
        revno: 2661.259.49
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 42599-5.1
        timestamp: Thu 2009-06-18 20:21:47 -0300
        message:
          Bug#42599: error: `pthread_setschedprio' was not declared in this scope
          
          The problem was that a pthread.h header used by gcc did not
          declare the pthread_setscheprio, yet the function is implemented
          by the function is implemented, causing a autoconf check to pass
          and compilation with C++ to fail. The solution is to add a
          autoconf check to ensure that the function is properly declared.
        ------------------------------------------------------------
        revno: 2661.259.48
        committer: Alfranio Correia <alfranio.correia@sun.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Thu 2009-06-18 19:25:14 +0100
        message:
          auto-merge mysql-5.1-bugteam (local) --> mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.287.1
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-06-16 16:04:30 +0100
            message:
              BUG#45511 rpl.rpl_binlog_corruption fails with warning messages in Valgrind
              
              This is a backport of BUG#43076.
        ------------------------------------------------------------
        revno: 2661.259.47
        committer: Alfranio Correia <alfranio.correia@sun.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Thu 2009-06-18 18:58:56 +0100
        message:
          merge mysql-5.0-bugteam --> mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3918.6
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.0-bugteam-push
            timestamp: Thu 2009-06-18 18:28:47 +0100
            message:
              auto-merge mysql-5.0-bugteam (local) --> mysql-5.0-bugteam
            ------------------------------------------------------------
            revno: 1810.3922.1
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Thu 2009-06-11 02:08:40 +0100
            message:
              BUG#34687 Error in bin-log after shutdown restart binlog was not closed properly
              
              While reading a binary log that is being used by a master or was not properly
              closed, most likely due to a crash, the following warning message is being
              printed out: "Warning: this binlog was not closed properly. Most probably mysqld
              crashed writing it.". This was scaring our users as the message was not taking
              into account the possibility of the file is being just used by the master.
              
              To avoid unnecessarily scaring our users, we replace the original message by the
              following one: Warning: "this binlog is either is use or was not closed properly.".
        ------------------------------------------------------------
        revno: 2661.259.46
        committer: Alfranio Correia <alfranio.correia@sun.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Thu 2009-06-18 15:16:14 +0100
        message:
          auto-merge mysql-5.1-bugteam (local) --> mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.286.1
            committer: Alfranio Correia <alfranio.correia@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Thu 2009-06-18 14:52:46 +0100
            message:
              BUG#43929 binlog corruption when max_binlog_cache_size is exceeded
              
              Large transactions and statements may corrupt the binary log if the size of the
              cache, which is set by the max_binlog_cache_size, is not enough to store the
              the changes.
              
              In a nutshell, to fix the bug, we save the position of the next character in the
              cache before starting processing a statement. If there is a problem, we simply
              restore the position thus removing any effect of the statement from the cache.
              Unfortunately, to avoid corrupting the binary log, we may end up loosing changes
              on non-transactional tables if they do not fit in the cache. In such cases, we
              store an Incident_log_event in order to stop the slave and alert users that some
              changes were not logged.
              
              Precisely, for every non-transactional changes that do not fit into the cache,
              we do the following:
                a) the statement is *not* logged
                b) an incident event is logged after committing/rolling back the transaction,
                if any. Note that if a failure happens before writing the incident event to
                the binary log, the slave will not stop and the master will not have reported
                any error.
                c) its respective statement gives an error
              
              For transactional changes that do not fit into the cache, we do the following:
                a) the statement is *not* logged
                b) its respective statement gives an error
              
              To work properly, this patch requires two additional things. Firstly, callers to
              MYSQL_BIN_LOG::write and THD::binlog_query must handle any error returned and
              take the appropriate actions such as undoing the effects of a statement. We
              already changed some calls in the sql_insert.cc, sql_update.cc and sql_insert.cc
              modules but the remaining calls spread all over the code should be handled in
              BUG#37148. Secondly, statements must be either classified as DDL or DML because
              DDLs that do not get into the cache must generate an incident event since they
              cannot be rolled back.
        ------------------------------------------------------------
        revno: 2661.259.45
        committer: Martin Hansson <mhansson@mysql.com>
        branch nick: 5.1bt
        timestamp: Thu 2009-06-18 09:25:46 +0200
        message:
          Merge
            ------------------------------------------------------------
            revno: 2661.285.1
            committer: Martin Hansson <mhansson@mysql.com>
            branch nick: 5.1bt-gca
            timestamp: Tue 2009-06-16 16:36:15 +0200
            message:
              Bug#45168: assertion with convert() and empty set value
                    
              The assertion in String::copy was added in order to avoid
              valgrind errors when the destination was the same as the source.
              Eased restriction to allow for the case when str == NULL.
        ------------------------------------------------------------
        revno: 2661.259.44
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-06-17 21:03:01 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 1810.3918.5
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Wed 2009-06-17 21:00:39 +0400
            message:
              Automerge.
        ------------------------------------------------------------
        revno: 2661.259.43
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-06-17 20:58:46 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 2661.283.5
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 43414-51
            timestamp: Wed 2009-06-17 17:50:27 +0200
            message:
              Merge from 5.1-bugteam upstream
            ------------------------------------------------------------
            revno: 2661.283.4
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 43414-51
            timestamp: Wed 2009-06-17 17:33:22 +0200
            message:
              Merge from upstream 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.283.3
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 43414-51
            timestamp: Wed 2009-06-17 16:56:44 +0200
            message:
              Merge from 5.0-bugteam
                ------------------------------------------------------------
                revno: 1810.3921.1
                committer: Staale Smedseng <staale.smedseng@sun.com>
                branch nick: 43414-50
                timestamp: Wed 2009-06-17 15:54:01 +0200
                message:
                  Bug #43414 Parenthesis (and other) warnings compiling MySQL 
                  with gcc 4.3.2
                        
                  Compiling MySQL with gcc 4.3.2 and later produces a number of 
                  warnings, many of which are new with the recent compiler
                  versions.
                                    
                  This bug will be resolved in more than one patch to limit the
                  size of changesets. This is the second patch, fixing more
                  of the warnings.
            ------------------------------------------------------------
            revno: 1810.3920.1
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 43414-50
            timestamp: Wed 2009-06-10 16:04:07 +0200
            message:
              Bug #43414 Parenthesis (and other) warnings compiling MySQL 
              with gcc 4.3.2
              
              Compiling MySQL with gcc 4.3.2 and later produces a number of 
              warnings, many of which are new with the recent compiler
              versions.
                          
              This bug will be resolved in more than one patch to limit the
              size of changesets. This is the second patch, fixing more
              of the warnings.
        ------------------------------------------------------------
        revno: 2661.259.42
        committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-06-17 20:12:50 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 1810.3918.4
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Wed 2009-06-17 20:10:48 +0400
            message:
              Disabled embedded server for the test case for bug #45236.
        ------------------------------------------------------------
        revno: 2661.259.41
        committer: Martin Hansson <mhansson@mysql.com>
        branch nick: 5.1bt
        timestamp: Wed 2009-06-17 17:34:53 +0200
        message:
          Merge
            ------------------------------------------------------------
            revno: 2661.284.1
            committer: Martin Hansson <mhansson@mysql.com>
            branch nick: 5.1bt-gca
            timestamp: Wed 2009-06-17 16:58:33 +0200
            message:
              Bug#44684: valgrind reports invalid reads in 
              Item_func_spatial_collection::val_str
                      
              When the concatenation function for geometry data collections
              reads the binary data it was not rigorous in checking that there
              is data available, leading to invalid reads and crashes.
              Fixed by making checking stricter.
        ------------------------------------------------------------
        revno: 2661.259.40
        committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-06-17 17:07:20 +0200
        message:
          Automerge
            ------------------------------------------------------------
            revno: 2661.283.2
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Wed 2009-06-17 16:38:19 +0400
            message:
              Automerge.
                ------------------------------------------------------------
                revno: 1810.3918.3
                committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
                branch nick: mysql-5.0-bugteam
                timestamp: Wed 2009-06-17 16:36:45 +0400
                message:
                  Automerge.
            ------------------------------------------------------------
            revno: 2661.283.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Wed 2009-06-17 16:37:10 +0400
            message:
              Automerge.
            ------------------------------------------------------------
            revno: 2661.282.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my51-bug45236
            timestamp: Wed 2009-06-17 15:50:50 +0400
            message:
              Automerge.
            ------------------------------------------------------------
            revno: 1810.3919.1
            committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
            branch nick: my50-bug45236
            timestamp: Wed 2009-06-10 11:24:47 +0400
            message:
              Bug #45236: large blob inserts from mysqldump fail, possible 
                          memory issue ? 
               
              The mysql command line client could misinterpret some character 
              sequences as commands under some circumstances. 
               
              The upper limit for internal readline buffer was raised to 1 GB 
              (the same as for server's max_allowed_packet) so that any input 
              line is processed by add_line() as a whole rather than in 
              chunks.
        ------------------------------------------------------------
        revno: 2661.259.39
        committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-06-17 16:28:11 +0200
        message:
          Bug#43758 Query cache can lock up threads in 'freeing items' state
          
          This patch corrects a misstake in the test case for bug patch 43658.
          
          There was a race in the test case when the thread id was retrieved from the processlist.
          The result was that the same thread id was signalled twice and one thread id wasn't
          signalled at all.
          
          The affected platforms appears to be limited to linux.
        ------------------------------------------------------------
        revno: 2661.259.38
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: fix-5.1-bugteam
        timestamp: Tue 2009-06-16 12:59:57 +0300
        message:
          Addendum to the fix for bug #44821: move partition dependent test 
          to a test file that guarantees the presence of partition code
        ------------------------------------------------------------
        revno: 2661.259.37
        committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-06-16 10:49:04 +0200
        message:
          Automerge
            ------------------------------------------------------------
            revno: 2661.281.2
            committer: Martin Hansson <mhansson@mysql.com>
            branch nick: 5.1bt
            timestamp: Tue 2009-06-16 10:43:13 +0200
            message:
              Merge
            ------------------------------------------------------------
            revno: 2661.281.1
            committer: Martin Hansson <mhansson@mysql.com>
            branch nick: 5.1bt
            timestamp: Tue 2009-06-16 10:34:32 +0200
            message:
              Merge
            ------------------------------------------------------------
            revno: 2661.280.1
            committer: Martin Hansson <mhansson@mysql.com>
            branch nick: 5.1bt-gca-commit
            timestamp: Wed 2009-06-10 11:56:00 +0200
            message:
              Bug#44821: select distinct on partitioned table returns wrong results
              
              Range analysis did not request sorted output from the storage engine,
              which cause partitioned handlers to process one partition at a time
              while reading key prefixes in ascending order, causing values to be 
              missed. Fixed by always requesting sorted order during range analysis.
              This fix is introduced in 6.0 by the fix for bug no 41136.
        ------------------------------------------------------------
        revno: 2661.259.36
        committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-06-16 10:44:36 +0200
        message:
          Automerge
            ------------------------------------------------------------
            revno: 2661.279.5
            committer: Georgi Kodinov <gkodinov@mysql.com>
            branch nick: merge-5.1-bugteam
            timestamp: Tue 2009-06-16 10:35:42 +0200
            message:
              automerge
            ------------------------------------------------------------
            revno: 2661.279.4
            committer: Georgi Kodinov <gkodinov@mysql.com>
            branch nick: merge-5.1-bugteam
            timestamp: Tue 2009-06-16 10:33:13 +0200
            message:
              automerge
                ------------------------------------------------------------
                revno: 1810.3918.2
                committer: Georgi Kodinov <gkodinov@mysql.com>
                branch nick: merge-5.0-bugteam
                timestamp: Mon 2009-06-15 17:58:23 +0200
                message:
                  automerge
            ------------------------------------------------------------
            revno: 2661.279.3
            committer: Georgi Kodinov <gkodinov@mysql.com>
            branch nick: merge-5.1-bugteam
            timestamp: Mon 2009-06-15 18:17:34 +0200
            message:
              automerge
            ------------------------------------------------------------
            revno: 2661.279.2
            committer: Georgi Kodinov <gkodinov@mysql.com>
            branch nick: merge-5.1-bugteam
            timestamp: Mon 2009-06-15 17:57:06 +0200
            message:
              automerge
                ------------------------------------------------------------
                revno: 1810.3918.1
                committer: Georgi Kodinov <gkodinov@mysql.com>
                branch nick: merge-5.0-bugteam
                timestamp: Mon 2009-06-15 17:29:26 +0200
                message:
                  merged 5.0-main to 5.0-bugteam
            ------------------------------------------------------------
            revno: 2661.279.1
            committer: Georgi Kodinov <gkodinov@mysql.com>
            branch nick: merge-5.1-bugteam
            timestamp: Mon 2009-06-15 17:53:45 +0200
            message:
              merged 5.1-main -> 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.278.4
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.1
            timestamp: Thu 2009-06-11 18:21:32 +0200
            message:
              Merge 5.0-build up to 5.1-build
              
              This is the backmerge of 5.0.74sp1 into the main sources,
              but effectively a null-merge, because the changes in that version
              were backports of changes already present in later sources.
                ------------------------------------------------------------
                revno: 1810.3855.24
                committer: Joerg Bruehe <joerg@mysql.com>
                branch nick: push-5.0
                timestamp: Thu 2009-06-11 16:32:47 +0200
                message:
                  Merge main 5.0 -> 5.0-build
                ------------------------------------------------------------
                revno: 1810.3908.9
                author: Joerg.Bruehe@Sun.COM
                committer: MySQL Build Team <build@mysql.com>
                branch nick: mysql-5.0
                timestamp: Thu 2009-06-11 13:49:04 +0200
                message:
                  Merge back mysql-5.0.74sp1-release, no changes in current files
                    ------------------------------------------------------------
                    revno: 1810.3811.15
                    tags: clone-5.0.74sp1-build, mysql-5.0.74sp1
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 15:38:00 +0200
                    message:
                      after-backport fixes
                    ------------------------------------------------------------
                    revno: 1810.3811.14
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 13:53:30 +0200
                    message:
                      missing files for libedit
                    ------------------------------------------------------------
                    revno: 1810.3811.13
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 13:38:10 +0200
                    message:
                      adjust version string
                    ------------------------------------------------------------
                    revno: 1810.3811.12
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 13:35:25 +0200
                    message:
                      backport #34773, commit 61127
                    ------------------------------------------------------------
                    revno: 1810.3811.11
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 13:14:37 +0200
                    message:
                      backport #39591, commit 59390
                    ------------------------------------------------------------
                    revno: 1810.3811.10
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 13:03:29 +0200
                    message:
                      backport #41437, commit 62803
                    ------------------------------------------------------------
                    revno: 1810.3811.9
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 12:57:03 +0200
                    message:
                      backport #41456, commit 61847
                    ------------------------------------------------------------
                    revno: 1810.3811.8
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 12:52:45 +0200
                    message:
                      backport #41470, commit 62661
                    ------------------------------------------------------------
                    revno: 1810.3811.7
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 12:45:37 +0200
                    message:
                      backport #42014, commit 65523
                    ------------------------------------------------------------
                    revno: 1810.3811.6
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 12:42:50 +0200
                    message:
                      missing files from 42419
                    ------------------------------------------------------------
                    revno: 1810.3811.5
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 12:38:22 +0200
                    message:
                      backport 42366, copying certificates from 5.0
                    ------------------------------------------------------------
                    revno: 1810.3811.4
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 12:36:18 +0200
                    message:
                      backport #42419, commits 66925, 66999
                    ------------------------------------------------------------
                    revno: 1810.3811.3
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 12:16:50 +0200
                    message:
                      backport #43748, applying commits 70359 and 70377
                    ------------------------------------------------------------
                    revno: 1810.3811.2
                    committer: Daniel Fischer <df@sun.com>
                    branch nick: mysql-5.0-QSP
                    timestamp: Thu 2009-04-30 12:04:37 +0200
                    message:
                      Backported libedit changes.
                ------------------------------------------------------------
                revno: 1810.3908.8
                author: hery.ramilison@sun.com
                committer: MySQL Build Team <build@mysql.com>
                branch nick: mysql-5.0
                timestamp: Fri 2009-05-29 19:45:32 +0200
                message:
                  Raise version number after cloning 5.0.83
            ------------------------------------------------------------
            revno: 2661.278.3
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.1
            timestamp: Thu 2009-06-11 17:14:15 +0200
            message:
              Merge main 5.1 -> 5.1-build
            ------------------------------------------------------------
            revno: 2661.278.2
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.1
            timestamp: Fri 2009-05-29 15:40:55 +0200
            message:
              Merge up 5.0-build into 5.1-build:
              mostly just the merge changesets,
              but also a change of Perl scripts to use "/usr/bin/perl" fixed.
                ------------------------------------------------------------
                revno: 1810.3855.23
                committer: Joerg Bruehe <joerg@mysql.com>
                branch nick: push-5.0
                timestamp: Thu 2009-05-28 21:58:48 +0200
                message:
                  Merge main 5.0 into 5.0-build
                ------------------------------------------------------------
                revno: 1810.3855.22
                committer: Joerg Bruehe <joerg@mysql.com>
                branch nick: push-5.0
                timestamp: Wed 2009-05-27 09:49:26 +0200
                message:
                  Merge main 5.0 -> 5.0-build
                  
                  This is the integration of the "community" source extensions
                  into build calls for Windows and for RPMs.
                ------------------------------------------------------------
                revno: 1810.3855.21
                committer: Joerg Bruehe <joerg@mysql.com>
                branch nick: push-5.0
                timestamp: Fri 2009-05-15 11:54:55 +0200
                message:
                  Merge main 5.0 -> 5.0-build
                ------------------------------------------------------------
                revno: 1810.3855.20
                committer: Daniel Fischer <df@sun.com>
                branch nick: mysql-5.0-build
                timestamp: Tue 2009-05-12 13:09:16 +0200
                message:
                  merge bug#42888
                ------------------------------------------------------------
                revno: 1810.3855.19
                committer: Kent Boortz <kent@kent-amd64>
                branch nick: mysql-5.0-build-bug44643
                timestamp: Sat 2009-05-09 23:43:48 +0200
                message:
                  Use /usr/bin/perl as standard Perl install path (bug#44643)
            ------------------------------------------------------------
            revno: 2661.278.1
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.1
            timestamp: Fri 2009-05-29 15:20:54 +0200
            message:
              Merge main 5.1 into 5.1-build
        ------------------------------------------------------------
        revno: 2661.259.35
        committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-06-16 10:42:54 +0200
        message:
          Automerge
            ------------------------------------------------------------
            revno: 2661.277.2
            committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
            branch nick: 51-bug43758-2
            timestamp: Tue 2009-06-16 10:34:47 +0200
            message:
              Bug#43758 Query cache can lock up threads in 'freeing items' state
              
              Early patch submitted for discussion.
              
              It is possible for more than one thread to enter the condition
              in query_cache_insert(), but the condition predicate is to
              signal one thread each time the cache status changes between
              the following states: {NO_FLUSH_IN_PROGRESS,FLUSH_IN_PROGRESS,
              TABLE_FLUSH_IN_PROGRESS}
              
              Consider three threads THD1, THD2, THD3
              
                 THD2: select ... => Got a writer in ::store_query
                 THD3: select ... => Got a writer in ::store_query
                 THD1: flush tables => qc status= FLUSH_IN_PROGRESS;
                                    new writers are blocked.
                 THD2: select ... => Still got a writer and enters cond in
                                     query_cache_insert
                 THD3: select ... => Still got a writer and enters cond in
                                     query_cache_insert
                 THD1: flush tables => finished and signal status change.
                 THD2: select ... => Wakes up and completes the insert.
                 THD3: select ... => Happily waiting for better times. Why hurry?
              
              This patch is a refactoring of this lock system. It introduces four new methods:
                 Query_cache::try_lock()
                 Query_cache::lock()
                 Query_cache::lock_and_suspend()
                 Query_cache::unlock()
              
              This change also deprecates wait_while_table_flush_is_in_progress(). All threads are
              queued and put on a conditional wait. On each unlock the queue is signalled. This resolve
              the issues with left over threads. To assure that no threads are spending unnecessary
              time waiting a signal broadcast is issued every time a lock is taken before a full
              cache flush.
        ------------------------------------------------------------
        revno: 2661.259.34
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-06-15 20:27:27 -0300
        message:
          Post-merge fix: modify regular expression to better handle 24 hour
          times (ie: 2:16:20).
        ------------------------------------------------------------
        revno: 2661.259.33
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-06-15 20:02:25 -0300
        message:
          Disable session debugging after its not necessary anymore.
        ------------------------------------------------------------
        revno: 2661.259.32
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 45387-51
        timestamp: Mon 2009-06-15 18:03:25 +0200
        message:
          Bug #45387 Information about statement id for prepared 
          statements missed from general log
          
          A FLUSH LOGS is added to ensure that the log info hits
          the file before attempting to process.
        ------------------------------------------------------------
        revno: 2661.259.31
        committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Mon 2009-06-15 17:27:58 +0200
        message:
          nullmerge
            ------------------------------------------------------------
            revno: 1810.3911.17
            committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
            branch nick: 5.0-bugteam
            timestamp: Mon 2009-06-15 17:14:00 +0200
            message:
              Bug#32357 Prepared for push on 5.0-bugteam branch
        ------------------------------------------------------------
        revno: 2661.259.30
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B44810-5.1-bugteam
        timestamp: Mon 2009-06-15 17:36:51 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 1810.3911.16
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B44810-5.0-bugteam
            timestamp: Mon 2009-06-15 16:38:15 +0300
            message:
              Bug #44810: index merge and order by with low sort_buffer_size
              crashes server!
              
              The problem affects the scenario when index merge is followed by a filesort
              and the sort buffer is not big enough for all the sort keys.
              In this case the filesort function will read the data to the end through the 
              index merge quick access method (and thus closing the cursor etc), 
              but will leave the pointer to the quick select method in place.
              It will then create a temporary file to hold the results of the filesort and
              will add it as a sort output file (in sort.io_cache).
              Note that filesort will copy the original 'sort' structure in an automatic
              variable and restore it after it's done.
              As a result at exiting filesort() we have a sort.io_cache filled in and 
              nothing else (as a result of close of the cursors at end of reading data 
              through index merge).
              Now create_sort_index() will note that there is a select and will clean it up
              (as it's been used already by filesort() reading the data in). While doing that
              a special case in the index merge destructor will clean up the sort.io_cache,
              assuming it's an output of the index merge method and is not needed anymore.
              As a result the code that tries to read the data back from the filesort output 
              will get no data in both memory and disk and will crash.
                    
              Fixed similarly to how filesort() does it : by copying the sort.io_cache structure
              to a local variable, removing the pointer to the io_cache (so that it's not freed 
              by QUICK_INDEX_MERGE_SELECT::~QUICK_INDEX_MERGE_SELECT) and restoring the original 
              structure (together with the valid pointer) after the cleanup is done.
              This is a safe thing to do because all the structures are already cleaned up by
              hitting the end of the index merge's read method (QUICK_INDEX_MERGE_SELECT::get_next()) 
              and the cleanup code being written in a way that tolerates repeating cleanups.
        ------------------------------------------------------------
        revno: 2661.259.29
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 45100-5.1
        timestamp: Fri 2009-06-12 18:11:19 -0300
        message:
          Bug#45100: Incomplete DROP USER in case of SQL_MODE = 'PAD_CHAR_TO_FULL_LENGTH'
          
          The SQL-mode PAD_CHAR_TO_FULL_LENGTH could prevent a DROP USER
          statement from privileges associated with the user being dropped.
          What ocurred was that reading from the User and Host fields of
          the tables tables_priv or columns_priv would yield values padded
          with spaces, causing a failure to match a specified user or host 
          ('user' != 'user     ');
          
          The solution is to disregard the PAD_CHAR_TO_FULL_LENGTH mode
          when iterating over and matching values in the privileges tables
          for a DROP USER statement.
        ------------------------------------------------------------
        revno: 2661.259.28
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 45387-51
        timestamp: Fri 2009-06-12 16:28:10 +0200
        message:
          Bug #45387 Information about statement id for prepared 
          statements missed from general log
          
          A refinement of the test in the previous patch to avoid
          using sleep as a means to ensure that timestamps are
          added to the log entries.
        ------------------------------------------------------------
        revno: 2661.259.27
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B45386-5.1-bugteam
        timestamp: Fri 2009-06-12 17:07:47 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 1810.3911.15
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B45386-5.0-bugteam
            timestamp: Fri 2009-06-12 17:06:59 +0300
            message:
              fixed the build-tags command
        ------------------------------------------------------------
        revno: 2661.259.26
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B45386-5.1-bugteam
        timestamp: Fri 2009-06-12 17:04:24 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 2661.277.1
            committer: Patrick Crews <patrick.crews@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-06-12 14:40:02 +0100
            message:
              Bug#44920: MTR2 is not processing master.opt input properly on Windows
              
              Re-enabled tests main.init_connect and rpl.rpl_init_slave.test for non-Windows
              platforms.
              
              Please remove this code upon fixing the bug.
        ------------------------------------------------------------
        revno: 2661.259.25
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: B45386-5.1-bugteam
        timestamp: Fri 2009-06-12 16:58:48 +0300
        message:
          automerge
            ------------------------------------------------------------
            revno: 1810.3911.14
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B45386-5.0-bugteam
            timestamp: Fri 2009-06-12 15:38:55 +0300
            message:
              Bug #45386: Wrong query result with MIN function in field list, 
              WHERE and GROUP BY clause
              
              Loose index scan may use range conditions on the argument of 
              the MIN/MAX aggregate functions to find the beginning/end of 
              the interval that satisfies the range conditions in a single go.
              These range conditions may have open or closed minimum/maximum 
              values. When the comparison returns 0 (equal) the code should 
              check the type of the min/max values of the current interval 
              and accept or reject the row based on whether the limit is 
              open or not.
              There was a wrong composite condition on checking this and it was
              not working in all cases.
              Fixed by simplifying the conditions and reversing the logic.
        ------------------------------------------------------------
        revno: 2661.259.24
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-06-10 11:05:07 -0300
        message:
          Merge from mysql-5.0-bugteam.
            ------------------------------------------------------------
            revno: 1810.3911.13
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.0-bugteam
            timestamp: Wed 2009-06-10 10:59:59 -0300
            message:
              Bug#41190: shared memory connections do not work in Vista, if server started from cmdline
              
              Backport to MySQL 5.0/1 fix by Vladislav Vaintroub:
              
              In Vista and later and also in when using terminal services, when
              server is started from  command line, client cannot connect to it
              via shared memory protocol.
              
              This is a regression introduced when  Bug#24731 was fixed.  The
              reason is that client is trying to attach to shared memory using
              global kernel object  namespace (all kernel objects are prefixed
              with Global\). However, server started from the command line in
              Vista and later will create shared memory and events using current
              session namespace. Thus, client is unable to find the server and
              connection fails.
              
              The fix for the client is to first try to find server using "local"
              names  (omitting Global\  prefix) and only if server is not found,
              trying global namespace.
        ------------------------------------------------------------
        revno: 2661.259.23
        committer: Philip Stoev <pstoev@mysql.com>
        branch nick: 5.1-bugteam
        timestamp: Wed 2009-06-10 11:58:36 +0300
        message:
          Bug #29971 status.test fails
          
          This test uses SHOW STATUS and the like, which may be unstable in the face
          of logging to table, since the CSV handler is actively executing operations
          and thus incrementing the counters.
          
          Fixed by disabling logging to table for the duration of the test and restoring
          it afterwards. This causes various counters to properly start counting from zero
          and never advance due to CSV operations.
        ------------------------------------------------------------
        revno: 2661.259.22
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-06-09 19:32:32 -0300
        message:
          Define MASTER_MYSOCK for ndb tests.
          Needed for substitution in some tests.
        ------------------------------------------------------------
        revno: 2661.259.21
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.1-bugteam-push
        timestamp: Tue 2009-06-09 21:05:31 +0200
        message:
          Merge of latest changes into GCA tree, no conflicts
            ------------------------------------------------------------
            revno: 2661.276.8
            committer: Staale Smedseng <staale.smedseng@sun.com>
            branch nick: 43414-51
            timestamp: Tue 2009-06-09 18:44:26 +0200
            message:
              Merge from 5.0-bugteam for 43414
                ------------------------------------------------------------
                revno: 1810.3917.1
                committer: Staale Smedseng <staale.smedseng@sun.com>
                branch nick: 43414-50
                timestamp: Tue 2009-06-09 14:55:30 +0200
                message:
                  Bug #43414 Parenthesis (and other) warnings compiling MySQL 
                  with gcc 4.3.2
                  
                  Compiling MySQL with gcc 4.3.2 and later produces a number of 
                  warnings, many of which are new with the recent compiler
                  versions.
                  
                  This bug will be resolved in more than one patch to limit the
                  size of changesets. This is the first patch, fixing a number 
                  of the warnings, predominantly "suggest using parentheses 
                  around && in ||", and empty for and while bodies.
                ------------------------------------------------------------
                revno: 1810.3911.12
                committer: Staale Smedseng <staale.smedseng@sun.com>
                branch nick: 43414-50
                timestamp: Tue 2009-06-09 18:11:21 +0200
                message:
                  Bug #43414 Parenthesis (and other) warnings compiling MySQL 
                  with gcc 4.3.2
                        
                  Compiling MySQL with gcc 4.3.2 and later produces a number of 
                  warnings, many of which are new with the recent compiler
                  versions.
                        
                  This bug will be resolved in more than one patch to limit the
                  size of changesets. This is the first patch, fixing a number 
                  of the warnings, predominantly "suggest using parentheses 
                  around && in ||", and empty for and while bodies.
            ------------------------------------------------------------
            revno: 2661.276.7
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-06-09 13:09:16 -0300
            message:
              Remove assignments of the $MASTER_MYSOCK variable.
              This variable is defined by default and one should not do it
              directly as the socket variable is not available on Windows.
            ------------------------------------------------------------
            revno: 2661.276.6
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-06-09 11:36:14 -0300
            message:
              Don't run funcs_1/myisam_views test case under valgrind, unless
              the --big-test flag is supplied. Test is too resource intensive
              under normal valgrind runs (takes more than 30min on powerful
              hardware).
            ------------------------------------------------------------
            revno: 2661.276.5
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-08 20:03:01 -0300
            message:
              Tag count_distinct3.test as a big test.
            ------------------------------------------------------------
            revno: 2661.276.4
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-08 19:18:31 -0300
            message:
              Test is very resource intensive under debug and valgrind runs.
              Under a debug run, the trace file grows to a few gigabytes.
              Under valgrind, takes more then 20 minutes due to the high
              number of insert statements.
            ------------------------------------------------------------
            revno: 2661.276.3
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-08 19:05:24 -0300
            message:
              Fix for a valgrind warning due to use of a uninitialized
              variable. The problem was that THD::connect_utime could be
              used without being initialized when the main thread is used
              to handle connections (--thread-handling=no-threads).
            ------------------------------------------------------------
            revno: 2661.276.2
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-08 12:51:06 -0300
            message:
              Test is very resource intensive under debug and valgrind runs.
              Under a debug run, the trace file grows to a few gigabytes.
              Under valgrind, takes more then 20 minutes due to the high
              number of insert statements.
            ------------------------------------------------------------
            revno: 2661.276.1
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2009-06-08 09:55:37 -0300
            message:
              Merge from 5.1 main.
        ------------------------------------------------------------
        revno: 2661.259.20
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.1-bugteam-gca1
        timestamp: Tue 2009-06-09 17:01:11 +0200
        message:
          Merge of fix for bug 44949 into GCA tree, no conflicts
            ------------------------------------------------------------
            revno: 2661.248.2
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.1-bugteam-42308
            timestamp: Tue 2009-05-19 18:43:50 +0200
            message:
              Fix for Bug#44949 funcs_1: Several tests for embedded server need maintenance
              
              Detail:
              The results for the "normal" server testcase variants
              were already adjusted to the modified information_schema
              content. Therefore just do the same for the embedded
              server variants.
        ------------------------------------------------------------
        revno: 2661.259.19
        committer: Gleb Shchepa <gshchepa@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-06-08 01:40:53 +0500
        message:
          Bug #44886: SIGSEGV in test_if_skip_sort_order() -
                      uninitialized variable used as subscript
          
          Grouping select from a "constant" InnoDB table (a table
          of a single row) joined with other tables caused a crash.
        ------------------------------------------------------------
        revno: 2661.259.18
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-32149
        timestamp: Sat 2009-06-06 18:41:40 +0200
        message:
          manual merge
            ------------------------------------------------------------
            revno: 1810.3911.11
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 50-32149
            timestamp: Sat 2009-06-06 18:06:42 +0200
            message:
              auto-merge
                ------------------------------------------------------------
                revno: 1810.3914.7
                committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
                branch nick: mysql-5.0-bugteam
                timestamp: Sat 2009-06-06 12:26:39 -0300
                message:
                  Don't mix declarations and code (not widely portable).
            ------------------------------------------------------------
            revno: 1810.3911.10
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 50-32149
            timestamp: Fri 2009-06-05 23:29:37 +0200
            message:
              auto-merge
        ------------------------------------------------------------
        revno: 2661.259.17
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-32149
        timestamp: Sat 2009-06-06 18:05:58 +0200
        message:
          auto-merge
            ------------------------------------------------------------
            revno: 2661.275.3
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51m
            timestamp: Sat 2009-06-06 15:05:44 +0200
            message:
              Addendum to Bug #45286: backport macro name form other tree
              
              use same (slightly unwieldy) name in all trees; fix before this version goes "public".
              bless ctype to avoid upmerge conflict, le sigh.
            ------------------------------------------------------------
            revno: 2661.275.2
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51m
            timestamp: Sat 2009-06-06 13:07:35 +0200
            message:
              auto-merge
                ------------------------------------------------------------
                revno: 2661.272.10
                committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
                branch nick: 44672-5.1
                timestamp: Fri 2009-06-05 19:16:54 -0300
                message:
                  Bug#44672: Assertion failed: thd->transaction.xid_state.xid.is_null()
                  
                  The problem is that when a optimization of read-only transactions
                  (bypass 2-phase commit) was implemented, it removed the code that
                  reseted the XID once a transaction wasn't active anymore:
                  
                  sql/sql_parse.cc:
                  
                  -  bzero(&thd->transaction.stmt, sizeof(thd->transaction.stmt));
                  -  if (!thd->active_transaction())
                  -    thd->transaction.xid_state.xid.null();
                  +  thd->transaction.stmt.reset();
                  
                  This mostly worked fine as the transaction commit and rollback
                  functions (in handler.cc) reset the XID once the transaction is
                  ended. But those functions wouldn't reset the XID in case of
                  a empty transaction, leading to a assertion when a new starting
                  a new XA transaction.
                  
                  The solution is to ensure that the XID state is reset when empty
                  transactions are ended (by either commit or rollback). This is
                  achieved by reorganizing the code so that the transaction cleanup
                  routine is invoked whenever a transaction is ended.
            ------------------------------------------------------------
            revno: 2661.275.1
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51m
            timestamp: Fri 2009-06-05 23:47:13 +0200
            message:
              automerge
        ------------------------------------------------------------
        revno: 2661.259.16
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-32149
        timestamp: Sat 2009-06-06 18:05:00 +0200
        message:
          auto-merge
            ------------------------------------------------------------
            revno: 2661.272.9
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: mysql-5.1-bugteam
            timestamp: Fri 2009-06-05 13:55:09 -0300
            message:
              The valgrind suppression file (valgrind.supp) must be added to
              a binary distribution of the server as the MTR valgrind option
              relies on it to silence unmeaningful warnings.
            ------------------------------------------------------------
            revno: 2661.272.8
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B45286-5.1-bugteam
            timestamp: Fri 2009-06-05 19:40:36 +0300
            message:
              merged 5.0-bugteam -> 5.1-bugteam
                ------------------------------------------------------------
                revno: 1810.3914.6
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45286-5.0-bugteam
                timestamp: Fri 2009-06-05 19:27:48 +0300
                message:
                  automerge
                ------------------------------------------------------------
                revno: 1810.3914.5
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45286-5.0-bugteam
                timestamp: Fri 2009-06-05 19:23:44 +0300
                message:
                  Addendum to Bug #45286 : implement reviewer's remarks.
                ------------------------------------------------------------
                revno: 1810.3914.4
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45286-5.0-bugteam
                timestamp: Fri 2009-06-05 18:14:56 +0300
                message:
                  Bug #45286: compilation warnings on mysql-5.0-bugteam on MacOSX
                  
                  Implemented a way to circumvent the always true comparison by
                  having nested macros (as suggested on review).
            ------------------------------------------------------------
            revno: 2661.272.7
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B45286-5.1-bugteam
            timestamp: Fri 2009-06-05 19:38:48 +0300
            message:
              automerge
                ------------------------------------------------------------
                revno: 2661.274.1
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B43532-5.1-bugteam
                timestamp: Fri 2009-06-05 18:32:35 +0300
                message:
                  null-merged 5.0 backport of 43532 to 5.1
                ------------------------------------------------------------
                revno: 1810.3916.1
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B43532-5.0-bugteam
                timestamp: Fri 2009-06-05 17:59:23 +0300
                message:
                  Bug #43532 : backport of the 5.1 code to 5.0 mysqltest
            ------------------------------------------------------------
            revno: 2661.272.6
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B45286-5.1-bugteam
            timestamp: Fri 2009-06-05 16:44:38 +0300
            message:
              Bug #45286: compilation warnings on mysql-5.0-bugteam on MacOSX
              
              Merged the 5.0 fix to 5.1 and fixed the 5.1 specific warnings.
            ------------------------------------------------------------
            revno: 2661.272.5
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B45286-5.1-bugteam
            timestamp: Fri 2009-06-05 15:30:57 +0300
            message:
              automerge
                ------------------------------------------------------------
                revno: 1810.3914.3
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B45286-5.0-bugteam
                timestamp: Fri 2009-06-05 15:05:26 +0300
                message:
                  Bug #45286: compilation warnings on mysql-5.0-bugteam on MacOSX
                  
                  Fixed the 5.0-bugteam MacOSX warnings.
                ------------------------------------------------------------
                revno: 1810.3914.2
                committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
                branch nick: 5.0-bugteam
                timestamp: Thu 2009-06-04 16:13:16 +0200
                message:
                  Bug#15866 Split of main.sp and main.sp-fib. Merged from 5.0 gca
            ------------------------------------------------------------
            revno: 2661.272.4
            committer: Magnus Blåudd <magnus.blaudd@sun.com>
            branch nick: 5.1-bugteam
            timestamp: Fri 2009-06-05 13:23:58 +0200
            message:
              Merge bug#45326
                ------------------------------------------------------------
                revno: 2661.198.4
                committer: Magnus Blåudd <magnus.blaudd@sun.com>
                branch nick: 6.2-bug45326
                timestamp: Fri 2009-06-05 13:11:55 +0200
                message:
                  Bug#45326 Linker failure for libmysqld with VC++ 2008
                   - Rename the  functions in mysqld that conflict with the one in the
                     external interface defined by mysql.h
            ------------------------------------------------------------
            revno: 2661.272.3
            committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
            branch nick: 5.1-bugteam
            timestamp: Thu 2009-06-04 16:10:18 +0200
            message:
              Bug#15866 Split of main.sp and main.sp-fib. Merged from 5.1 gca
                ------------------------------------------------------------
                revno: 2661.273.1
                committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
                branch nick: 5.1-gca
                timestamp: Thu 2009-06-04 13:53:15 +0200
                message:
                  Bug#15866 ported from 5.0-gca
                ------------------------------------------------------------
                revno: 1810.3915.1
                committer: Bernt M. Johnsen <bernt.johnsen@sun.com>
                branch nick: 5.0-gca
                timestamp: Thu 2009-06-04 13:38:53 +0200
                message:
                  Bug#15866 main.sp-fib split from main.sp
            ------------------------------------------------------------
            revno: 2661.272.2
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B36995-5.1-bugteam
            timestamp: Thu 2009-06-04 13:26:18 +0300
            message:
              merged 36995 to 5.1-bugteam
                ------------------------------------------------------------
                revno: 1810.3914.1
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B36995-5.0-bugteam
                timestamp: Thu 2009-06-04 12:52:40 +0300
                message:
                  Bug #36995: valgrind error in remove_const during subquery executions
                  
                  When copying the Item class one must copy its attributes as well.
            ------------------------------------------------------------
            revno: 2661.272.1
            committer: Alexander Barkov <bar@mysql.com>
            branch nick: mysql-5.1.b43827
            timestamp: Thu 2009-06-04 14:35:29 +0500
            message:
               Bug#43827 Server closes connections and restarts
              Problem:
                Crash happened with a user-defined utf8 collation,
                on attempt to insert a value longer than the column
                to store.
              Reason:
                The "ctype" member was not initialized (NULL) when
                allocating a user-defined utf8 collation, so an attempt
                to call my_ctype(cs, *str) to check if we loose any important
                data when truncating the value made the server crash.
              Fix:
                Initializing tge "ctype" member to a proper value.
              
              
              mysql-test/r/ctype_ldml.result
                Adding tests
              
              mysql-test/t/ctype_ldml.test
                Adding tests
              
              strings/ctype-uca.c
                Adding initialization of "ctype" member.
              
              modified:
                mysql-test/r/ctype_ldml.result
                mysql-test/t/ctype_ldml.test
                strings/ctype-uca.c
        ------------------------------------------------------------
        revno: 2661.259.15
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-32149
        timestamp: Fri 2009-06-05 01:30:08 +0200
        message:
          auto-merge
            ------------------------------------------------------------
            revno: 1810.3911.9
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 50-32149
            timestamp: Fri 2009-06-05 00:23:08 +0200
            message:
              Bug#32149: Long semaphore wait for adaptive hash latch
              
              Holding on to the temporary inno hash index latch is an optimization in
              many cases, but a pessimization in some others.
              
              Release temporary latches for those corner cases we (or rather, or customers,
              thanks!) have identified, that is, when we are about to do something that
              might take a really long time, like REPAIR or filesort.
        ------------------------------------------------------------
        revno: 2661.259.14
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Thu 2009-06-04 10:54:23 +0500
        message:
          5.0-bugteam->5.1-bugteam merge
            ------------------------------------------------------------
            revno: 1810.3911.8
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Thu 2009-06-04 10:28:45 +0500
            message:
              Bug#44798 MySQL engine crashes when creating stored procedures with execute_priv=N
              The crash happens because of uninitialized
              lex->ssl_cipher, lex->x509_subject, lex->x509_issuer variables.
              The fix is to add initialization of these variables for
              stored procedures&functions.
        ------------------------------------------------------------
        revno: 2661.259.13
        committer: Alexander Nozdrin <alik@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Wed 2009-06-03 15:18:12 +0400
        message:
          Fix compilation failures: get rid of C++ specifics in C-code.
        ------------------------------------------------------------
        revno: 2661.259.12
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-10206-push
        timestamp: Tue 2009-06-02 18:11:40 +0530
        message:
          merge to 5.1-bugteam branch
            ------------------------------------------------------------
            revno: 2661.271.1
            committer: Mattias Jonsson <mattias.jonsson@sun.com>
            branch nick: topush-51-bugteam
            timestamp: Tue 2009-06-02 13:18:30 +0200
            message:
              merge into mysql-5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.270.1
            committer: Mattias Jonsson <mattias.jonsson@sun.com>
            branch nick: b32430-51-bugteam
            timestamp: Tue 2009-06-02 11:07:17 +0200
            message:
              Bug#32430:'show innodb status' causes errors Invalid (old?) table
              or database name in logs
              
              Problem was that InnoDB used filenam_to_tablename,
              which do not handle partitions (due to the '#' in
              the filename).
              
              Solution is to add a new function for explaining
              what the filename means: explain_filename.
              It expands the database, table, partition and subpartition
              parts and uses errmsg.txt for localization.
              It also converts from my_charset_filename to system_charset_info
              (i.e. human readable form for non ascii characters).
                http://lists.mysql.com/commits/70370
              
              2773 Mattias Jonsson	2009-03-25
              
              It has three different output styles.
              
              NOTE: This is the server side ONLY part (introducing the explain_filename
              function). There will be a patch for InnoDB using this function to solve
              the bug.
        ------------------------------------------------------------
        revno: 2661.259.11
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-10206-push
        timestamp: Tue 2009-06-02 18:07:47 +0530
        message:
          Followup Fix for BUG#10206 - InnoDB: Transaction requiring Max_BinLog_Cache_size > 4GB 
                                       always rollsback.
          
          There is failure on pushbuild machines which are using old compilers complaining about
          ULLONG_MAX declaration. Changing this to ULONGLONG_MAX to solve the problem.
        ------------------------------------------------------------
        revno: 2661.259.10
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-10206-push
        timestamp: Tue 2009-06-02 14:10:21 +0530
        message:
          merge to 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.269.1
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Tue 2009-06-02 12:00:37 +0500
            message:
              5.0-bugteam->5.1-bugteam merge
            ------------------------------------------------------------
            revno: 1810.3911.7
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Tue 2009-06-02 11:38:13 +0500
            message:
              Bug#45152 crash with round() function on longtext column in a derived table
              The crash happens due to wrong max_length value which is set on
              Item_func_round::fix_length_and_dec() stage. The value is set to
              args[0]->max_length which is too big in case of LONGTEXT(LONGBLOB) fields.
              The fix is to set max_length using float_length() function.
        ------------------------------------------------------------
        revno: 2661.259.9
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-bugteam-10206-push
        timestamp: Tue 2009-06-02 13:44:41 +0530
        message:
          merge to 5.1-bugteam tree
            ------------------------------------------------------------
            revno: 2661.268.1
            committer: Satya B <satya.bn@sun.com>
            branch nick: mysql-5.1-bugteam-10206
            timestamp: Fri 2009-05-15 16:33:08 +0530
            message:
              Fix for BUG#10206 - InnoDB: Transaction requiring Max_BinLog_Cache_size > 4GB
                                  always rollsback.
              
              The global variable max_binlog_cache_size cannot be set more than 4GB on
              32 bit systems, limiting transactions of all storage engines to 4G of changes.
              
              The problem is max_binlog_cache_size is declared as ulong which is 4 bytes
              on 32 bit and 8 bytes on 64 bit machines.
              
              Fixed by using ulonglong for max_binlog_cache_size which is 8bytes on 32 
              and 64 bit machines.The range for max_binlog_cache_size on 32 bit and 64 bit
              systems is 4096-18446744073709547520 bytes.
        ------------------------------------------------------------
        revno: 2661.259.8
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-06-01 16:44:48 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 1810.3911.6
            committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2009-06-01 16:42:24 +0400
            message:
              Automerge.
        ------------------------------------------------------------
        revno: 2661.259.7
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-06-01 16:43:16 +0400
        message:
          Automerge.
            ------------------------------------------------------------
            revno: 2661.267.1
            committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
            branch nick: my51-bug44767
            timestamp: Mon 2009-06-01 16:00:38 +0400
            message:
              Manual merge.
            ------------------------------------------------------------
            revno: 1810.3913.1
            committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
            branch nick: my50-bug44767
            timestamp: Wed 2009-05-27 14:20:57 +0400
            message:
              Bug #44767: invalid memory reads in password() and   
                          old_password() functions   
              The PASSWORD() and OLD_PASSWORD() functions could lead to   
              memory reads outside of an internal buffer when used with BLOB   
              arguments.   
                
              String::c_ptr() assumes there is at least one extra byte  
              in the internally allocated buffer when adding the trailing  
              '\0'.  This, however, may not be the case when a String object  
              was initialized with externally allocated buffer.  
                
              The bug was fixed by adding an additional "length" argument to  
              make_scrambled_password_323() and make_scrambled_password() in  
              order to avoid String::c_ptr() calls for  
              PASSWORD()/OLD_PASSWORD().  
                
              However, since the make_scrambled_password[_323] functions are  
              a part of the client library ABI, the functions with the new  
              interfaces were implemented with the 'my_' prefix in their  
              names, with the old functions changed to be wrappers around  
              the new ones to maintain interface compatibility.  
        ------------------------------------------------------------
        revno: 2661.259.6
        committer: Narayanan V <v.narayanan@sun.com>
        branch nick: mysql-5.1-bugteam-45197
        timestamp: Mon 2009-06-01 12:52:10 +0530
        message:
          Bug#45197 cp1250 character set with IBMDB2I generates 2027 error
          
          Running a SELECT query over an IBMDB2I table with a cp1250 character set
          was producing an error 2027 (ibmdb2i error 2027: Error converting single-byte
          sort sequence to UCS-2).
          
          The QMY_DESCRIBE_RANGE API was returning error 2027 to the storage engine
          because the CCSID used for a cp1250 column (870) does not match the CCSID
          used by the DB2 sort sequences associated with cp1250_* collations (1153).
          This was because the storage engine relies on a set of system APIs to
          determine which CCSID value most closely matches a particular MySQL
          character set. However, in the case of cp1250, the system is returning
          CCSID 870, which does not have a codepoint for the euro symbol, making it
          an incorrect match.
          
          This patch overrides the selection of a compatible CCSID to always return
          1153 for cp1250.
        ------------------------------------------------------------
        revno: 2661.259.5
        committer: He Zhenxing <zhenxing.he@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Sun 2009-05-31 20:16:15 +0800
        message:
          Merge 5.0-bt to 5.1-bt
            ------------------------------------------------------------
            revno: 1810.3911.5
            committer: He Zhenxing <zhenxing.he@sun.com>
            branch nick: 5.0-bugteam
            timestamp: Sun 2009-05-31 20:10:59 +0800
            message:
              post fix of test result
            ------------------------------------------------------------
            revno: 1810.3911.4
            committer: He Zhenxing <zhenxing.he@sun.com>
            branch nick: 5.0-bugteam
            timestamp: Sun 2009-05-31 17:16:12 +0800
            message:
              Auto merge
            ------------------------------------------------------------
            revno: 1810.3912.1
            committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
            branch nick: 34309-5.0
            timestamp: Sat 2009-05-30 12:38:36 -0300
            message:
              MySQL 5.0 backport of Chad Miller's patch for Bug#34309:
              
              Bug#34309: '_PC' macro redefinition
              
              For reasons that are now a mystery, we had defined a CPP symbol to
              help ancient compilers work better (in some way that's lost to history).
              This interferes with at least one modern compiler.
              
              Now, don't define the _PC symbol.  Those other underscore-leading
              symbols are suspect also, but at least the names aren't inscrutable.
              Let's leave them for now.
        ------------------------------------------------------------
        revno: 2661.259.4
        committer: He Zhenxing <zhenxing.he@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Sun 2009-05-31 17:15:35 +0800
        message:
          Merge BUG#41948
            ------------------------------------------------------------
            revno: 2661.266.1
            committer: He Zhenxing <zhenxing.he@sun.com>
            branch nick: 5.1-bugteam
            timestamp: Sat 2009-05-30 21:32:28 +0800
            message:
              BUG#41948 Query_log_event constructor needlessly contorted
              
              Make the caller of Query_log_event, Execute_load_log_event
              constructors and THD::binlog_query to provide the error code
              instead of having the constructors to figure out the error code.
        ------------------------------------------------------------
        revno: 2661.259.3
        committer: He Zhenxing <zhenxing.he@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Sun 2009-05-31 13:44:41 +0800
        message:
          Merge BUG#43263 from 5.0-bugteam to 5.1-bugteam
            ------------------------------------------------------------
            revno: 1810.3911.3
            committer: He Zhenxing <zhenxing.he@sun.com>
            branch nick: 5.0-bugteam
            timestamp: Sun 2009-05-31 11:26:58 +0800
            message:
              BUG#43263 BEGIN skipped in some replicate-do-db cases
              
              BEGIN/COMMIT/ROLLBACK was subject to replication db rules, and
              caused the boundary of a transaction not recognized correctly 
              when these queries were ignored by the rules.
              
              Fixed the problem by skipping replication db rules for these
              statements.
        ------------------------------------------------------------
        revno: 2661.259.2
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-34861k
        timestamp: Fri 2009-05-29 18:49:35 +0200
        message:
          auto-merge
            ------------------------------------------------------------
            revno: 2661.260.3
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51-39200k
            timestamp: Fri 2009-05-29 17:58:45 +0200
            message:
              auto-merge
                ------------------------------------------------------------
                revno: 2661.263.5
                committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Fri 2009-05-29 17:13:08 +0200
                message:
                  Automerge
                ------------------------------------------------------------
                revno: 2661.263.4
                committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Fri 2009-05-29 16:25:22 +0200
                message:
                  Automerge
                ------------------------------------------------------------
                revno: 2661.265.1
                committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
                branch nick: 51-bug44658
                timestamp: Fri 2009-05-29 15:37:54 +0200
                message:
                  Bug#44658 Create procedure makes server crash when user does not have ALL privilege
                  
                  MySQL crashes if a user without proper privileges attempts to create a procedure.
                  
                  The crash happens because more than one error state is pushed onto the Diagnostic
                  area. In this particular case the user is denied to implicitly create a new user
                  account with the implicitly granted privileges ALTER- and EXECUTE ROUTINE.
                  
                  The new account is needed if the original user account contained a host mask.
                  A user account with a host mask is a distinct user account in this context.
                  An alternative would be to first get the most permissive user account which
                  include the current user connection and then assign privileges to that
                  account. This behavior change is considered out of scope for this bug patch.
                  
                  The implicit assignment of privileges when a user creates a stored routine is a
                  considered to be a feature for user convenience and as such it is not
                  a critical operation. Any failure to complete this operation is thus considered
                  non-fatal (an error becomes a warning).
                  
                  The patch back ports a stack implementation of the internal error handler interface.
                  This enables the use of multiple error handlers so that it is possible to intercept
                  and cancel errors thrown by lower layers. This is needed as a error handler already
                  is used in the call stack emitting the errors which needs to be converted.
            ------------------------------------------------------------
            revno: 2661.260.2
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51-39200k
            timestamp: Fri 2009-05-29 17:24:30 +0200
            message:
              auto-merge
                ------------------------------------------------------------
                revno: 2661.261.4
                committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Fri 2009-05-29 18:08:16 +0400
                message:
                  Automerge
                    ------------------------------------------------------------
                    revno: 2661.263.3
                    committer: Narayanan V <v.narayanan@sun.com>
                    branch nick: mysql-5.1-bugteam-44811-3
                    timestamp: Fri 2009-05-29 18:36:58 +0530
                    message:
                      merging with mysql-5.1-bugteam tree
                        ------------------------------------------------------------
                        revno: 2661.264.1
                        committer: Narayanan V <v.narayanan@sun.com>
                        branch nick: mysql-5.1-bugteam-44811
                        timestamp: Fri 2009-05-29 15:01:00 +0530
                        message:
                          Bug#44811 Tests with utf8 charset fail with ibmdb2i on 64bit MySQL
                          
                          wmemset was being used to fill the row buffers.
                          wmemset was intended  to  fill the buffer with
                          16-bit UCS2 pad values.  However,  the  64-bit
                          version of wmemset uses 32-bit wide characters
                          and thus filled the buffer incorrectly. In some
                          cases, the null  byte  map would be overwritten,
                          causing ctype_utf8.test and ibmdb2i_rir.test to
                          fail, giving the error message CPF5035.
                          
                          This patch eliminates the use of wmemset to fill
                          the row buffer. wmemset has  been  replaced with
                          memset16, which always  fills  memory with 16-bit
                          values.
                    ------------------------------------------------------------
                    revno: 2661.263.2
                    committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
                    branch nick: mysql-5.1-bugteam
                    timestamp: Thu 2009-05-28 16:21:41 +0500
                    message:
                      5.0-bugteam->5.1-bugteam merge
                        ------------------------------------------------------------
                        revno: 1810.3911.2
                        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
                        branch nick: mysql-5.0-bugteam
                        timestamp: Thu 2009-05-28 16:19:49 +0500
                        message:
                          test case fix
                    ------------------------------------------------------------
                    revno: 2661.263.1
                    committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
                    branch nick: mysql-5.1-bugteam
                    timestamp: Thu 2009-05-28 13:40:09 +0500
                    message:
                      5.0-bugteam->5.1-bugteam merge
                    ------------------------------------------------------------
                    revno: 1810.3911.1
                    committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
                    branch nick: mysql-5.0-bugteam
                    timestamp: Thu 2009-05-28 13:34:30 +0500
                    message:
                      Bug#37268 'binary' character set makes CLI-internal commands case sensitive
                      The fix is to use case insensitive collation
                      for mysql client command search.
                ------------------------------------------------------------
                revno: 2661.261.3
                committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
                branch nick: mysql-5.1-bugteam
                timestamp: Thu 2009-05-28 09:19:26 +0400
                message:
                  Automerge.
                    ------------------------------------------------------------
                    revno: 2661.262.1
                    committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
                    branch nick: my51-bug44638
                    timestamp: Wed 2009-05-27 12:24:25 +0400
                    message:
                      Bug #44638: mysql_upgrade, mysqlcheck output instance unclear
                      
                      Dump all connection-related arguments when running mysqlcheck
                      from mysql_upgrade.
                      
                      No test case, since the output depends on the test suite
                      configuration and platform.
                ------------------------------------------------------------
                revno: 2661.261.2
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B38159-5.1-bugteam
                timestamp: Wed 2009-05-27 18:22:57 +0300
                message:
                  merged 5.1-bugteam to working tree
                ------------------------------------------------------------
                revno: 2661.261.1
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B38159-5.1-bugteam
                timestamp: Wed 2009-05-27 18:19:44 +0300
                message:
                  merged 5.0-bugteam to 5.1-bugteam
                ------------------------------------------------------------
                revno: 1810.3910.1
                committer: Georgi Kodinov <joro@sun.com>
                branch nick: B38159-5.0-bugteam
                timestamp: Wed 2009-05-27 16:05:29 +0300
                message:
                  Bug #38159: Function parsing problem generates misleading error message
                        
                  Added a more detailed error message on calling an ambiguous missing function.
            ------------------------------------------------------------
            revno: 2661.260.1
            committer: Tatiana A. Nurnberg <azundris@mysql.com>
            branch nick: 51-39200k
            timestamp: Fri 2009-05-29 16:22:24 +0200
            message:
              Bug#39200: optimize table does not recognize ROW_FORMAT=COMPRESSED
              
              When doing ALTER TABLE, we forgot to point out that we actually have
              ROW_FORMAT information (from the original table), so we dropped to
              "sensible defaults". This affects both ALTER TABLE and OPTIMIZE TABLE
              which may fall back on ALTER TABLE for InnoDB.
              
              We now flag that we do indeed know the row-type, thereby preserving
              compression-type etc.
              
              No .test in 5.1 since we'd need a reasonable new plugin from InnoDB to
              show this properly; in higher versions, maria can demonstrate this.
        ------------------------------------------------------------
        revno: 2661.259.1
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-34861k
        timestamp: Wed 2009-05-27 15:16:21 +0200
        message:
          Bug#34861: mysqldump with --tab gives weird output for triggers.
          
          mysqldump --tab still dumped triggers to stdout rather than to
          individual tables.
          
          We now append triggers to the .sql file for the corresponding
          table.
          
          --events and --routines correspond to a database rather than a
          table and will still go to stdout with --tab unless redirected
          with --result-file (-r).
    ------------------------------------------------------------
    revno: 2661.229.53
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-test
    timestamp: Thu 2009-07-09 17:36:29 +0500
    message:
      This patch pretends to fix run-time symbols clash on Solaris:
      - when finding out a way to hide symbols, make decision basing
        on compiler, not operating system.
      - Sun Studio supports __hidden declaration specifier for this
        purpose.
    ------------------------------------------------------------
    revno: 2661.229.52
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-test
    timestamp: Fri 2009-07-03 15:06:19 +0500
    message:
      On Solaris shared objects must be linked from PIC code.
    ------------------------------------------------------------
    revno: 2661.229.51
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-test
    timestamp: Thu 2009-06-25 19:16:40 +0500
    message:
      Fixed InnoDB plugin compilation failure from source distribution
      on Windows.
      
      Added missing file to a source distribution.
    ------------------------------------------------------------
    revno: 2661.229.50
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-test
    timestamp: Thu 2009-06-25 14:34:37 +0500
    message:
      Expanded list of directories to seach for InnoDB plugin. With
      this fix it is possible to test InnoDB plugin from binary
      distribution. As well as on pb.
    ------------------------------------------------------------
    revno: 2661.229.49
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-test
    timestamp: Wed 2009-06-24 22:18:58 +0500
    message:
      This patch implements testing InnoDB plugin milestone.
    ------------------------------------------------------------
    revno: 2661.229.48
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-innodb_plugin-test
    timestamp: Thu 2009-06-18 13:49:44 +0500
    message:
      Fixed build failures.
    ------------------------------------------------------------
    revno: 2661.229.47
    committer: Vladislav Vaintroub <vvaintroub@mysql.com>
    branch nick: 5.1-innodb_plugin
    timestamp: Wed 2009-06-17 16:32:16 +0200
    message:
      merge
        ------------------------------------------------------------
        revno: 2661.257.6
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-innodb_plugin-test
        timestamp: Wed 2009-06-17 14:38:41 +0500
        message:
          When using bundled zlib, INNODB_PLUGIN was looking for
          zlib headers in wrong location.
          
          Fixed by using path exported by zlib.m4 macro.
        ------------------------------------------------------------
        revno: 2661.257.5
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-innodb_plugin-test
        timestamp: Thu 2009-06-11 17:57:44 +0500
        message:
          Make innodb test suite pass with INNODB_PLUGIN.
        ------------------------------------------------------------
        revno: 2661.257.4
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-innodb_plugin_branch
        timestamp: Thu 2009-06-11 16:50:53 +0530
        message:
          Remove the following tests and include files as they are already in
          the mysql test suite.
          
          Tests removed:
          1. innodb_trx_weight.test
          2. innodb_bug35220.test
          
          Include files removed:
          1. have_innodb.inc
          2. ctype_innodb_like.inc
          3. innodb_trx_weight.inc
          
          Also add the missing opt file for the test innodb-use-sys-malloc.test
        ------------------------------------------------------------
        revno: 2661.257.3
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-innodb_plugin_branch
        timestamp: Thu 2009-06-11 12:34:49 +0530
        message:
          merge from mysql-5.1-innodb_plugin
            ------------------------------------------------------------
            revno: 2661.258.1
            committer: Sergey Vojtovich <svoj@sun.com>
            branch nick: mysql-5.1-innodb_plugin-test
            timestamp: Wed 2009-06-10 22:50:00 +0500
            message:
              Removed legacy name for innodb_plugin SE, so --with[out]-innodb
              option doesn't affect innodb_plugin.
              
              Currently it works as following:
              * configure without relevant options producing two dynamic plugins
              * configure --with-plugin-innodb (or legacy --with-innodb) producing
                static standard InnoDB
              * configure --without-plugin-innodb (or legacy --without-innodb)
                disabling standard InnoDB
              * configure --with-plugin-innodb_plugin producing dynamic innodb_plugin
              * configure --without-plugin-innodb_plugin disabling innodb_plugin
        ------------------------------------------------------------
        revno: 2661.257.2
        committer: Satya B <satya.bn@sun.com>
        branch nick: mysql-5.1-innodb_plugin_branch
        timestamp: Wed 2009-06-10 19:21:20 +0530
        message:
          Add innodb plugin tests to a new mysql test suite 'innodb'.
          
          Created a test suite 'innodb' under mysql-test/suite/innodb for the innodb plugin tests.
          test suite 'innodb' has tests only which are not under any other mysql-test suites.
          
          Total 14 testcases are added to the test suite.
          
          Note: the patches in storage/innodb_plugin/mysql-test/patches are not applied yet
        ------------------------------------------------------------
        revno: 2661.257.1
        committer: Tomas Ulin <tomas.ulin@sun.com>
        branch nick: mysql-5.1-innodb_plugin
        timestamp: Tue 2009-06-09 21:26:04 +0200
        message:
          add missing file in Makefile.am
    ------------------------------------------------------------
    revno: 2661.229.46
    committer: Vladislav Vaintroub <vvaintroub@mysql.com>
    branch nick: 5.1-innodb_plugin
    timestamp: Wed 2009-06-17 16:14:08 +0200
    message:
      Fixed type defintion for  os_thread_id_t on 64 bit Windows.
      It used to be declared as ulint, which is 32/64 bit integer depending on OS bitness.
      However this declaration lead to problems with os_compare_and_swap_thread_id 
      implementation which operated on 32 bit integers (InterlockedCompareExchange)
      
      Using 64 bit int   lead to  wrong result in os_compare_and_swap_thread_id 
      and to crash/assertion in  rw_lock_set_writer_id_and_recursion_flag()
      
      The fix is to use 4 byte integer to os_thread_id type definition.
    ------------------------------------------------------------
    revno: 2661.229.45
    committer: Vladislav Vaintroub <vvaintroub@mysql.com>
    branch nick: 5.1-innodb_plugin
    timestamp: Wed 2009-06-10 10:59:49 +0200
    message:
      Backport WL#3653 to 5.1 to enable bundled innodb plugin.
      Remove custom DLL loader code from innodb plugin code, use 
      symbols exported from mysqld.
    ------------------------------------------------------------
    revno: 2661.229.44
    committer: Satya B <satya.bn@sun.com>
    branch nick: mysql-5.1-bugteam-innodb
    timestamp: Fri 2009-06-05 17:03:33 +0530
    message:
      merge from mysql-5.1-innodb_plugin branch.
      
      change tree name to 'mysql-5.1-innodb_plugin'
        ------------------------------------------------------------
        revno: 2661.256.5
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: merge-51
        timestamp: Fri 2009-06-05 09:42:15 +0200
        message:
          merge from 5.1-mtr
            ------------------------------------------------------------
            revno: 2661.253.31
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: autpar-51
            timestamp: Wed 2009-06-03 12:46:04 +0200
            message:
              Bug #45256 Enable 'auto' for mtr --parallel
              Let the user specify 'auto' for parallel value
              Also set --parallel=auto in default.push so we can get this tested.
            ------------------------------------------------------------
            revno: 2661.253.30
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: abstat-51
            timestamp: Tue 2009-06-02 10:00:45 +0200
            message:
              Bug #45190 mtr should report some statistics even if aborting after too many tests fail
              Added calls to mtr_report_stats() also after timeout or too many failures
            ------------------------------------------------------------
            revno: 2661.253.29
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: merge-51
            timestamp: Fri 2009-05-29 13:10:20 +0200
            message:
              fixed .bzr-mysql/default.conf
            ------------------------------------------------------------
            revno: 2661.253.28
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: merge-51
            timestamp: Fri 2009-05-29 13:04:02 +0200
            message:
              merge from 5.1 main
            ------------------------------------------------------------
            revno: 2661.253.27
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: worker-51
            timestamp: Thu 2009-05-28 13:02:03 +0200
            message:
              Bug #43659 MTR2 should report worker data for tests when using --parallel > 1
              Adding "w# " before the test result
              Also enable --parallel=2 so this can be tested.
            ------------------------------------------------------------
            revno: 2661.253.26
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: movefile-51
            timestamp: Wed 2009-05-27 22:54:40 +0200
            message:
              cherry picking fix for Bug #39542 from 6.0-runtime
            ------------------------------------------------------------
            revno: 2661.253.25
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: ppnp-51
            timestamp: Wed 2009-05-27 10:54:59 +0200
            message:
              Bug #45120 Fix of 44922 caused regression in funcs_1.processlist_priv_no_prot
              Protected '' in connect command with ""
            ------------------------------------------------------------
            revno: 2661.253.24
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: connsp-51
            timestamp: Tue 2009-05-26 12:45:14 +0200
            message:
              Bug #44964 mysqltest: connection <connection><some spaces>; fails now
              Incorrection assumption about delimiter character in connection command
            ------------------------------------------------------------
            revno: 2661.253.23
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: qgv-51
            timestamp: Mon 2009-05-25 17:19:20 +0200
            message:
              Bug #44922 mysqltest's query_get_value function can't work with queries containing ','
              check_command_args() always looks for the first , (or whatever)
              Extended check_command_args() to let arguments be quoted
              Added test in mysqltest.test
        ------------------------------------------------------------
        revno: 2661.256.4
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Thu 2009-05-28 10:36:39 +0300
        message:
          merge 5.0-main -> 5.1-main
            ------------------------------------------------------------
            revno: 1810.3908.7
            tags: mysql-5.0.83, clone-5.0.83-build
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Thu 2009-05-28 10:35:29 +0300
            message:
              changed the version
        ------------------------------------------------------------
        revno: 2661.256.3
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.1-bugteam
        timestamp: Wed 2009-05-27 18:14:09 +0300
        message:
          merged 5.0-bugteam
            ------------------------------------------------------------
            revno: 1810.3908.6
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Wed 2009-05-27 17:09:09 +0300
            message:
              automerge
            ------------------------------------------------------------
            revno: 1810.3875.14
            author: timothy.smith@sun.com
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.0
            timestamp: Wed 2009-05-27 00:44:58 +0200
            message:
              Merge from mysql-5.0.82-release
            ------------------------------------------------------------
            revno: 1810.3909.1
            tags: mysql-5.0.82
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.0.82-release
            timestamp: Wed 2009-05-20 23:04:34 +0200
            message:
              Updates to build with community features enabled for community builds.
        ------------------------------------------------------------
        revno: 2661.256.2
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-05-27 15:42:19 +0500
        message:
          5.0-bugteam->5.1-bugteam merge
            ------------------------------------------------------------
            revno: 1810.3908.5
            committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Wed 2009-05-27 15:34:21 +0500
            message:
              Bug#41212 crash after race condition between merge table and table_cache evictions
              On 64-bit Windows: querying MERGE table with keys may cause
              server crash.The problem is generic and may affect any statement
              accessing MERGE table cardinality values.
              When MERGE engine was copying cardinality statistics, it was
              using incorrect size of element in cardinality statistics array
              (sizeof(ptr)==8 instead of sizeof(ulong)==4), causing access
              of memory beyond of the allocated bounds.
        ------------------------------------------------------------
        revno: 2661.256.1
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2009-05-27 13:11:28 +0500
        message:
          Bug#43940 64-bit windows myisamchk doesn't support key_buffer_size > 4G
          The fix is to allow myisamchk to use >4G key_buffer_size on win64
    ------------------------------------------------------------
    revno: 2661.229.43
    committer: Satya B <satya.bn@sun.com>
    branch nick: mysql-5.1-bugteam-innodb
    timestamp: Fri 2009-05-29 18:30:29 +0530
    message:
      Compile the Innodb plugin so that it can be installed as dynamic plugin only for now.
      
      The Innodb plugin 1.0.4 can be installed dynamically using the 'INSTALL PLUGIN' syntax
      
      If mysqld is already statically linked with the inbuilt innodb, it is not possible to 
      install the innodb plugin 1.0.4 dynamically. Doing so would throw this error - Function
      'innodb' already exists.
    ------------------------------------------------------------
    revno: 2661.229.42
    committer: Satya B <satya.bn@sun.com>
    branch nick: mysql-5.1-bugteam-innodb
    timestamp: Wed 2009-05-27 15:15:59 +0530
    message:
      Adding innodb_plugin-1.0.4 as storage/innodb_plugin.
    ------------------------------------------------------------
    revno: 2661.229.41
    committer: Satya B <satya.bn@sun.com>
    branch nick: mysql-5.1-bugteam-innodb
    timestamp: Wed 2009-05-27 14:55:56 +0530
    message:
      Fix post commit and post push email adress and also the tree name.
    ------------------------------------------------------------
    revno: 2661.229.40
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: merge-51
    timestamp: Mon 2009-05-25 22:58:31 +0200
    message:
      merge from 5.1-mtr
        ------------------------------------------------------------
        revno: 2661.253.22
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: merge-51
        timestamp: Wed 2009-05-20 14:22:39 +0200
        message:
          merge from main
        ------------------------------------------------------------
        revno: 2661.253.21
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.1-mtr
        timestamp: Fri 2009-05-15 13:47:36 +0200
        message:
          merge
            ------------------------------------------------------------
            revno: 2661.255.1
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: help-51
            timestamp: Tue 2009-05-12 14:53:46 +0200
            message:
              Bug #42988 MTR2's --help output does not document --parallel
              Several options were not documented
              Added missing options and removed a few
              Fixed use of --skip-combinations
        ------------------------------------------------------------
        revno: 2661.253.20
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.1-mtr
        timestamp: Thu 2009-05-14 21:56:53 +0200
        message:
          Bug #44775 MTR fails to bootstrap mysqld on Windows in Pushbuild 2.
          
          Suspected reason for the failure is that safe_process.exe already runs in a job that does not allow breakaways. 
          The fix is to use a fallback -  make newly created process the root of the new process group. This allows to kill process together with descendants via GenerateConsoleCtrlEvent (CTRL_BREAK_EVENT, pid)
        ------------------------------------------------------------
        revno: 2661.253.19
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: merge-51
        timestamp: Mon 2009-05-11 22:30:44 +0200
        message:
          yet another merge from main
        ------------------------------------------------------------
        revno: 2661.253.18
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: merge-51
        timestamp: Mon 2009-05-11 12:18:20 +0200
        message:
          merge from main
        ------------------------------------------------------------
        revno: 2661.253.17
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.1-mtr
        timestamp: Fri 2009-05-08 01:10:53 +0200
        message:
          Fix regression on pushbuild 1. The cygwin perl is ancient there, and Net::Ping does not have port_number method (port_number was introduced around 2007). The fix is to check if port_number is present. Otherwise, fallback to the slow connect().
        ------------------------------------------------------------
        revno: 2661.253.16
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: dirty-51
        timestamp: Thu 2009-04-30 13:23:36 +0200
        message:
          Bug #44561 mtr2 --start-dirty is broken
          start-dirty would remove stored procs etc.
          Skip the copying back from stored system dir if using --start-dirty
        ------------------------------------------------------------
        revno: 2661.253.15
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: waitall-51
        timestamp: Wed 2009-04-29 16:13:38 +0200
        message:
           Bug #44511 MTR2: add an option not to kill other servers when one from the group exits
          MTR would die as soon as one server terminates
          Implemented --wait-all option and associated subroutine
        ------------------------------------------------------------
        revno: 2661.253.14
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.1-mtr
        timestamp: Tue 2009-04-28 23:06:36 +0200
        message:
          Bug #44530 mtr v2 startup very slow on Windows.
          
          MTR is stuck for about 20 seconds checking for free ports.
          The reason is that perl's connect()  takes 1 second on windows
          if port is not opened.
          
          This patch fixes the mtr_ping_port implementation on Windows
          to use Net::Ping for the port checking with small (0.1sec) timeout.
          
          This patch also removes pointless second call to check_ports_free() 
          in case of auto build thread.
        ------------------------------------------------------------
        revno: 2661.253.13
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.1-mtr
        timestamp: Thu 2009-04-23 13:35:02 +0200
        message:
          Bug #42804 --parallel option does not work for MTR under ActiveState 
          perl 
          
          The problem here was the method how MTR gets its unique thread ids.
          Prior to this patch, the method to do it was to maintain a global 
          table of pid,mtr_unique_id) pairs. The table was backed by a text 
          file. The table was cleaned up one in a while and dead processes leaking
          unique_ids were determined with with kill(0) or with scripting tasklist
          on Windows.
          
          This method is flawed specifically on native Windows Perl. fork() is 
          implemented with starting a new thread, give it a syntetic negative PID
          (threadID*(-1)), until this thread creates a new process with exec()
          However,  neither tasklist nor any other native Windows tool can cope with
          negative perl PIDs. This lead to incorrect determination of dead process 
          and reusing already used mtr_unique_id.
          
          The patch introduces alternative portable  method of solving unique-id 
          problem. When a process needs a unique id in range [min...max], it just 
          starts  to open files named min, min+1,...max in a loop . After file is 
          opened, we do non-blocking flock(). When flock() succeeds, process has 
          allocated the ID. When process dies, file is unlocked . Checks for zombies 
          are not necessary.
          
          Since the change would create a co-existence problems with older version
          of MTR, because of different way to calculate IDs, the default ID range
          is changed from 250-299 to 300-349.
          
          Another fix that was necessary enable --parallel option was to serialize 
          spawn() calls on Windows. specifically, IO redirects needed to be protected.
          
          This patch also fixes hanging CRTL-C (as described in Bug #38629) for the
          "new"  MTR. The fix was already in 6.0 and is now downported.
        ------------------------------------------------------------
        revno: 2661.253.12
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: merge-51
        timestamp: Fri 2009-04-17 15:46:51 +0200
        message:
          merge from main, redo
        ------------------------------------------------------------
        revno: 2661.253.11
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: timeout-51
        timestamp: Wed 2009-04-08 14:54:36 +0200
        message:
          Bug #41649 sporadic pb failure: mtr stopped, message "TIMEOUT (1200 seconds), ABORTING."
          Potentially infinite loop in check_expected_crash_and_restart 
          Replace with finite loop and some additional logic
        ------------------------------------------------------------
        revno: 2661.253.10
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: nocheck-51
        timestamp: Thu 2009-04-02 13:00:44 +0200
        message:
          Bug #42507 mtr2: the --check is fooled up by a code executed in --init_file
          mtr *thinks* there's a side effect
          Use the new force_restart() to avoid running the check-testcase
        ------------------------------------------------------------
        revno: 2661.253.9
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: npipe-51
        timestamp: Wed 2009-04-01 16:23:10 +0200
        message:
          Bug #43570 MTR2 hangs when test fails and named pipe created
          Hangs when trying to copy the pipe
          Amend copytree() to only copy regular files
        ------------------------------------------------------------
        revno: 2661.253.8
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: repcnt-51
        timestamp: Wed 2009-04-01 13:58:30 +0200
        message:
          Bug #43917 MTR2 does not report accurate test statistics when using the 'repeat=n'
          option
          In practice, only the last run of the test was counted
          Add a separate counter rep_failures for failures before last run
        ------------------------------------------------------------
        revno: 2661.253.7
        committer: Magnus Blåudd <magnus.blaudd@sun.com>
        branch nick: 5.1-mtr
        timestamp: Wed 2009-04-01 11:33:36 +0200
        message:
          Bug#43983  	Support force restart of all servers after test ended
           - Properly update .result file
        ------------------------------------------------------------
        revno: 2661.253.6
        committer: Magnus Blåudd <magnus.blaudd@sun.com>
        branch nick: 5.1-mtr
        timestamp: Wed 2009-04-01 10:59:10 +0200
        message:
          Bug#43983 Support force restart of all servers after test ended
           - Update testcases funcs_1.is_routines to only query
             information_schema.routines about the routines in 'test'
             database(where it has created it's routines)
        ------------------------------------------------------------
        revno: 2661.253.5
        committer: Magnus Svensson <msvensson@mysql.com>
        branch nick: 43983
        timestamp: Tue 2009-03-31 16:10:44 +0200
        message:
          Merge
            ------------------------------------------------------------
            revno: 2661.254.1
            committer: Magnus Svensson <msvensson@mysql.com>
            branch nick: 43983
            timestamp: Tue 2009-03-31 15:39:40 +0200
            message:
              Bug#43983 Support force restart of all servers after test ended
               - Some tests need to modify the server(s) so much that a total restart of all servers are
                 necessary after test. Make it possible for a test to signal it want mtr.pl to restart
                 all servers.
        ------------------------------------------------------------
        revno: 2661.253.4
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: retcnt-51
        timestamp: Tue 2009-03-31 13:15:52 +0200
        message:
          Bug #43840 "too many tests failed" includes retries
          Only count non-retried tests, and increment before testing
        ------------------------------------------------------------
        revno: 2661.253.3
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: suite-51
        timestamp: Fri 2009-03-27 11:25:24 +0100
        message:
          Bug #42807 MTR: './mtr somesuite.sometest' fails if somesuite is not in DEFAULT_SUITES
          If suite specified as part of test name, collect from that suite too.
        ------------------------------------------------------------
        revno: 2661.253.2
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.1-mtr
        timestamp: Tue 2009-03-24 14:44:21 +0100
        message:
          change order of cdb parameters to workaround a bug , where command (-c) is not evaluated if  -i ,-y or -z  contains an invalid path.
          cdb would hang then waiting for user input, which is bad for use in scripts
        ------------------------------------------------------------
        revno: 2661.253.1
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: corepath-51
        timestamp: Fri 2009-03-20 16:39:06 +0100
        message:
          Bug #43074 MTR2 is not accessing core dumps when a path is too long
          Executable path is truncated in core
          If we see truncated path, try to guess using strings and grep
          If that doesn't work either, use known mysqld path
    ------------------------------------------------------------
    revno: 2661.229.39
    committer: Staale Smedseng <staale.smedseng@sun.com>
    branch nick: 44736-51
    timestamp: Mon 2009-05-25 18:21:40 +0200
    message:
      Bug #44736 mysqld_safe's my_which() is broken and 
      doesn't find 'logger'
      
      Due to a variable quoting mistake, the $PATH environment
      variable isn't parsed correctly when searching for the
      existence of the desired executable(s) (logger in this 
      case).
      
      This patch removes the quotes.
    ------------------------------------------------------------
    revno: 2661.229.38
    committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
    branch nick: 42158-5.1
    timestamp: Mon 2009-05-25 10:00:18 -0300
    message:
      Bug#42158: leak: SSL_get_peer_certificate() doesn't have matching X509_free()
      
      The problem is that the server failed to follow the rule that
      every X509 object retrieved using SSL_get_peer_certificate()
      must be explicitly freed by X509_free(). This caused a memory
      leak for builds linked against OpenSSL where the X509 object
      is reference counted -- improper counting will prevent the
      object from being destroyed once the session containing the
      peer certificate is freed.
      
      The solution is to explicitly free every X509 object used.
    ------------------------------------------------------------
    revno: 2661.229.37
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: B44399-5.1-bugteam
    timestamp: Mon 2009-05-25 11:00:40 +0300
    message:
      Bug #44399 : crash with statement using TEXT columns, aggregates, GROUP BY, and
      HAVING
                  
      When calculating GROUP BY the server caches some expressions. It does
      that by allocating a string slot (Item_copy_string) and assigning the 
      value of the expression to it. This effectively means that the result
      type of the expression can be changed from whatever it was to a string.
      As this substitution takes place after the compile-time result type 
      calculation for IN but before the run-time type calculations, 
      it causes the type calculations in the IN function done at run time 
      to get unexpected results different from what was prepared at compile time.
                        
      In the CASE ... WHEN ... THEN ... statement there was a similar problem
      and it was solved by artificially adding a STRING argument to the set of 
      types of the IN/CASE arguments at compile time, so if any of the 
      arguments of the CASE function changes its type to a string it will 
      still be covered by the information prepared at compile time.
    ------------------------------------------------------------
    revno: 2661.229.36
    committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
    branch nick: mysql-5.1-bugteam
    timestamp: Sat 2009-05-23 10:19:58 -0300
    message:
      Workaround a compiler that does not support certain C99 features for C code.
    ------------------------------------------------------------
    revno: 2661.229.35
    committer: Luis Soares <luis.soares@sun.com>
    branch nick: 5.1-bt-to-push
    timestamp: Sat 2009-05-23 00:29:41 +0100
    message:
      BUG#41725: upmerge: 5.0-bt --> 5.1-bt
        ------------------------------------------------------------
        revno: 1810.3908.4
        committer: Luis Soares <luis.soares@sun.com>
        branch nick: 5.0-bt-to-push
        timestamp: Sat 2009-05-23 00:15:21 +0100
        message:
          BUG#41725: slave crashes when inserting into temporary table after
          stop/start slave
                
          When stopping and restarting the slave while it is replicating
          temporary tables, the server would crash or raise an assertion
          failure. This was due to the fact that although temporary tables are
          saved between slave threads restart, the reference to the thread in
          use (table->in_use) was not being properly updated when the restart
          happened (it would still reference the old/invalid thread instead of
          the new one).
                
          This patch addresses this issue by resetting the reference to the new
          slave thread on slave thread restart.
        ------------------------------------------------------------
        revno: 1810.3908.3
        committer: Patrick Crews <patrick.crews@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Fri 2009-05-22 11:38:52 -0400
        message:
          merge
    ------------------------------------------------------------
    revno: 2661.229.34
    committer: Patrick Crews <patrick.crews@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Fri 2009-05-22 11:24:45 -0400
    message:
      merge 5.0-> 5.1
        ------------------------------------------------------------
        revno: 1810.3908.2
        committer: Patrick Crews <patrick.crews@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Fri 2009-05-22 10:38:17 -0400
        message:
          Bug#40465 - mysqldump.test does no checking of dump or restore
          
          Created new .test file - mysqldump_restore that does test restore from mysqldump
          output for a limited number of basic cases.
          Create new .inc file - mysqldump.inc - renames original table and uses mysqldump
          output to recreate the table, then uses diff_tables.inc to compare the two tables.
          Backported include/diff_tables.inc to facilitate this testing.
          New patch incorporating review feedback prior to push.
          
          mysqldump.test - removed redundant call to include/have_log_bin.inc (was used twice in the test!)
        ------------------------------------------------------------
        revno: 1810.3908.1
        committer: Patrick Crews <patrick.crews@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Thu 2009-05-21 16:03:53 -0400
        message:
          Bug#40465: mysqldump.test does no checking of dump or restore.
          
          Created new .test file - mysqldump_restore that does this for a limited number
          of basic cases.
          Created new .inc file - mysqldump.inc - renames original table and uses mysqldump
          output to recreate the table, then uses diff_tables.inc to compare the two tables.
          Backported include/diff_tables.inc to facilitate this testing.
    ------------------------------------------------------------
    revno: 2661.229.33
    committer: Gleb Shchepa <gshchepa@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Fri 2009-05-22 11:44:11 +0500
    message:
      Bug #42778: delete order by null global variable causes 
                  assertion .\filesort.cc, line 797
      
      Minor fix to test case (embedded server failure).
    ------------------------------------------------------------
    revno: 2661.229.32
    committer: Gleb Shchepa <gshchepa@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Fri 2009-05-22 01:22:46 +0500
    message:
      Bug #42778: delete order by null global variable causes
                  assertion .\filesort.cc, line 797
      
      A query with the "ORDER BY @@some_system_variable" clause,
      where @@some_system_variable is NULL, causes assertion
      failure in the filesort procedures.
      
      The reason of the failure is in the value of
      Item_func_get_system_var::maybe_null: it was unconditionally
      set to false even if the value of a variable was NULL.
    ------------------------------------------------------------
    revno: 2661.229.31
    committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2009-05-21 21:51:48 +0400
    message:
      Automerge.
        ------------------------------------------------------------
        revno: 1810.3895.13
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Thu 2009-05-21 21:50:58 +0400
        message:
          Automerge.
        ------------------------------------------------------------
        revno: 1810.3907.3
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: my50-bug44796
        timestamp: Thu 2009-05-21 21:50:17 +0400
        message:
          Attempt #2 to fix PB failures introduced by the patch for bug #44796.
          
          Since max_allowed_packet is a read-only variable in 5.1 and up,
          disable warnings to avoid unnecessary test case complication.
    ------------------------------------------------------------
    revno: 2661.229.30
    committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2009-05-21 19:19:13 +0400
    message:
      Automerge.
        ------------------------------------------------------------
        revno: 1810.3895.12
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Thu 2009-05-21 19:17:39 +0400
        message:
          Automerge.
        ------------------------------------------------------------
        revno: 1810.3907.2
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: my50-bug44796
        timestamp: Thu 2009-05-21 19:14:56 +0400
        message:
          Fixed a PB failure introduced by the patch for bug #44796.
          
          Set max_allowed_packet to get a consistent error message.
    ------------------------------------------------------------
    revno: 2661.229.29
    committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2009-05-21 16:17:53 +0400
    message:
      Automerge.
        ------------------------------------------------------------
        revno: 1810.3895.11
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Thu 2009-05-21 16:15:25 +0400
        message:
          Automerge.
    ------------------------------------------------------------
    revno: 2661.229.28
    committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2009-05-21 16:16:17 +0400
    message:
      Automerge.
        ------------------------------------------------------------
        revno: 2661.246.2
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: my51-bug44796
        timestamp: Thu 2009-05-21 16:08:16 +0400
        message:
          Automerge.
        ------------------------------------------------------------
        revno: 1810.3907.1
        committer: Alexey Kopytov <Alexey.Kopytov@sun.com>
        branch nick: my50-bug44796
        timestamp: Wed 2009-05-20 12:30:06 +0400
        message:
          Bug #44796:  valgrind: too many my_longlong10_to_str_8bit 
                       warnings after uncompressed_length 
           
          UNCOMPRESSED_LENGTH() did not validate its argument. In 
          particular, if the argument length was less than 4 bytes, 
          an uninitialized memory value was returned as a result. 
           
          Since the result of COMPRESS() is either an empty string or 
          a 4-byte length prefix followed by compressed data, the bug was 
          fixed by ensuring that the argument of UNCOMPRESSED_LENGTH() is 
          either an empty string or contains at least 5 bytes (as done in 
          UNCOMPRESS()). This is the best we can do to validate input 
          without decompressing. 
    ------------------------------------------------------------
    revno: 2661.229.27
    committer: Ramil Kalimullin <ramil@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2009-05-21 14:56:05 +0500
    message:
      Auto-merge.
        ------------------------------------------------------------
        revno: 2661.252.1
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: b44743-5.1-bugteam
        timestamp: Thu 2009-05-21 13:06:43 +0500
        message:
          Fix for bug#44743: Join in combination with concat does not always work
                  bug#44766: valgrind error when using convert() in a subquery
          
          Problem: input and output buffers may be the same 
          converting a string to some charset. 
          That may lead to wrong results/valgrind warnings.  
          
          Fix: use different buffers.
    ------------------------------------------------------------
    revno: 2661.229.26
    committer: Alfranio Correia <alfranio.correia@sun.com>
    branch nick: mysql-5.1-bugteam-push
    timestamp: Thu 2009-05-21 09:36:38 +0100
    message:
      auto-merge 5.1-bugteam (local) --> 5.1-bugteam
        ------------------------------------------------------------
        revno: 2661.251.1
        committer: Alfranio Correia <alfranio.correia@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Sun 2009-04-19 02:21:33 +0100
        message:
          BUG#43949 Initialization of slave produces a warning message in Valgrind
          
          In order to define the --slave-load-tmpdir, the init_relay_log_file()
          was calling fn_format(MY_PACK_FILENAME) which internally was indirectly
          calling strmov_overlapp() (through pack_dirname) and the following
          warning message was being printed out while running in Valgrind:
          "source and destination overlap in strcpy".
          
          We fixed the issue by removing the flag MY_PACK_FILENAME as it was not
          necessary. In a nutshell, with this flag the function fn_format() tried
          to replace a directory by either "~", "." or "..". However, we wanted
          exactly to remove such strings.
          
          In this patch, we also refactored the functions init_relay_log_file()
          and check_temp_dir(). The former was refactored to call the fn_format()
          with the flag MY_SAFE_PATH along with the MY_RETURN_REAL_PATH,  in order
          to avoid issues with long directories and return an absolute path,
          respectively. The flag MY_SAFE_UNPACK_FILENAME was removed too as it was
          responsible for removing "~", "." or ".." only from the file parameter
          and we wanted to remove such strings from the directory parameter in
          the fn_format(). This result is stored in an rli variable, which is then
          processed by the other function in order to verify if the directory exists
          and if we are able to create files in it.
    ------------------------------------------------------------
    revno: 2661.229.25
    committer: Matthias Leich <Matthias.Leich@sun.com>
    branch nick: mysql-5.1-bugteam-42308x
    timestamp: Wed 2009-05-20 21:58:29 +0200
    message:
      Merge of latest modfications into GCA tree, no conflicts
        ------------------------------------------------------------
        revno: 2661.249.4
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 43560-51
        timestamp: Wed 2009-05-20 19:34:37 +0200
        message:
          Adding missing forward declaration for bug 43560
        ------------------------------------------------------------
        revno: 2661.249.3
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 43560-51
        timestamp: Wed 2009-05-20 16:17:47 +0200
        message:
          Recommit of bug 43560 after merge with mysql-5.1-bugteam
        ------------------------------------------------------------
        revno: 2661.249.2
        committer: He Zhenxing <zhenxing.he@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Wed 2009-05-20 21:26:43 +0800
        message:
          Auto merge
            ------------------------------------------------------------
            revno: 2661.250.1
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: B44399-5.1-bugteam
            timestamp: Wed 2009-05-20 14:14:33 +0300
            message:
              Revert of the fix for bug #44399 (joro@sun.com-20090512135917-kal1dvtqpqgnj3yc).
        ------------------------------------------------------------
        revno: 2661.249.1
        committer: He Zhenxing <zhenxing.he@sun.com>
        branch nick: 5.1-bugteam
        timestamp: Wed 2009-05-20 18:28:43 +0800
        message:
          Post fix of result file after push of BUG#42415
    ------------------------------------------------------------
    revno: 2661.229.24
    committer: Matthias Leich <Matthias.Leich@sun.com>
    branch nick: mysql-5.1-bugteam-42308x
    timestamp: Wed 2009-05-20 15:27:44 +0200
    message:
      Merge fix for bug 42308 into GCA tree
        ------------------------------------------------------------
        revno: 2661.248.1
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.1-bugteam-42308
        timestamp: Fri 2009-05-15 12:15:56 +0200
        message:
          Fix for Bug#42308 Several server tests do not pass MTR's --check option
          
          Details:
          Most tests mentioned within the bug report were already fixed.
          The test modified here failed in stability (high parallel load) tests.
          
          Details:
          1. Take care that disconnects are finished before the test terminates.
          2. Correct wrong handling of send/reap in events_stress which caused
             random garbled output
          3. Minor beautifying of script code
    ------------------------------------------------------------
    revno: 2661.229.23
    committer: He Zhenxing <zhenxing.he@sun.com>
    branch nick: 5.1-bugteam
    timestamp: Wed 2009-05-20 16:24:22 +0800
    message:
      BUG#42415 UPDATE with LIMIT clause unsafe for statement format even when ORDER BY PK
      
      Change the warning message to 'Statement may not be safe to log in
      statement format' to indicate that the decision on whether a
      statement is safe or not is heuristic, and we are conservative.
    ------------------------------------------------------------
    revno: 2661.229.22
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: B44399-5.1-bugteam
    timestamp: Tue 2009-05-12 16:59:17 +0300
    message:
      Bug #44399: crash with statement using TEXT columns, aggregates, GROUP BY, 
        and HAVING
      
      When calculating GROUP BY the server caches some expressions. It does
      that by allocating a string slot (Item_copy_string) and assigning the 
      value of the expression to it. This effectively means that the result
      type of the expression can be changed from whatever it was to a string.
      As this substitution takes place after the compile-time result type 
      calculation for IN but before the run-time type calculations, 
      it causes the type calculations in the IN function done at run time 
      to get unexpected results different from what was prepared at compile time.
      
      In the CASE ... WHEN ... THEN ... statement there was a similar problem
      and it was solved by artificially adding a STRING argument to the matrix
      at compile time, so if any of the arguments of the CASE function changes 
      its type to a string it will still be covered by the information prepared 
      at compile time.
      Extended the CASE fix for cover the IN case.
      An alternative way of fixing this problem is by caching the result type of 
      the arguments at compile time and using the cached information at run time
      instead of re-calculating the result types.
      Preferred the CASE approach for uniformity and fix localization.
    ------------------------------------------------------------
    revno: 2661.229.21
    committer: Satya B <satya.bn@sun.com>
    branch nick: mysql-5.1-bugteam-innodb
    timestamp: Tue 2009-05-19 14:01:29 +0530
    message:
      merge to 5.1-bugteam tree
        ------------------------------------------------------------
        revno: 2661.247.1
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2009-05-19 11:48:04 +0500
        message:
          5.0-bugteam->5.1-bugteam merge
        ------------------------------------------------------------
        revno: 1810.3895.10
        committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Tue 2009-05-19 11:32:21 +0500
        message:
          Bug#39793 Foreign keys not constructed when column has a '#' in a comment or default value
          Internal InnoDN FK parser does not recognize '\'' as quotation symbol.
          Suggested fix is to add '\'' symbol check for quotation condition
          (dict_strip_comments() function).
    ------------------------------------------------------------
    revno: 2661.229.20
    committer: Satya B <satya.bn@sun.com>
    branch nick: mysql-5.1-bugteam-innodb
    timestamp: Tue 2009-05-19 13:50:28 +0530
    message:
      Applying InnoDB snashot 5.1-ss5024,part 3. Fixes BUG#42101
      
      BUG#42101 - Race condition in innodb_commit_concurrency
      
      Detailed revision comments:
      
      r4994 | marko | 2009-05-14 15:04:55 +0300 (Thu, 14 May 2009) | 18 lines
      branches/5.1: Prevent a race condition in innobase_commit() by ensuring
      that innodb_commit_concurrency>0 remains constant at run time. (Bug #42101)
      
      srv_commit_concurrency: Make this a static variable in ha_innodb.cc.
      
      innobase_commit_concurrency_validate(): Check that innodb_commit_concurrency
      is not changed from or to 0 at run time.  This is needed, because
      innobase_commit() assumes that innodb_commit_concurrency>0 remains constant.
      Without this limitation, the checks for innodb_commit_concurrency>0
      in innobase_commit() should be removed and that function would have to
      acquire and release commit_cond_m at least twice per invocation.
      Normally, innodb_commit_concurrency=0, and introducing the mutex operations
      would mean significant overhead.
      
      innodb_bug42101.test, innodb_bug42101-nonzero.test: Test cases.
      
      rb://123 approved by Heikki Tuuri
    ------------------------------------------------------------
    revno: 2661.229.19
    committer: Satya B <satya.bn@sun.com>
    branch nick: mysql-5.1-bugteam-innodb
    timestamp: Tue 2009-05-19 13:26:49 +0530
    message:
      Applying InnoDB snashot 5.1-ss5024, part 2. Fix for BUG#44320
      
      BUG#44320 - InnoDB: missing DB_ROLL_PTR in Table Monitor COLUMNS output
      
      Detailed revision comments:
      
      r4976 | marko | 2009-05-13 15:44:54 +0300 (Wed, 13 May 2009) | 6 lines
      branches/5.1: Display DB_ROLL_PTR in the COLUMNS section of the
      innodb_table_monitor output.  It was accidentally omitted due to an
      off-by-one loop condition.  (Bug #44320)
      
      rb://116 approved by Heikki Tuuri
    ------------------------------------------------------------
    revno: 2661.229.18
    committer: Satya B <satya.bn@sun.com>
    branch nick: mysql-5.1-bugteam-innodb
    timestamp: Tue 2009-05-19 13:22:19 +0530
    message:
      Applying InnoDB snashot 5.1-ss5024 part 1, Follow up Fix for BUG#43660
      
      Detailed revision comments:
      
      r4705 | vasil | 2009-04-14 14:30:13 +0300 (Tue, 14 Apr 2009) | 7 lines
      branches/5.1:
      
      When using the random function, first take the modulus by the number of pages
      and then typecast to ulint.
      
      This is a followup to r4699 - the fix of Bug#43660.
    ------------------------------------------------------------
    revno: 2661.229.17
    committer: Ramil Kalimullin <ramil@mysql.com>
    branch nick: b44860-5.1-bugteam
    timestamp: Tue 2009-05-19 09:25:36 +0500
    message:
      Fix for bug#44860: ALTER TABLE on view crashes server
      
      Problem: executing queries like "ALTER TABLE view1;" we don't
      check new view's name (which is not specified),
      that leads to server crash.
      
      Fix: do nothing (to be consistent with the behaviour for tables) 
      in such cases.
    ------------------------------------------------------------
    revno: 2661.229.16
    committer: Gleb Shchepa <gshchepa@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Tue 2009-05-19 00:51:52 +0500
    message:
      manual merge 5.0-bugteam --> 5.1-bugteam (bug 40825)
        ------------------------------------------------------------
        revno: 1810.3895.9
        committer: Gleb Shchepa <gshchepa@mysql.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Mon 2009-05-18 23:43:06 +0500
        message:
          Bug#40825: Error 1356 while selecting from a view
                     with a "HAVING" clause though query works
          
          SELECT from views defined like:
          
            CREATE VIEW v1 (view_column)
              AS SELECT c AS alias FROM t1 HAVING alias
          
          fails with an error 1356:
            View '...' references invalid table(s) or column(s)
            or function(s) or definer/invoker of view lack rights
            to use them
          
          
          CREATE VIEW form with a (column list) substitutes
          SELECT column names/aliases with names from a
          view column list.
          However, alias references in HAVING clause was
          not substituted.
          
          
          The Item_ref::print function has been modified
          to write correct aliased names of underlying
          items into VIEW definition generation/.frm file.
    ------------------------------------------------------------
    revno: 2661.229.15
    committer: Patrick Crews <patrick.crews@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Mon 2009-05-18 12:53:06 -0400
    message:
      Bug#44920 - MTR2 is not processing master.opt input properly on Windows
      
      Disabling these two tests as they are affected by this bug / causing PB2 failures
      on Windows platforms.  Can always disable via include/not_windows.inc if
      the bug fix looks like it will take some time.
    ------------------------------------------------------------
    revno: 2661.229.14
    committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Mon 2009-05-18 13:39:13 +0200
    message:
      Bug#19027 MySQL 5.0 starts even with Fatal InnoDB errors
      
      Fixed start up options for test case "rpl_ndb_2other-slave" to match
      the changed behavior for plugin options.
    ------------------------------------------------------------
    revno: 2661.229.13
    committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Mon 2009-05-18 10:35:44 +0200
    message:
      Automerge
        ------------------------------------------------------------
        revno: 2661.246.1
        committer: Gleb Shchepa <gshchepa@mysql.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2009-05-18 09:21:25 +0500
        message:
          Bug #44768: SIGFPE crash when selecting rand from a view containing null
          
          The RAND(N) function where the N is a field of "constant" table
          (table of single row) failed with a SIGFPE.
          
          Evaluation of RAND(N) rely on constant status of its argument.
          Current server "seeded" random value for each constant argument
          only once, in the Item_func_rand::fix_fields method.
          Then the server skipped a call to seed_random() in the
          Item_func_rand::val_real method for such constant arguments.
          
          However, non-constant state of an argument may be changed
          after the call to fix_fields, if an argument is a field of
          "constant" table. Thus, pre-initialization of random value
          in the fix_fields method is too early.
          
          
          Initialization of random value by seed_random() has been
          removed from Item_func_rand::fix_fields method.
          The Item_func_rand::val_real method has been modified to
          call seed_random() on the first evaluation of this method
          if an argument is a function.
    ------------------------------------------------------------
    revno: 2661.229.12
    committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Mon 2009-05-18 10:10:30 +0200
    message:
      Bug#19027 MySQL 5.0 starts even with Fatal InnoDB errors
      
      convert_dash_to_underscore was supplied with a character length containing
      my byte too many which caused valgrind errors of invalid read.
    ------------------------------------------------------------
    revno: 2661.229.11
    committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Sun 2009-05-17 22:16:21 +0200
    message:
      Bug#19027 MySQL 5.0 starts even with Fatal InnoDB errors
      
      Fix bug in mtr_cases.pm script visible only when InnoDB isn't configured.
    ------------------------------------------------------------
    revno: 2661.229.10
    committer: Narayanan V <v.narayanan@sun.com>
    branch nick: mysql-5.1-bugteam-44856
    timestamp: Sun 2009-05-17 22:50:20 +0530
    message:
      Bug#44856 IBMDB2I gives misleading 2504 error
      
      Occasionally, if both the partition_pruning
      and partition_range tests are run sequentially
      against the IBMDB2I engine, the partition_range
      test will fail.
      
      Compiler padding on a 64-bit build allowed
      garbage data in the hash key used for
      caching open iconv descriptors. As a
      result, cached descriptors were not found,
      and multiple duplicate iconv descriptors
      were opened for a single character set.
      Eventually, the maximum number of open
      iconv descriptors was reached, and further
      iconv_open() calls would fail, leading the
      storage engine to report incorrectly that
      the character set was not supported.
      
      This patch widens the 16-bit members of the
      hash key to 32 bits to eliminate compiler
      padding. The entire length of the hash key
      is now initialized correctly on both 32-bit
      and 64-bit builds.
    ------------------------------------------------------------
    revno: 2661.229.9
    committer: Narayanan V <v.narayanan@sun.com>
    branch nick: mysql-5.1-bugteam-44610
    timestamp: Sun 2009-05-17 21:55:23 +0530
    message:
      Bug#44610 RCDFMT clause requested when creating DB2 table
      
      In order to better support the usage of
      IBMDB2I tables from within RPG programs,
      the storage engine should ensure that the
      RCDFMT name is consistent and predictable
      for DB2 tables.
      
      This patch appends a "RCDFMT <name>"
      clause to the CREATE TABLE statement
      that is passed to DB2.  <name> is
      generated from the original name of
      the table itself. This ensures a
      consistent and deterministic mapping
      from the original table.
      
      For the sake of simplicity only
      the alpha-numeric characters are
      preserved when generating the new
      name, and these are upper-cased;
      other characters are replaced with
      an underscore (_). Following DB2
      system identifier rules, the name
      always begins with an alpha-character
      and has a maximum of ten characters.
      If no usable characters are found in
      the table name, the name X is used.
    ------------------------------------------------------------
    revno: 2661.229.8
    committer: Jim Winstead <jimw@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Fri 2009-05-15 10:40:51 -0700
    message:
      Merge from 5.1-bugteam
        ------------------------------------------------------------
        revno: 2661.239.12
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.1-bugteam-44826x
        timestamp: Fri 2009-05-15 17:47:50 +0200
        message:
          Merge 5.0 -> 5.1 of fix for bug 44826
            ------------------------------------------------------------
            revno: 1810.3895.8
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.0-bugteam-44826x
            timestamp: Fri 2009-05-15 17:41:35 +0200
            message:
              Merge of fix into GCA tree, no conflicts
            ------------------------------------------------------------
            revno: 1810.3906.1
            committer: Matthias Leich <Matthias.Leich@sun.com>
            branch nick: mysql-5.0-bugteam-44826
            timestamp: Fri 2009-05-15 11:59:31 +0200
            message:
              Fix for Bug#44826 main.information_schema_db could harm succeeding tests
              
              Details:
              1. Add missing "disconnect <session>"
              2. Take care that the disconnects are finished when the test terminates
              3. Replace error names by error numbers
              4. Minor beautifying of script code
        ------------------------------------------------------------
        revno: 2661.239.11
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-final-5.1-bugteam
        timestamp: Fri 2009-05-15 16:40:09 +0300
        message:
          fixed a compile warning in 5.1-bugteam
        ------------------------------------------------------------
        revno: 2661.239.10
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-final-5.1-bugteam
        timestamp: Fri 2009-05-15 16:25:29 +0300
        message:
          merge
            ------------------------------------------------------------
            revno: 1810.3895.7
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Fri 2009-05-15 16:13:54 +0300
            message:
              backported a change from 5.1
            ------------------------------------------------------------
            revno: 1810.3895.6
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Fri 2009-05-15 16:12:31 +0300
            message:
              merged
                ------------------------------------------------------------
                revno: 1810.3905.1
                committer: Philip Stoev <pstoev@mysql.com>
                branch nick: 5.0-bugteam
                timestamp: Fri 2009-05-15 13:06:11 +0300
                message:
                    Bug #32651 grant_cache.test fails
                  
                    It turns out that this test case no longer fails with the discrepancy
                    in numbers that was the original cause for disabling this test (and showed
                    potential genuine issues with the query cache). Therefore
                    this test is being enabled after some minor adjustment of error codes and
                    messages.
            ------------------------------------------------------------
            revno: 1810.3895.5
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Fri 2009-05-15 16:11:27 +0300
            message:
              fixed a win32 compile error
            ------------------------------------------------------------
            revno: 1810.3895.4
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.0-bugteam
            timestamp: Fri 2009-05-15 12:29:41 +0300
            message:
              merged 5.0-main -> 5.0-bugteam
        ------------------------------------------------------------
        revno: 2661.239.9
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-final-5.1-bugteam
        timestamp: Fri 2009-05-15 16:03:22 +0300
        message:
          merged 5.1-main -> 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.101.68
            committer: Georgi Kodinov <joro@sun.com>
            branch nick: merge-5.1-bugteam
            timestamp: Fri 2009-05-15 15:57:51 +0300
            message:
              merged 5.0-main -> 5.1-main
                ------------------------------------------------------------
                revno: 1810.3875.13
                committer: Chad MILLER <chad@mysql.com>
                branch nick: mysql-5.0
                timestamp: Tue 2009-05-12 09:14:23 -0400
                message:
                  Remove community-server only feature and place in its own test
                  with appropriate condition.
                ------------------------------------------------------------
                revno: 1810.3875.12
                committer: Chad MILLER <chad@mysql.com>
                branch nick: mysql-5.0
                timestamp: Mon 2009-05-11 14:42:43 -0400
                message:
                  Merge with trunk.
                    ------------------------------------------------------------
                    revno: 1810.3855.18
                    committer: Joerg Bruehe <joerg@mysql.com>
                    branch nick: push-5.0
                    timestamp: Fri 2009-05-08 22:41:48 +0200
                    message:
                      Merge from main 5.0 (again) into 5.0-build - just version number change.
                        ------------------------------------------------------------
                        revno: 1810.3904.4
                        author: karen.langford@sun.com
                        committer: MySQL Build Team <build@mysql.com>
                        branch nick: mysql-5.0
                        timestamp: Thu 2009-05-07 21:42:19 +0200
                        message:
                          Raise version number after cloning 5.0.82
                        ------------------------------------------------------------
                        revno: 1810.3904.3
                        tags: clone-5.0.82-build
                        author: Daniel Fischer <df@sun.com>
                        committer: MySQL Build Team <build@mysql.com>
                        branch nick: mysql-5.0.81-merge
                        timestamp: Thu 2009-05-07 20:07:14 +0200
                        message:
                          merge 5.0.81 into 5.0
                        ------------------------------------------------------------
                        revno: 1810.3904.2
                        tags: mysql-5.0.81
                        committer: MySQL Build Team <build@mysql.com>
                        branch nick: mysql-5.0.81-release
                        timestamp: Fri 2009-05-01 19:37:23 +0200
                        message:
                          merge in small portability tweaks from 5.0.80
                        ------------------------------------------------------------
                        revno: 1810.3904.1
                        author: df@sun.com
                        committer: MySQL Build Team <build@mysql.com>
                        branch nick: mysql-5.0.81-release
                        timestamp: Thu 2009-04-16 13:30:52 +0200
                        message:
                          adjust version number
                    ------------------------------------------------------------
                    revno: 1810.3855.17
                    committer: Joerg Bruehe <joerg@mysql.com>
                    branch nick: push-5.0
                    timestamp: Fri 2009-05-08 22:16:06 +0200
                    message:
                      Merge main 5.0 into 5.0-build
                ------------------------------------------------------------
                revno: 1810.3875.11
                committer: Chad MILLER <chad@mysql.com>
                branch nick: mysql-5.0
                timestamp: Mon 2009-05-11 10:00:03 -0400
                message:
                  Fix improperly-protected variable definition and use.
                  
                  Also, add CPP so Windows works properly for profiling. Community-server
                  functionality is required.
                ------------------------------------------------------------
                revno: 1810.3875.10
                committer: Chad MILLER <chad@mysql.com>
                branch nick: mysql-5.0
                timestamp: Wed 2009-05-06 09:06:32 -0400
                message:
                  Merge community up to enterprise, thus ending the community-server
                  adventure.
                    ------------------------------------------------------------
                    revno: 1810.3900.17
                    committer: Chad MILLER <chad@mysql.com>
                    branch nick: 5.0-community
                    timestamp: Tue 2009-05-05 17:03:23 -0400
                    message:
                      Pull 5.1 treatment of community features into 5.0.
                    ------------------------------------------------------------
                    revno: 1810.3900.16
                    tags: clone-5.0.81-build
                    committer: Chad MILLER <chad@mysql.com>
                    branch nick: 5.0-community
                    timestamp: Tue 2009-04-14 13:20:13 -0400
                    message:
                      Merge 5.0.80 release and 5.0 community.  Version left at 5.0.80.
                    ------------------------------------------------------------
                    revno: 1810.3900.15
                    tags: mysql-5.0.77
                    committer: Joerg Bruehe <joerg@mysql.com>
                    branch nick: community-5.0
                    timestamp: Wed 2009-01-28 15:01:04 +0100
                    message:
                      Merge tool fixes which were done while building 5.0.72sp1
                      (all connected with using Solaris to run the Bootstrap on)
                      into the community tree.
                      
                      The other changes listed here are backports from 5.0.74
                      which are in both the enterprise and the community tree already.
                    ------------------------------------------------------------
                    revno: 1810.3900.14
                    committer: Chad MILLER <chad@mysql.com>
                    branch nick: 5.0-community
                    timestamp: Wed 2009-01-21 13:45:23 -0500
                    message:
                      Merge from Tim's 5.0.76-release tree to make 5.0.77 .
                    ------------------------------------------------------------
                    revno: 1810.3900.13
                    author: joerg@mysql.com
                    committer: mysqldev <mysqldev@production.mysql.com>
                    branch nick: mysql-5.0-community
                    timestamp: Thu 2008-12-18 17:53:47 +0100
                    message:
                      Raise version number after cloning 5.0.75
                    ------------------------------------------------------------
                    revno: 1810.3900.12
                    tags: mysql-5.0.75, clone-5.0.75-build
                    committer: Chad MILLER <chad@mysql.com>
                    branch nick: 5.0-community
                    timestamp: Wed 2008-12-17 15:01:34 -0500
                    message:
                      Merged from 5.0 (enterprise).
                    ------------------------------------------------------------
                    revno: 1810.3900.11
                    author: Jonathan Perkin <jperkin@sun.com>
                    committer: mysqldev <mysqldev@production.mysql.com>
                    branch nick: mysql-5.0-community
                    timestamp: Fri 2008-08-15 11:43:44 +0200
                    message:
                      Merge from mysql-5.0.67-release
                        ------------------------------------------------------------
                        revno: 1810.3902.9
                        tags: mysql-5.0.67
                        author: Jonathan Perkin <jperkin@sun.com>
                        committer: mysqldev <mysqldev@production.mysql.com>
                        branch nick: mysql-5.0.67-release
                        timestamp: Mon 2008-08-04 13:45:50 +0200
                        message:
                          Revert previous unintentional license change.
                        ------------------------------------------------------------
                        revno: 1810.3902.8
                        author: Jonathan Perkin <jperkin@sun.com>
                        committer: mysqldev <mysqldev@production.mysql.com>
                        branch nick: mysql-5.0.67-release
                        timestamp: Mon 2008-08-04 12:05:21 +0200
                        message:
                          Change preprocessor tests to match what we will be using.
                        ------------------------------------------------------------
                        revno: 1810.3902.7
                        author: Jonathan Perkin <jperkin@sun.com>
                        committer: mysqldev <mysqldev@production.mysql.com>
                        branch nick: mysql-5.0.67-release
                        timestamp: Mon 2008-08-04 11:39:05 +0200
                        message:
                          Use autoconf glue around new my_is_symlink to avoid stat(2) and friends
